SystemOrganization addCategory: #'Packages-Library'!

Packages subclass: #PackagesAll
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Packages-Library'!

!PackagesAll methodsFor: 'kernel' stamp: 'damiencassou 12/23/2008 11:25'!
KernelTracer

	self name: 'Kernel-Tracer'.
	self info url: 'http://www.squeaksource.com/311/Kernel-Tracer'.

	self unload: 
	
	[ Installer mc 
			project: '311' ; 
			package: 'Kernel-Tracer';
			install;
			unload ].	 
	! !

!PackagesAll methodsFor: 'as yet unclassified' stamp: 'kph 12/2/2008 06:45'!
LevelPlayingField

	self name: 'LevelPlayingField'.

	"version number tracks MC"
	self version: '1.5.502+'.

	info description: 'Load all squeak versions to a common level of tools'.
	info author: 'keith_hodges@yahoo.co.uk'.
	info owner: 'Keith Hodges'.
	 
	self dependsOn: { 'Monticello15' }.

	self unload: [
		self error: 'not presently unloadable'.
	].! !

!PackagesAll methodsFor: 'as yet unclassified' stamp: 'kph 12/2/2008 07:02'!
SqueakMap2base

	self name: 'SqueakMap2base'.
	self version: '1.86+'.

	info category: 'Group Development'.
	info description: 
'The new SqueakMap with lots of good stuff. :)'.
	info maintainer: 'goran'.
	info homepage: 'http://map.squeak.org'.
	
	info url: 'http://squeak.krampe.se/SMBase-dew.86.mcz'.
	self provides: #().

	self dependsOn: #( ).

	self load: [
		Installer wsm install: 'SqueakMap2 base'.
	].

	self unload: [
		"reclassify this method so that it is not removed - Installer uses it"
		SystemVersion organization classify: #majorMinorVersion under: 'accessing'. 
		Installer mc unload: 'SMBase'.
	].! !

!PackagesAll methodsFor: 'as yet unclassified' stamp: 'kph 12/2/2008 07:02'!
SqueakMap2loader

	self name: 'SqueakMap2 loader'.
	self version: '1.86+'.

	info category: 'Group Development'.
	info description: 
'This is the graphical tool called the "SqueakMap Package Loader" that can be opened from the World open... menu. This tool is a UI for the local instance of SMSqueakMap that can be accessed with "SMSqueakMap default".

In the loader you can browse the map and see packages and package releases and also install them into the image. '.
	info maintainer: 'goran'.
	info homepage: 'http://map.squeak.org'.
	
	info url: 'http://squeak.krampe.se/SMLoader-btr.55.mcz'.
	self provides: #().

	self dependsOn: #(  'SqueakMap2 base' ).

	self load: [
		Installer wsm install: 'SqueakMap2 loader'.
	].

	self unload: [
		Smalltalk at: #SMLoader ifPresent: [ :c | c unload ].
		Flaps reinstateDefaultFlaps.
		Installer mc unload: 'SMLoader'.
	].! !

!PackagesAll methodsFor: 'as yet unclassified' stamp: 'kph 12/2/2008 07:02'!
SqueakMap2server

	self name: 'SqueakMap2 server'.
	self version: '0.9+'.

	info description: 'The server package for SqueakMap2. Mainly a web UI built using HttpView.'.
	info author: 'Gran Krampe <goran@krampe.se>'.
	info owner: 'Gran Krampe'.
	info created: '18 September 2003 12:19:06 pm'.
	info updated: '10 October 2005 6:29:15 pm'.
	 
	self dependsOn: { 'SqueakMap2 base' }.

	self load: [
		Installer wsm install: 'SqueakMap2 server'.
	].

	self unload: [
		Installer mc unload: 'SqueakMap2 server'.
	].! !

PackagesAll subclass: #PackagesDevU
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Packages-Library'!

!PackagesDevU commentStamp: 'kph 4/10/2008 07:17' prior: 0!
Package definitions for this version as obtained automatically from the Universes server.

To override the definitions in the univere add to my subclass in PackagesSqueak310

To re-read the package definitions from the universes server.

self taskGeneratePackageTasks run!

PackagesDevU subclass: #PackagesDev
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Packages-Library'!

!PackagesDev commentStamp: 'kph 4/20/2008 01:30' prior: 0!
Most recent version stable version!

PackagesDev subclass: #PackagesBeta
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Packages-Library'!

!PackagesBeta commentStamp: 'kph 4/24/2008 17:47' prior: 0!
When I say I apply to "all versions" I mean All versions with the level playing field!!

If the version has + in it, then this task will run every time.
If not then packages which are already provided are not reloaded.!

!PackagesBeta class methodsFor: 'as yet unclassified' stamp: 'test 1/2/2009 18:18'!
findPath

 ^ { self beta. Seaside29Beta. self current. self dev. }  ! !

!PackagesBeta methodsFor: 'Group Development' stamp: 'kph 12/8/2008 10:08'!
KernelExtensions
 	
	self name: 'Kernel-Extensions'.

 	self version: '1+'.

	info description: 'Extensions for the kernel'.
	info author: 'keith_hodges@yahoo.co.uk'.
	 	
	self dependsOn: { 'Null' }.
	 
	self load: [
		 Installer squeaksource project: '311'; 
			install: 'Kernel-Extensions'.
	].

		
! !

!PackagesBeta methodsFor: 'Web Development' stamp: 'kph 7/7/2008 03:39'!
NiftyCorners

    self name: 'NiftyCorners'.
    info category: 'Web Development'.
    info description: 
'NiftyCornersCube Javascript library for use with Seaside'.
    info maintainer: 'kph'.
    info homepage: 'http://www.squeaksource.com/Jetsam.html'.

	"the js library is licenced GPL, for GPL read can of worms"
	
	info licence: 'GPL'.

    self version: '2.8.1+'.

    self provides: #().

    self dependsOn: #('Seaside').

    self load: [
        Installer squeaksource project:'Jetsam' ; install: 'Seaside28Jetsam'.
    ].

    self unload: [
        Installer mc unload: 'Seaside28Jetsam-NiftyCorners'.
    ].! !

!PackagesBeta methodsFor: 'Group Development' stamp: 'kph 12/12/2008 01:43'!
Packages
 	
	self name: 'Packages'.

 	self version: '1+'.

	info description: 'Package definitions for this version of squeak'.
	info author: 'keith_hodges@yahoo.co.uk'.
	info owner: 'Keith Hodges'.
	 
	self dependsOn: { 'Sake-Packages' }.

	"implemented as a block, since we are self destucting"
	self unload: [
  		Installer mc unload: 'Packages-Library'.
		Installer mc unload: 'Sake-Packages'.
	].
			
		
! !

!PackagesBeta methodsFor: 'Group Development' stamp: 'kph 12/12/2008 01:52'!
PackagesLibrary
 	
	super PackagesLibrary

	info description: 'Package definitions for this version of squeak'.
	info author: 'keith_hodges@yahoo.co.uk'.
	info owner: 'Keith Hodges'.
	 
	self dependsOn: { 'Sake-Packages' }.

	"implemented as a block, since we are self destucting"
	self unload: [
  		Installer mc unload: 'Packages-Library'.
		Installer mc unload: 'Sake-Packages'.
	].
			
		
! !

!PackagesBeta methodsFor: 'Group Development' stamp: 'kph 12/12/2008 05:03'!
Sake
 
	super Sake.
	
	self info mcName: 'Sake-Core'.
	 
	self unload: [
		"I doubt if Sake can be removed while running Sake"
		[ Installer mc unload: 'Sake-Core' ] fork.
	].
			
		
! !

!PackagesBeta methodsFor: 'Web Development' stamp: 'test 12/23/2008 02:41'!
Seaside

     super Seaside.
	self version: self version, '+'.

	self info mcName: 'Seaside2'.
	
	self load: [
         Installer squeaksource
			project: 'Seaside';
			install: #('Seaside2.8a1-lr' 'Seaside2.8a1-pmm').
		 
    ].

    ! !

!PackagesBeta methodsFor: 'Group Development' stamp: 'kph 12/8/2008 02:22'!
Squeakdevimage

	self name: 'Squeak-dev image'.
	self version: '0.167'.
	info category: 'Squeak Distributions'.
	info description: 
'This package creates a squeak image made for developers. If you update a squeak-dev image, you can execute ''DEVImageCreator default install''.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://damien.cassou.free.fr/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ImageForDevelopers/ImageForDevelopers-dc.167.mcz'.
	self provides: #().

	self dependsOn: #('Polymorph TaskbarIcons' 'Polymorph ToolBuilder' 'Polymorph Tools Diff' 'Squeak dev packages').

! !

!PackagesBeta methodsFor: 'Web Development' stamp: 'kph 12/8/2008 02:32'!
Squeakfullimage

	self name: 'Squeak-full image'.
	info category: 'Squeak Distributions'.
	info description: 
'This package has lots of packages loaded.'.

	self dependsOn: #( ).

! !

!PackagesBeta methodsFor: 'as yet unclassified' stamp: 'kph 12/8/2008 02:32'!
Squeakfunimage

	self name: 'Squeak-full image'.
	info category: 'Squeak Distributions'.
	info description: 
'This package has lots of packages loaded, and things to play with'.

	self dependsOn: #( 'Squeakfullimage' ).

! !

!PackagesBeta methodsFor: 'Web Development' stamp: 'kph 12/12/2008 01:54'!
defaultAction

	self version: self version, '+'.

	^ [ self info url ifNotNilDo: [ :url | Installer mc fromUrl: url; latest; install ] ]! !

!PackagesDev methodsFor: 'Web Development' stamp: 'kph 12/21/2008 21:20'!
Algernon

   super Algernon.
	self answer: '*Would*' with: true.
  ! !

!PackagesDev methodsFor: 'Web Development' stamp: 'kph 12/21/2008 21:55'!
Cryptography

	super Cryptography.
	self answer: '*pool*' with: true. 

! !

!PackagesDev methodsFor: 'System' stamp: 'kph 7/7/2008 03:34'!
FFI

    self name: 'FFI'.
	self version: '3.9.1'.
    info category: 'System'.
    info description: 
'The Squeak foreign function interface.'.
    info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
    info homepage: 'http://wiki.squeak.org/squeak/1414'.
    info squeakMapID: ''.
    info url: 'http://map.squeak.org/accountbyid/cf58c358-46ee-465e-b6db-2740e9b32a53/files/InstallFFI3.st'.


    self provides: #().

    self dependsOn: #().

    self load: [
	(Installer mantis) "patch to stop NetNameResolver being broken when FFI is loaded"
		bug: 6980 
		fix:	'SystemDictionary-recreateSpecialObjectsArray-M6980.st'.	
	 
	Installer installUrl:'http://map.squeak.org/accountbyid/cf58c358-46ee-465e-b6db-2740e9b32a53/files/InstallFFI3.st'.
	"preamble/postscript are not run with older versions of MC1.5, so recreateSpecialObjectsArray now"
	Smalltalk recreateSpecialObjectsArray
    ].

    self unload: [
        Installer mc unload: 'FFI'.
    ].! !

!PackagesDev methodsFor: 'Fonts' stamp: 'kph 7/7/2008 03:34'!
FreeTypePlus

    self name: 'FreeType Plus'.
    info category: 'Fonts'.
    info description: 
'Support for FreeType font system.
Scans host OS for available font files, and automatically creates TextStyles.
Re-scans on every image startup.
'.
    info maintainer: 'amtween@hotmail.com'.
    info homepage: ''.
    info squeakMapID: ''.
    info url: 'http://map.squeak.org/accountbyid/46dcf6af-067d-43e3-9fc9-d7010e067153/files/FreeType-tween.355.mcz'.
    self version: '0.5'.

    self provides: #().

    self dependsOn: #('FreeType Plus-plugins installer' 'FFI').

    self load: [
	"preamble/postscript are not run with older versions of MC1.5, so manually do the preamble now"
		"add pendingKernX to CharacterScanner and MultiCharacterScanner"
		Compiler evaluate: 'Object subclass: #CharacterScanner
	instanceVariableNames: ''destX lastIndex xTable destY stopConditions text textStyle alignment leftMargin rightMargin font line runStopIndex spaceCount spaceWidth emphasisCode kern indentationLevel wantsColumnBreaks pendingKernX''
	classVariableNames: ''DefaultStopConditions NilCondition PaddedSpaceCondition SpaceCondition''
	poolDictionaries: ''TextConstants''
	category: ''Graphics-Text'' '.
	
		Compiler evaluate: 'Object subclass: #MultiCharacterScanner
	instanceVariableNames: ''destX lastIndex xTable destY stopConditions text textStyle alignment leftMargin rightMargin font line runStopIndex spaceCount spaceWidth emphasisCode kern indentationLevel wantsColumnBreaks presentation presentationLine numOfComposition baselineY firstDestX pendingKernX''
	classVariableNames: ''DefaultStopConditions NilCondition PaddedSpaceCondition SpaceCondition''
	poolDictionaries: ''TextConstants''
	category: ''Multilingual-Scanning'' '. 
	
        [Installer installUrl:'http://map.squeak.org/accountbyid/46dcf6af-067d-43e3-9fc9-d7010e067153/files/FreeType-tween.355.mcz']
		on: Error do:[:e | 
			(Smalltalk at: #FT2Constants) initialize.
			(Smalltalk at: #FreeTypeCacheConstants) initialize.
			(Smalltalk at: #FT2Handle) initialize.
			(Smalltalk at: #FreeTypeFontProvider) initialize.
			(Smalltalk at: #FreeTypeCache) initialize.
			(Smalltalk at: #FreeTypeSettings) initialize.
			(Smalltalk at: #LogicalFont) initialize.
			(Smalltalk at: #FreeTypeFontProvider) current updateFromSystem]
    ].

    self unload: [
        Installer mc unload: 'FreeType Plus'.
    ].! !

!PackagesDev methodsFor: 'Group Development' stamp: 'kph 12/12/2008 05:04'!
Installer

	self name: 'Installer'.
	self info mcName: 'Installer-Core'.
	self version: '4.1+'.

	info category: 'Group Development'.
	info description: 
'Installer provides a simple Domain Specific Language for installing packages from monticello and squeakmap of various version.

One design decision is to be able to paste scripts a workspace and run and tested from there without any special editing.

Includes support for Package Universes
'.
	info maintainer: 'kph'.
	info homepage: 'http://wiki.squeak.org/squeak/Installer'.
 
 	self dependsOn: #().

	self load: [
		Installer upgrade.
	].

	self unloadDependsOn: #().
	self unload: [
		(MCPackage named: 'Installer-Core') workingCopy unload.
	].
		! !

!PackagesDev methodsFor: 'Network' stamp: 'kph 12/11/2008 23:33'!
KomHttpServer

    super KomHttpServer.

    info url: 'http://www.squeaksource.com/KomHttpServer/KomHttpServer-rjl.43.mcz'.
    self version: '7.1.43a'.

    self provides: #().

    self dependsOn: #('KomServices').
! !

!PackagesDev methodsFor: 'Network' stamp: 'kph 12/11/2008 23:34'!
KomServices

    super KomServices.

    info url: 'http://www.squeaksource.com/KomHttpServer/KomServices-gc.19.mcz'.
    self version: '7.1.19a'.
! !

!PackagesDev methodsFor: 'Group Development' stamp: 'kph 12/12/2008 00:27'!
Monticello15

	super Monticello15.
.
	self info mcName: 'Monticello.impl'.	
! !

!PackagesDev methodsFor: 'Group Development' stamp: 'kph 12/12/2008 00:27'!
Monticello16

	super Monticello16.
.
	self info mcName: 'Monticello.impl'.	
! !

!PackagesDev methodsFor: 'Morphic' stamp: 'test 1/13/2009 22:31'!
MorphicBooks

    self name: 'MorphicBooks'.
    info category: 'Morphic'.
    info description: 
'Unloadable version of Bookmorph and friends'.
    info maintainer: 'kph'.

    self version: '1'.

    self info url: 'http://www.squeaksource.com/311/MorphicBooks-kph.1.mcz'.
  
! !

!PackagesDev methodsFor: 'Development' stamp: 'kph 12/21/2008 22:00'!
Mse

	super Mse.
	self dependsOn: #('SmaCC runtime').! !

!PackagesDev methodsFor: 'Translation' stamp: 'test 1/13/2009 15:53'!
MultilingualEditor

	self name: 'Multilingual-Editor'.
	self version: '0.2'.
	info category: 'Translation'.
	info description: 
'gettext support'.
	info maintainer: 'm.rueger@acm.org'.
	info homepage: ''.
	info url: 'http://source.impara.de/aida/Multilingual-Editor-be.2.mcz'.

	self dependsOn: #().

! !

!PackagesDev methodsFor: 'Morphic' stamp: 'kph 1/22/2009 02:22'!
Nebraska

    self name: 'Nebraska'.
    info category: 'Morphic'.
    info description: 
'Nebraska load/unload'.
    info maintainer: 'kph'.

    self version: '14'.

    self load: [
	   (WorldState respondsTo: #remoteCanvasesDo:) ifTrue: [ 
	   	WorldState organization classify: #remoteCanvasesDo: under: '*morphicextras-nebraska compatible'.
	   ].
        Installer squeaksource project: '311' ; install: 'Nebraska-kph.14'.
    ].
! !

!PackagesDev methodsFor: 'Web Development' stamp: 'kph 12/11/2008 23:38'!
NiftyCorners

    self name: 'NiftyCorners'.
	self info mcName: 'Seaside28Jetsam-NiftyCorners'.
    info category: 'Web Development'.
    info description: 
'NiftyCornersCube Javascript library for use with Seaside'.
    info maintainer: 'kph'.
    info homepage: 'http://www.squeaksource.com/Jetsam.html'.

    self version: '2.8.1'.

    self provides: #().

    self dependsOn: #('Seaside').

    self load: [
        Installer squeaksource project:'Jetsam' ; install: 'Seaside28Jetsam-NiftyCorners'.
    ].
! !

!PackagesDev methodsFor: 'as yet unclassified' stamp: 'kph 12/8/2008 11:19'!
Null
	
	super Null.
	
	"we load it first, in case it has been recategorized"
	self unload: [ 
		
		Installer mc 
			project: 'Null' ; 
			package: 'Null-Core';
			install;
			unload ].	 
	! !

!PackagesDev methodsFor: 'Development' stamp: 'kph 12/21/2008 21:26'!
ObjectFinder

	super ObjectFinder.
	self dependsOn: #('OmniBrowser-Full').

! !

!PackagesDev methodsFor: 'Group Development' stamp: 'kph 12/13/2008 04:03'!
PackagesLibrary

	super PackagesLibrary.
	self version: self version, '+'.
	
	self provides: #('Packages-Library').

	self dependsOn: #('Sake-Packages').

	self load: [
		
		Installer ss project: 'Packages' ; install: 'Packages-Library'.
		
	]
! !

!PackagesDev methodsFor: 'Web Development' stamp: 'kph 12/2/2008 06:32'!
PierSeaside

    super PierSeaside.
  
	self answer: '*Would*' with: true;
		answer: '*Pier kernel*' with: 'Pier';
		answer: '*entry point*' with: 'pier';
		answer: '*Pier-Application*' with: true;
		yourself! !

!PackagesDev methodsFor: 'as yet unclassified' stamp: 'kph 12/8/2008 11:20'!
ProcessSpecific
 
	super ProcessSpecific.

	"we load it first, in case it has been recategorized"

	self unload: [ Installer mc 
			project: 'Logging' ; 
			package: 'ProcessSpecific';
			install;
			unload ].	 
	! !

!PackagesDev methodsFor: 'Group Development' stamp: 'kph 12/12/2008 00:15'!
SUnitGUIimproved

	super SUnitGUIimproved.

	self info mcName: 'SUnitGUI'.	
! !

!PackagesDev methodsFor: 'Group Development' stamp: 'kph 12/12/2008 00:15'!
SUnitimproved

	super SUnitimproved.
.
	self info mcName: 'SUnit'.	
! !

!PackagesDev methodsFor: 'as yet unclassified' stamp: 'kph 12/2/2008 06:34'!
Scheduler
 
	self name: 'Scheduler'.

	self version: '1+'.

	info description: 'Schedule Periodic Tasks'.
	info author: 'John Pierce'.
	 
	self dependsOn: { }.

	self load: [
		 Installer squeaksource project: 'Scheduler'; 
			install: 'Scheduler-jrp'.
	].

 
			
		
! !

!PackagesDev methodsFor: 'Web Development' stamp: 'test 12/23/2008 02:43'!
Seaside

   super Seaside.
	self info mcName: 'Seaside2'.
	self answer: '*config*' with: 'seaside';
		answer: '*password*' with: 'admin'.
		
  ! !

!PackagesDev methodsFor: 'Web Development' stamp: 'kph 12/2/2008 06:21'!
Seaside28Jetsam

    self name: 'Seaside28Jetsam'.
    info category: 'Web Development'.
    info description: 
'Patches to the base seaside

The version number indicates the version of seaside this is synced with.'.
    info maintainer: 'kph'.
    info homepage: 'http://www.squeaksource.com/Jetsam.html'.
    info squeakMapID: ''.
    info url: 'http://www.squeaksource.com/Jetsam/Seaside28Jetsam-kph.63.mcz'.
    self version: '2.8.541/63'.

    self provides: #('Seaside28Jetsam').

    self dependsOn: #('Seaside' 'KernelExt-kph').

 ! !

!PackagesDev methodsFor: 'Web Development' stamp: 'kph 12/8/2008 02:30'!
Squeakminimalimage

	self name: 'Squeak-minimal image'.
	info category: 'Squeak Distributions'.
	info description: 
'This package creates a squeak image with lots of stuff removed''.'.

	self dependsOn: #( (Packages beta named: 'Null') unload. (Packages beta named: 'Kernel-Tracer') unload.
).

! !

!PackagesDev methodsFor: 'Web Development' stamp: 'kph 12/8/2008 02:23'!
Squeakwebimage

	self name: 'Squeak-dev image'.
	self version: '0.167+'.
	info category: 'Squeak Distributions'.
	info description: 
'This package creates a squeak image made for developers. If you update a squeak-dev image, you can execute ''DEVImageCreator default install''.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://damien.cassou.free.fr/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ImageForDevelopers/ImageForDevelopers-dc.167.mcz'.
	self provides: #().

	self dependsOn: #('Squeak-dev image' 'Squeak web packages').

! !

!PackagesDev methodsFor: 'Translation' stamp: 'test 1/13/2009 15:54'!
SystemLocalization

	self name: 'System-Localization'.
	self version: '0.2'.
	info category: 'Translation'.
	info description: 
'gettext support'.
	info maintainer: 'm.rueger@acm.org'.
	info homepage: ''.
	info url: 'http://source.impara.de/aida/System-Localization-be.3.mcz'.

	self dependsOn: #('Multilingual-Editor').

! !

!PackagesDev methodsFor: 'Group Development' stamp: 'kph 12/12/2008 00:42'!
Tasks

	| thisVersion sqVersion testCandidate |
	
	self name: 'Tasks'.
	self info mcName: 'Tasks-Common'.

	self version: '1+'.

	info description: 'Package definitions for this version of squeak'.
	info author: 'keith_hodges@yahoo.co.uk'.
	info owner: 'Keith Hodges'.
	 
	self dependsOn: { 'Sake' }.

	thisVersion := 'Tasks-', (sqVersion := SystemVersion current majorMinorVersion copyWithout: $.).
	testCandidate := ('ReleaseAfter', sqVersion) asSymbol.
	
	self load: [
		 Installer squeaksource project: 'Tasks'; 
			install: 'Tasks-Common';
			install: thisVersion.
 		 
		((Smalltalk classNamed: testCandidate) ifNil: [ self stop ]) releaseCandidateTasksInstaller install.	
	].

	self unload: [
		Installer mc unload: thisVersion.
		Installer mc unload: 'Tasks-Common'.
	].
			
		
! !

!PackagesDev methodsFor: 'Network' stamp: 'kph 12/21/2008 22:04'!
Telnet

	super Telnet.
	self answer: '*fon*' with: true.

! !

!PackagesDev methodsFor: 'Group Development' stamp: 'kph 12/11/2008 23:36'!
TestsAll
	
	self name: 'Tests-All'.

	self version: '1+'.

	info description: 'Loads/Unloads as many tests as it can find for current working packages'.
	info author: 'keith_hodges@yahoo.co.uk'.
	info owner: 'Keith Hodges'.
	 

	self load: [
		MCWorkingCopy allManagers	 collect: [ :ea | 
			(Installer mc mc: ea repository) install: ea packageInfo testsPackageName.
		].
	].

	self unload: [
			Installer mc unload: '*.test'.
			Installer mc unload: '*Tests'.
			Installer mc unload: '*Test'.
			Installer mc unload: 'Tests*'.
	].
! !

!PackagesDev methodsFor: 'Group Development' stamp: 'kph 12/11/2008 23:28'!
YAXO

	super YAXO.
	self info mcName: 'XML-Support'.	
! !

!PackagesDevU class methodsFor: 'as yet unclassified' stamp: 'test 1/2/2009 18:18'!
findPath

 ^ { self dev. self current. Seaside29. self beta. Seaside29Beta. }  ! !

!PackagesDevU class methodsFor: 'as yet unclassified' stamp: 'kph 1/27/2008 22:47'!
universeSelector

^ #developmentUniverse! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'kph 9/10/2008 10:09'!
AST

	self name: 'AST'.
	self version: '160'.
	info category: 'Model Extension'.
	info description: 
'The Abstract Syntax Tree of Squeak code. Used by the Refactoring Engine and NewCompiler.'.
	info maintainer: 'Mathieu Suen <mathieusuen@yahoo.fr>'.
	info homepage: 'http://www.squeaksource.com/AST'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/AST/AST-lr.160.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'kph 9/10/2008 10:09'!
AXAnnouncements

	self name: 'AXAnnouncements'.
	self version: '1.0.31'.
	info category: 'Model Extension'.
	info description: 
'Squeak implementation of Announcements Framework based on Vassili Bykov''s blog.
'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://www.squeaksource.com/AXAnnouncements.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/AXAnnouncements/AXAnnouncements-ul.31.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
Aida

	self name: 'Aida'.
	self version: '5.6'.
	info category: 'Web Development'.
	info description: 
'AIDA/Web is a web server and framework for complex web applications with integrated Ajax support, rich collection of web components to build web pages programatically, MVC-like separation of presentation from domain, nice looking and bookmarkable url links, with integrated session and security management and many more.

What''s new in 5.6?

   - class SwazooAida for easier start: just doit SwazooAida demoStart
   - run on all interfaces, any host: SwazooAida startOn: somePort,
     useful for running behind load balancers
   - enhanced reliability and performance serving directly to
     the Internet
   - multilingual support for serving domain objects in many languages
   - Party/Role framework for modeling complex relationships among
     different parties (persons, companies). Useful among other for more
     complex security scenarios
   - upgrade to Prototye 1.6.0, Scriptaculous 1.8.0
   - more understandable reorganization of packages

'.
	info maintainer: 'mivsek'.
	info homepage: 'http://www.aidaweb.si/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Aida/Aida-5.6.mcz'.
	self provides: #().

	self dependsOn: #('Swazoo').

! !

!PackagesDevU methodsFor: 'IDE' stamp: 'kph 9/10/2008 10:09'!
Algernon

	self name: 'Algernon'.
	self version: '1.2'.
	info category: 'IDE'.
	info description: 
'Algernon is a productivity tool for Squeak programmers; your personal assistant for Squeak. It is a launcher and quick way to access any class. Press Shift-Return to bring up the text box. Start typing a class name, a morph''s name, a category, an object, global variable, or any valid smalltalk expression (prefixed with "=" ) to have quick access or print the results. Algernon aims to make programming in Squeak faster and more keyboard centric.

Version 1.2 fixes performance problems encountered in 1.1.

Usage: Press Shift-Return to start.
'.
	info maintainer: 'Joey Hagedorn<joey@joeyhagedorn.com>'.
	info homepage: 'http://www.squeaksource.com/Algernon.html'.
	info squeakMapID: ''.
	info url: 'http://www.joeyhagedorn.com/media/downloads/Algernon.1.2.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'kph 9/10/2008 10:09'!
Announcements

	self name: 'Announcements'.
	self version: '0.7'.
	info category: 'Model Extension'.
	info description: 
''.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://mc.lukas-renggli.ch/announcements/'.
	info squeakMapID: ''.
	info url: 'http://mc.lukas-renggli.ch/announcements/Announcements-lr.7.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Data Structures' stamp: 'kph 9/10/2008 10:09'!
Array2D

	self name: 'Array2D'.
	self version: '1'.
	info category: 'Data Structures'.
	info description: 
'A simple 2D-Array implementation. 

Neither storing nor sorting (otherwise inherited from ArrayedCollection) will work. Neither comparing nor most accessing mehods inherited from Sequenceable collection will work.  Actually, it''s a bad idea to inherit this class from collection at all!!!!!!

This used to be part of the image. This SqueakMap package is provided
for backward-compatibility.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Array2D-md.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 9/10/2008 10:09'!
AutomaticMethodCategorizer

	self name: 'AutomaticMethodCategorizer'.
	self version: '0.25'.
	info category: 'Code Browsing'.
	info description: 
'This package allows you to categorize uncategorized methods based on rules.

For example you can put all uncategorized methods in SomeTest  that begins with "test" under the "tests" category.

See the release notes for details.

Acknowledgments: The idea of method categorization based on rules was taken from a VAST tool created by Maximiliano Contieri.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: ''.
	info squeakMapID: '58bb4018-276b-4fe9-8f08-228bddb19ca9'.
	info url: 'http://www.squeaksource.com/autoMethodCat/AutomaticMethodCategorizer-DF.25.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 9/10/2008 10:09'!
AutomaticMethodCategorizerOB

	self name: 'AutomaticMethodCategorizerOB'.
	self version: '0.2'.
	info category: 'Code Browsing'.
	info description: 
''.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/autoMethodCat/AutomaticMethodCategorizerOB-DF.1.mcz'.
	self provides: #().

	self dependsOn: #('AutomaticMethodCategorizer' 'OmniBrowser-Full').

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 9/10/2008 10:09'!
AutomaticMethodCategorizerServices

	self name: 'AutomaticMethodCategorizerServices'.
	self version: '0.2'.
	info category: 'Code Browsing'.
	info description: 
'This package allows you to categorize uncategorized methods based on rules.

For example you can put all uncategorized methods in SomeTest  that begins with "test" under the "tests" category.

See the release notes for details.

Acknowledgments: The idea of method categorization based on rules was taken from a VAST tool created by Maximiliano Contieri.

The services packages plugs AutomaticMethodCategorizer with the Services framework.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/autoMethodCat/AutomaticMethodCategorizerServices-DF.2.mcz'.
	self provides: #().

	self dependsOn: #('AutomaticMethodCategorizer').

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
BTree

	self name: 'BTree'.
	self version: '49'.
	info category: 'Persistence'.
	info description: 
'This is an implementation of the BTree data structure as a Smalltalk collection.  It provides log(n) inserts, deletes, and retrieves of values by key.  The keys have to be sortable (ie, Magnitudes).

This is useful in situations where you want to minimize the number and size of individual objects that need to be accessed when using a large collection - for example, when objects are being swapped out to an object database such as GOODS.  It is probably not a good choice for a collection that will be kept entirely in memory.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/BTree/Collections-BTree-avi.49.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Graphics' stamp: 'damiencassou 1/21/2009 13:12'!
Balloon3D

	self name: 'Balloon-3D'.
	self version: '1.1.2'.
	info category: 'Graphics'.
	info description: 
'The NEW Balloon3D package publish with a hyphen to work around limitations of universes. Includes Balloon3D, the tutorials, and Wonderland.'.
	info maintainer: 'andreas.raab@gmx.de'.
	info homepage: 'http://www.squeaksource.com/Balloon3D.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Balloon3D/Balloon3D-1.1.2.mcm'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Data Structures' stamp: 'kph 9/10/2008 10:09'!
BitArray

	self name: 'BitArray'.
	self version: '1.0'.
	info category: 'Data Structures'.
	info description: 
'Simple implementation of BitArray, which stores the bits.

For the basic random access operations for a rather shorter array, you might want to consider ByteArray.

BitArray supports the conversion from/to integers.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/BitArray1.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Games' stamp: 'kph 9/10/2008 10:09'!
BreakOut

	self name: 'BreakOut'.
	self version: '5'.
	info category: 'Games'.
	info description: 
'I designed this breakout slowly refactoring it step by steps because it was part of a book on OOP but I''m thinking to cancel this book and putting a draft on the web. This is the final version of the breakout.
The bouncing is not that good.
 
Have fun first, then submit a fix for the ball bouncing or any new bonuses. 
I would like also to have bonuses falling down. '.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/BreakOut-sd.5.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'test 1/13/2009 15:56'!
CassandraClient

	self name: 'CassandraClient'.
	self version: '1.0'.
	info category: 'Persistence'.
	info description: 
''.
	info maintainer: 'shute'.
	info homepage: 'http://www.squeaksource.com/CassandraClient.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/CassandraClient/CassandraClient-shute.2.mcz'.
	self provides: #('CassandraClient').

	self dependsOn: #('Thrift').

! !

!PackagesDevU methodsFor: 'Constraints' stamp: 'kph 9/10/2008 10:09'!
Cassowary

	self name: 'Cassowary'.
	self version: '0.60'.
	info category: 'Constraints'.
	info description: 
'This is a port of the Smalltalk version of Cassowary 0.60.  As the original authors put it, ''Cassowary is an incremental constraint solving toolkit that efficiently solves systems of linear equalities and inequalities.''.  More information can be found at:

http://www.cs.washington.edu/research/constraints/cassowary/
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Cassowary.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
Celeste

	self name: 'Celeste'.
	self version: '2.21'.
	info category: 'Network'.
	info description: 
'A POP-based email reader.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/1467'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Celeste/Network-Mail%20Reader-ls.21.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'kph 9/10/2008 10:09'!
ClassSelectorSets

	self name: 'ClassSelectorSets'.
	self version: '1'.
	info category: 'Model Extension'.
	info description: 
'Regroup methods on Behavior, Class, Trait... which provide browsing helpful functionalities like conflicting selectors, overriding selectors...'.
	info maintainer: 'Damien Cassou'.
	info homepage: 'http://www.squeaksource.com/ClassSelectorSets.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ClassSelectorSets/ClassSelectorSets-dc.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
Comet

	self name: 'Comet'.
	self version: '2.8.3.28'.
	info category: 'Web Development'.
	info description: 
'High-level Comet bindings for the Seaside web application framework.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Seaside/Comet-lr.28.mcz'.
	self provides: #().

	self dependsOn: #('Scriptaculous').

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 11/28/2008 16:26'!
CommandShell

	self name: 'CommandShell'.
	self version: '4.3'.
	info category: 'System'.
	info description: 
'CommandShell is a Smalltalk simulation of a Unix command shell, with a simple dumb terminal window in Morphic and MVC. It is useful for running programs without leaving Squeak, and for piping command output directly into Squeak. Can be loaded and run on any platform, but is most useful on Unix, Linux and Windows systems with OSProcess. On Windows, command pipelines are not yet implemented for external commands, but you can run Windows programs from the CommandShell "Squeak shell" as well as pipelines with internal shell commands. A simple script processing capability is also included.

The ExternalCommandShell allows Squeak to be used directly as a Unix shell, similar to /bin/sh but with access to Smalltalk expressions and the Squeak object environment. To initiate external shell processing, evaluate "ExternalCommandShell start". The image can be saved and restarted with "squeak -headless myImage" to run it as a headless Squeak shell. See the class comments in ExternalCommandShell for more information.'.
	info maintainer: 'dtl'.
	info homepage: 'http://wiki.squeak.org/squeak/1914'.
	info squeakMapID: ''.
	info url: 'http://wiki.squeak.org/squeak/uploads/1914/CommandShellV4-3.sar'.
	self provides: #().

	self dependsOn: #('OSProcess').

! !

!PackagesDevU methodsFor: 'Constraints' stamp: 'kph 9/10/2008 10:09'!
Connectors

	self name: 'Connectors'.
	self version: '2.3-187'.
	info category: 'Constraints'.
	info description: 
'Connectors is an application for making structured/connected drawings in Morphic. It adds a new kind of Morph (NCConnectorMorph) that can connect other Morphs together (and stay connected). There are also a number of other shapes, flaps, and tools for making your own drawings.

It comes with some sample shapes in flaps for making UML class diagram and state diagrams.

It''s also a framework for making your own structured drawing editors. There is an easy to use API for querying drawing structure, constructing drawings, and more.'.
	info maintainer: 'ls'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/1773'.
	info squeakMapID: ''.
	info url: 'http://map.squeak.org/accountbyid/092daeeb-7a37-427f-8afb-66bf2db74f98/files/ConnectorsFor3.8-187.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Cryptography

	self name: 'Cryptography'.
	self version: '0.3'.
	info category: 'Uncategorized'.
	info description: 
'The cryptography package provides some basic cryptographic algorithms and
protocols. This change set integrates algorithms implemented by several members 
of the Squeak community, including Leandro Caniglia, John Maloney,
Duane Maxwell, Luciano Notarfrancesco and Carlos Sarraute. There isn''t much
documentation, but browsing the tests (CryptoTest) will give you a pretty good
idea of how to use it.
This package includes:
  - Symmetric key algorithms: DES, 3DES, AES (Rijndael), ARC4
  - Block cipher modes: CBC, CFB, OFB
  - Hash functions: MD4, MD5, SHA1
  - Public key algorithms: DSA, ElGamal, RSA
  - Other stuff: HMACs, Diffie-Hellman, a random pool, a secure prng, a primes finder'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Cryptography.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 9/10/2008 10:09'!
CryptographyTeamPackage

	self name: 'Cryptography Team Package'.
	self version: '1.1'.
	info category: 'System'.
	info description: 
''.
	info maintainer: 'rww'.
	info homepage: 'http://www.squeaksource.com/Cryptography.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Cryptography/Cryptography-rww.5.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Mathematics' stamp: 'kph 9/10/2008 10:09'!
DHBNumericalAnalysis

	self name: 'DHB Numerical Analysis'.
	self version: '1.0'.
	info category: 'Mathematics'.
	info description: 
'Smalltalk numerical analysis codes based on Didier Besset''s '.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/DHBSqueakNumerical-1.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
DNSClient

	self name: 'DNS Client'.
	self version: '1.1'.
	info category: 'Network'.
	info description: 
'This package implements the DNS protocol (not all of it, but extending it is very easy). It includes a DNS client (a name resolver).

Example (put the address of a name server):
	NameResolver default servers: #((xxx xxx xxx xxx))
	NameResolver default addressByName: ''squeak.org''

This version adds reverse lookups (IP to name).'.
	info maintainer: 'Jason Johnson <azreal1977@hotmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/dnsclient'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
DebugReport

	self name: 'DebugReport'.
	self version: '2.5'.
	info category: 'Development'.
	info description: 
'You can generate more helpful debug log from Notifier or Debugger.
Generated HTML document has the same view as Debugger.
See sample page: <a href="http://squeak.sakura.ne.jp/etc/DebugReportSample/" target="_blank">http://squeak.sakura.ne.jp/etc/DebugReportSample/</a>'.
	info maintainer: 'ls'.
	info homepage: 'http://swikis.ddo.jp:9091/DebugReport.html'.
	info squeakMapID: ''.
	info url: 'http://squeaksource.blueplane.jp/DebugReport/DebugReport-minami.25.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 11/2/2008 00:30'!
DependencyBrowser

	self name: 'DependencyBrowser'.
	self version: '0.1'.
	info category: 'Code Browsing'.
	info description: 
'This utility contains an OmniBrowser that could be useful to whom it needs to arm a production release or just perform an early exploration of a package. The browser will display the dependencies (class and inheritance references) from classes and packages in your image.


'.
	info maintainer: 'Hernn Morales Durand (hernan.morales@gmail.com)'.
	info homepage: 'http://cs.hernanmorales.com.ar/projects/dependencyBrowser/DBrowser-en.php'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/DependencyWalker/OBDependencyWalker-hfm.2.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser
RefactoringEngine
OmniBrowser-Standard
DependencyWalker
PackageInfo').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/2/2008 00:30'!
DependencyWalker

	self name: 'DependencyWalker'.
	self version: '0.1'.
	info category: 'Development'.
	info description: 
'This is the DependencyBrowser package that do the real job.
'.
	info maintainer: 'Hernn Morales Durand (hernan.morales@gmail.com)'.
	info homepage: 'http://cs.hernanmorales.com.ar/projects/dependencyBrowser/DBrowser-en.php'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/DependencyWalker/DependencyWalker-hfm.8.mcz'.
	self provides: #('DependencyWalker').

	self dependsOn: #('AST RefactoringEngine').

! !

!PackagesDevU methodsFor: 'Office' stamp: 'kph 9/10/2008 10:09'!
DiagramBrowser

	self name: 'Diagram Browser'.
	self version: '2004-7-25'.
	info category: 'Office'.
	info description: 
'DiagramBrowser is a tool for building and classifying diagrams (or any kind of morphic drawing) in category tree fashion. 

DiagramBrowser is part of the Jacarand Project but can be downloaded and used independently.

Note that this package does not provide shapes for making the diagrams. You can use the excelent Connectors package or install the complete Jacaranda package.'.
	info maintainer: 'ls'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/2958'.
	info squeakMapID: ''.
	info url: 'http://map.squeak.org/accountbyid/3c873639-61d0-43e1-8c87-1fa43bc8599d/files/DiagramBrowser-hpt.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
DictionaryBrowser

	self name: 'DictionaryBrowser'.
	self version: '0.2'.
	info category: 'Development'.
	info description: 
'DictionaryBrowser is a basic query and results browser for dictionary servers that implement the RFC 2229 dictionary server protocol.

Use "DictionaryBrowser open" or "DictionaryBrowser openExistingWith: ''squeak''" to get started.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/DictionaryBrowser-rkris.4.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Languages and Extensions' stamp: 'kph 9/10/2008 10:09'!
DynamicBindings

	self name: 'DynamicBindings'.
	self version: '2.7'.
	info category: 'Languages and Extensions'.
	info description: 
'DynamicBindings for Squeak
by Stephen Pair <stephen@pairhome.net> 

===== Introduction =====

You may create a hierarchy of DynamicBindings and directly manipulate the keys and values of those instances (just as you would any dictionary).  There is a root DynamicBindings that you may use to create new children if you like (but you can also create entirely separate hierarchies).  You can access this root with "DynamicBindings root".  To force a process to use one of your sets of DynamicBindings, you write code as follows (note, I only use ''PATH'' to highlight the similarity with normal OS environment variables):

	myBindings _ DynamicBindings root newChild.
	myBindings at: #PATH put: ''/bin:/usr/bin''.
	myBindings bindDuring: 
		[Bindings at: #PATH.  				"-> ''/bin:/usr/bin''"
		Bindings at: #PATH put: (''/usr/local/bin:'', (Bindings at: #PATH)).
		Bindings at: #PATH].  				"-> ''/usr/local/bin:/bin:/usr/bin''"

For convenience, two methods have been added to Object that enable more direct access to bindings.  The following exampel is equivalent to the first:

	myBindings _ DynamicBindings root newChild.
	myBindings at: #PATH put: ''/bin:/usr/bin''.
	myBindings bindDuring: 
		[#PATH binding.  				"-> ''/bin:/usr/bin''"
		#PATH binding: (''/usr/local/bin:'', (#PATH binding)).
		#PATH binding].  				"-> ''/usr/local/bin:/bin:/usr/bin''"


The first line creates a new set of bindings that is a child of the root bindings.  Any variables set in the root bindings are also visible in this new child environment.

The second line sets the dynamic variable "PATH".

The third line uses the evaluates the argument block in the context of our new set of bindings.

The fourth line gets the value for the variable "PATH" (which we just set).

The fifth line in the above example modifies the environment variable "PATH", but only for the duration that the enclosing block is active.

Here is another example:

	#PATH binding: ''/bin''.
	Bindings clamp:
		[#PATH binding: ''/usr/bin''.
		#PATH binding]. 						"-> ''/usr/bin''"
	#PATH binding.								"-> ''/bin''"

This example shows the use of the #clamp: method to isolate a our dynamic bindings only for the duration of a block.  After the block finishes execution, the original set of bindings is restored.

Scoping semantics:

A dynamic variables'' scope is defined at runtime by an enclosing activation context.  To locate the active lexicon of dynamic variables, the system follows the activation stack until a context is encountered that defines the active DynamicBindings (this lookup is implemented using the exception handling system).  Any changes to the active DynamicBindings are visible in all activation contexts where that set of DynamicBindings are being used (which may include contexts in more than one activation stack).

A bit about how it''s implemented:

The bindings for a given method activation context are located using the exception handling mechanism (see BindingsLocator).  If a given stack does not have a handler that answers a set of bindings, then dummy contexts will be added to the top of the stack that will answer the global root set of bindings.

Unlike other implementations, DynamicBindings do not use the activation stack to define the hierarchy of bindings.  Instances of DynamicBindings have their own parent instance variable and will locate enclosing variable scopes by following the chain of parents (*not* by looking for enclosing handlers of BindingsLocator).  Using this design, we are able to accomodate a broader range of usage scenarios.

If you need to isolate the bindings of a given context stack such that future changes in the bindings are not visible to users of the current set of dynamic bindings (ie. if you use continuations), you can send the message #isolate to the BindingsAccessor (ie. use "Bindings isolate").

===== Release History =====

Version 1.1:
	- Packaged using KomPackaging (Squeak version only)
	- Made Object>>binding: answer its argument
	- Cleaned up a few obsolete methods from the old RuntimeEnvironments implementation

Version 1.0:
	- Initial release'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/KomHttpServer/DynamicBindings-gc.7.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
DynamicProtocols

	self name: 'DynamicProtocols'.
	self version: '0.67'.
	info category: 'Development'.
	info description: 
'A dynamic protocol is a category (displayed in the 3rd pane of your browser) whose content is computed dynamically based on the currently selected class. If a dynamic protocol is empty then it is not shown.

This system is based on an idea of Nathanael Sharli and Andrew P. Black (see ''A Browser For Incremental Programming'')

Here is a small list of possible dynamic protocols:

- HaltUsage: displays all methods containing a call to #halt
- Override: contains methods that are defined in the superclasses and redefined in the current class
- Duplicated: shows methods that have the same source code as in their super class
- RecentlyModified, SuperSend...

A preference system has been set to permit the selection of desired dynamic protocols. After having browsed at least one class using OmniBrowser, you can set your preferred protocols using the Preference Browser in the category ''dynamic protocols''.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/DynamicProtocols'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/DynamicProtocols/DynamicProtocols-dc.67.mcz'.
	self provides: #().

	self dependsOn: #('ClassSelectorSets' 'OmniBrowser-Standard').

! !

!PackagesDevU methodsFor: 'Games' stamp: 'kph 9/10/2008 10:09'!
ElectricityGame

	self name: 'Electricity Game'.
	self version: '1.19'.
	info category: 'Games'.
	info description: 
'This is the game Stephan B. Wessels demoed at OOPSLA 2003.

NsGame began as a Squeak port of the Shockwave Flash game by Pavils Jurjans.
See http://www.jurjans.lv/stuff/net/freenet.htm.

To begin the game perform:
	NsGame new openInWorld

Instructions are available from within the game.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: 'http://squeak.preeminent.org/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/NSGame/NsTileGame-sbw.19.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Morphs' stamp: 'kph 9/10/2008 10:09'!
EventInterceptorMorph

	self name: 'EventInterceptorMorph'.
	self version: '1alpha'.
	info category: 'Morphs'.
	info description: 
'Have you ever wanted to trace some code which is part of the Morphic UI process, or code triggered by it?  Had trouble trying to trace it in the debugger because interacting with the UI changes what you''re trying to watch?  EventInterceptorMorph may be able to help!!

EventInterceptorMorph is a button which, when pressed, begins listening to the hand''s event stream.  When an even of the appropriate type is encountered, this morph intercepts it and traces the dispatch of the event using MessageSendTree, and opens a SendTreeExplorer on the results.  This is useful for debugging parts of the UI process which are otherwise difficult to trace.

The eventType can be any of the Morphic event types, but #mouseUp, #mouseDown, and #keystroke are by far the most useful because they are the triggers for the majority of actual UI activity.

A methodSelector may be set which identifies a particular method the user is interested in.  All method sends above this method are ignored.  This is useful when the user wishes to study the execution of a known method which is eventually triggered by a UI gesture, but has no interest in the complete event dispatching send tree leading up to it.  See example in changeset preamble.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/EventInterceptorMorph-JW.1.cs.gz'.
	self provides: #().

	self dependsOn: #('SendTreeExplorer').

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
ExternalWebBrowser

	self name: 'ExternalWebBrowser'.
	self version: '9'.
	info category: 'Network'.
	info description: 
'This small package should work as an alternative to scamper. It just hands over every url to a platform specific external browser.'.
	info maintainer: 'Norbert Hartl <norbert@hartl.name>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ExternalWebBrowser/ExternalWebBrowser-noha.8.mcz'.
	self provides: #().

	self dependsOn: #('FFI').

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 9/10/2008 10:09'!
Exupery

	self name: 'Exupery'.
	self version: '0.14'.
	info category: 'System'.
	info description: 
'Exupery is a byte code compiler written in Squeak. It has been written fully test first with both customer and acceptance tests.

The project is a personal master work, it is meant to both be useful in itself and help me improve my personal programming skills.

It is going to be a compiler for leaf methods first, providing an alternative to writing plugins as a performance improvement.

The programming exersize is complexity control. Compilers are much harder to write than interpreters yet in theory they should be intermediate generation (equivilent to the interpreter) plus a back-end. Both parts are individually well understood.'.
	info maintainer: 'Bryce Kampjes <bryce@kampjes.demon.co.uk>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Exupery/Exupery-wbk.321.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 11/2/2008 00:30'!
ExuperyDevelopment

	self name: 'Exupery Development'.
	self version: '0.14.3'.
	info category: 'System'.
	info description: 
'Provides a development image with the usual tools for Exupery.'.
	info maintainer: 'wbk'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Exupery/VMMaker-wbk.80.mcz'.
	self provides: #('VMMaker').

	self dependsOn: #('CommandShell' 'Connectors' 'Exupery' 'FFI' 'FreeType Plus-plugins source' 'GraphViz' 'OSProcessPlugin' 'Refactoring Tests' 'Speech').

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 9/10/2008 10:09'!
FFI

	self name: 'FFI'.
	self version: '3.9.1'.
	info category: 'System'.
	info description: 
'The Squeak foreign function interface.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: 'http://wiki.squeak.org/squeak/1414'.
	info squeakMapID: ''.
	info url: 'http://map.squeak.org/accountbyid/cf58c358-46ee-465e-b6db-2740e9b32a53/files/InstallFFI3.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 9/10/2008 10:09'!
FFIExamples

	self name: 'FFI-Examples'.
	self version: '3.9'.
	info category: 'System'.
	info description: 
'Examples for the Squeak foreign function interface.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://source.squeakfoundation.org/FFI/FFI-Examples-ar.1.mcz'.
	self provides: #().

	self dependsOn: #('FFI').

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 9/10/2008 10:09'!
FFITests

	self name: 'FFI-Tests'.
	self version: '3.9'.
	info category: 'System'.
	info description: 
'Tests for the Squeak foreign function interface.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://source.squeakfoundation.org/FFI/FFI-Tests-ar.2.mcz'.
	self provides: #().

	self dependsOn: #('FFI').

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'test 1/13/2009 15:56'!
FileBase

	self name: 'File-Base'.
	self version: '10'.
	info category: 'Model Extension'.
	info description: 
'A file IO interface inspired by http://rio.rubyforge.org , potentially replaces FileDirectory/FileMan.

Transparently supports archives and ftp filesystems'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://wiki.squeak.org/squeak/5929'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Rio/File-Base-test.10.mcz'.
	self provides: #().

	self dependsOn: #('File-Kernel').

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'test 1/13/2009 15:56'!
FileKernel

	self name: 'File-Kernel'.
	self version: '10'.
	info category: 'Model Extension'.
	info description: 
'A file IO interface inspired by http://rio.rubyforge.org , potentially replaces FileDirectory.

This package contains only the kernel of Rio. See the package File-Base to get the full distribution.'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://wiki.squeak.org/squeak/5929'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Rio/File-Kernel-test.10.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'kph 9/10/2008 10:09'!
FileMan

	self name: 'FileMan'.
	self version: '0.85'.
	info category: 'Model Extension'.
	info description: 
'Squeak''s file libraries (Directory, DirectoryEntry, FileStream, etc.) are sometimes very confusing to use. FileMan provides a simple, refactored interfaces for manipulating files and directories by wrapping those classes.

"Before"
subDir := FileDirectory default directoryNamed: ''subDir''.
subDir assureExistence.
[str := subDir newFileNamed: ''file1''.
str nextPutAll: ''Hello!!'']
	ensure: [str close].

"After installation of FileMan"
''./subDir'' asDirectoryEntry at: ''file2'' put: ''Hello!!'''.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://squeaksource.blueplane.jp/FileMan.html'.
	info squeakMapID: ''.
	info url: 'http://squeaksource.blueplane.jp/FileMan/FileMan-mu.85.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'test 1/13/2009 15:56'!
FileTest

	self name: 'File-Test'.
	self version: '7'.
	info category: 'Model Extension'.
	info description: 
'File-Tests '.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://wiki.squeak.org/squeak/5929'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Rio/File-Test-test.7.mcz'.
	self provides: #().

	self dependsOn: #('File-Base').

! !

!PackagesDevU methodsFor: 'Data Structures' stamp: 'kph 9/10/2008 10:09'!
FixedDecimal

	self name: 'FixedDecimal'.
	self version: '13'.
	info category: 'Data Structures'.
	info description: 
'An implementation of FixedDecimal.  Should be like Scaled Decimal, except that it actually does math correctly (i.e., two FixedDecimal that the printed version of them look like they are equal are, in fact, equal - unlike Scaled Decimal).
'.
	info maintainer: 'kph'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/FixedDecimal/FixedDecimal-cbc.13.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
Folktale

	self name: 'Folktale'.
	self version: '0.51'.
	info category: 'Network'.
	info description: 
'Folktale is a useful command shell for headless Swiki user.
You can log in squeak image through telnet client at localhost port 4919.
Try

$ squeak -headless squeak.image Folktale.st &

Useful expressions and pseudo variables.
Jump result object unless your query has dot(.) at end.
----
Basic command is follwed
help -- This message.
exit  -- Exit.
self -- Current object.
ii -- Inspect self.
history -- Show history.
back -- Back.

q -- The agent (me).
q usefulExpressions -- Show more useful expressions.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Folktale-051.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Morphs' stamp: 'kph 9/10/2008 10:09'!
FractalMorph

	self name: 'FractalMorph'.
	self version: '1.2'.
	info category: 'Morphs'.
	info description: 
'see webpage http://minnow.cc.gatech.edu/squeak/2911 for descriptions.  
Allows you to zoom in and out of a fractal image, possibly make small animations as well.  begin with (FractalMorph new
openInWorld)'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/FractalMorph.2.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Fonts' stamp: 'kph 9/10/2008 10:09'!
FreeTypePlus

	self name: 'FreeType Plus'.
	self version: '0.5'.
	info category: 'Fonts'.
	info description: 
'Support for FreeType font system.
Scans host OS for available font files, and automatically creates TextStyles.
Re-scans on every image startup.
'.
	info maintainer: 'amtween@hotmail.com'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://map.squeak.org/accountbyid/46dcf6af-067d-43e3-9fc9-d7010e067153/files/FreeType-tween.355.mcz'.
	self provides: #().

	self dependsOn: #('FFI' 'FreeType Plus-plugins installer').

! !

!PackagesDevU methodsFor: 'Fonts' stamp: 'kph 11/2/2008 00:30'!
FreeTypePlusBase

	self name: 'FreeType Plus-Base'.
	self version: '0'.
	info category: 'Fonts'.
	info description: 
'The main FreeType Plus package.

Bryce has created this because loading FreeType Plus loads  FreeType Plus-plugins which breaks on Linux if you''re using a VM with the Freetype plugin build directories beside it. It''s here so FreeType Plus-plugins source can load it to automate building an image to build the VM from.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/FreeTypePlus/FreeType-tween.435.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Fonts' stamp: 'kph 9/10/2008 10:09'!
FreeTypePlusplugins

	self name: 'FreeType Plus-plugins'.
	self version: '0.15'.
	info category: 'Fonts'.
	info description: 
'Installs plugins (for Windows/Linux) into VM executable directory.

For Mac OS X - use the most recent VM (which includes the FT2Plugin) and get the modified BitBltPlugin from ftp://ftp.smalltalkconsulting.com/experimental/BitBltPlugin.v1.0.0b1.FreeTypePlus.bundle.zip'.
	info maintainer: 'amtween@hotmail.com'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://map.squeak.org/accountbyid/46dcf6af-067d-43e3-9fc9-d7010e067153/files/FreeTypePluginInstaller3.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Fonts' stamp: 'kph 9/10/2008 10:09'!
FreeTypePluspluginsinstaller

	self name: 'FreeType Plus-plugins installer'.
	self version: '0.16'.
	info category: 'Fonts'.
	info description: 
'Installs plugins (for Windows/Linux) into VM executable directory.

For Mac OS X - use the most recent VM (which includes the FT2Plugin) and get the modified BitBltPlugin from ftp://ftp.smalltalkconsulting.com/experimental/BitBltPlugin.v1.0.0b1.FreeTypePlus.bundle.zip'.
	info maintainer: 'amtween@hotmail.com'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://map.squeak.org/accountbyid/46dcf6af-067d-43e3-9fc9-d7010e067153/files/FreeTypePluginInstaller3.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Fonts' stamp: 'kph 11/2/2008 00:30'!
FreeTypePluspluginssource

	self name: 'FreeType Plus-plugins source'.
	self version: '3'.
	info category: 'Fonts'.
	info description: 
'The Slang source for the FreeType Plus plugin. This is to be used with VMMaker'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://source.impara.de/freetype/Freetype-Plugin-JMM.53.mcz'.
	self provides: #().

	self dependsOn: #('FreeType Plus-Base' 'VMMaker').

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
GOODS

	self name: 'GOODS'.
	self version: '80'.
	info category: 'Persistence'.
	info description: 
'GOODS is a distributed, language-neutral object database from Konstantin Knizhnik. It''s available from http://www.garret.ru/~knizhnik/goods.html .

This client provides transparent storage of Smalltalk objects, or, given some extra type information, compatibility with the GOODS Java interface storage conventions, for easy sharing of object data between Squeak and Java.

See http://minnow.cc.gatech.edu/squeak/3492 for more information.

*Requires GOODS 2.72 or later*'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/GOODS/GOODS-avi.80.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Games' stamp: 'kph 9/10/2008 10:09'!
Games

	self name: 'Games'.
	self version: '2005-10-14'.
	info category: 'Games'.
	info description: 
'Chess, FreeCell, SameGame, ChineseCheckers, Tetris and more

'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://map.squeak.org/accountbyid/fc09dff0-87b1-47ec-ace7-fa4172b5d6a0/files/Morphic-Games.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Games' stamp: 'kph 9/10/2008 10:09'!
GamesTests

	self name: 'GamesTests'.
	self version: '2003-5-2'.
	info category: 'Games'.
	info description: 
''.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/gamesTests-asm.cs'.
	self provides: #().

	self dependsOn: #('Games').

! !

!PackagesDevU methodsFor: 'Network' stamp: 'test 1/13/2009 15:56'!
GemToolsClient

	self name: 'GemTools-Client'.
	self version: '0.345'.
	info category: 'Network'.
	info description: 
'Installs GLASS client software. Provides development environment UI for OmniBrowser-based tools running in a GemStone server.

This new version depends upon OSTestRunner, an OmniBrowser-based version of TestRunner

Note that this package is not only dependent upon certain packages, but it is dependent upon specific versions of those packages in the client image. Here is the list of versions that the client has been tested with:
	OmniBrowser version 0.432
	ShoutOmniBrowser version tween.6
	FFI version 3.9.1
	OmniBrowser-Morphic version 0.62

If you experience problems, you should make sure that you have the above versions loaded.

This version is also dependent upon GLASS.230-dkh.182 (or later) on the GemStone side.'.
	info maintainer: 'Dale Henrichs'.
	info homepage: 'http://seaside.gemstone.com/'.
	info squeakMapID: ''.
	info url: 'http://seaside.gemstone.com/ss/GLASSClient/GemStone-obi.345.mcz'.
	self provides: #('GemTools-Client').

	self dependsOn: #('FFI' 'OmniBrowser' 'OmniBrowser-Morphic' 'OmniBrowser-SUnit-GUI' 'ShoutOmniBrowser').

! !

!PackagesDevU methodsFor: 'User Interface' stamp: 'kph 9/10/2008 10:09'!
Genie

	self name: 'Genie'.
	self version: 'r67'.
	info category: 'User Interface'.
	info description: 
'Genie is a powerful gesture recognition system by Nathanael Schrli. It lets you control anything in your Squeak environment through mouse or pen gestures. This version includes better Squeak integration, a small dictionary of useful gestures for project navigation and UI control, and should "just work" after installation.'.
	info maintainer: 'Simon Michael'.
	info homepage: 'http://squeaksource.com/genie.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/genie/Genie-sm.67.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
Glorp

	self name: 'Glorp'.
	self version: '0.4.169'.
	info category: 'Persistence'.
	info description: 
'Glorp is Object-Relational Mapping Framework similar to TopLink, developed by Alan Knight. Squeak version requires the Postgres client '.
	info maintainer: 'Norbert Hartl <norbert@hartl.name>'.
	info homepage: 'http://www.glorp.org/'.
	info squeakMapID: ''.
	info url: 'http://selfish.org/files/st/Glorp-0.4.169.sar'.
	self provides: #().

	self dependsOn: #('PostgreSQL Client').

! !

!PackagesDevU methodsFor: 'Graphics' stamp: 'kph 9/10/2008 10:09'!
GraphViz

	self name: 'GraphViz'.
	self version: '41r2'.
	info category: 'Graphics'.
	info description: 
'Graph visualization is a way of representing structural information as

diagrams of abstract graphs and networks. Automatic graph drawing has

many important applications in software engineering, database and web

design, networking, and in visual interfaces for many other domains.



The Graphviz layout programs take descriptions of graphs in a simple

text language, and make diagrams in several useful formats such as

images and SVG for web pages, Postscript for inclusion in PDF or other

documents; or display in an interactive graph browser. (Graphviz also

supports GXL, an XML dialect.)



Graphviz has many useful features for concrete diagrams, such as

options for colors, fonts, tabular node layouts, line styles,

hyperlinks, and custom shapes.



In practice, graphs are usually generated from an external data

sources, but they can also be created and edited manually, either as

raw text files or within a graphical editor. (Graphviz was not

intended to be a Visio replacement, so it is probably frustrating to

try to use it that way.)



So basically, the Squeak interface provided here makes it fairly

straightforward to generate the "dot" language file that the GraphViz

command line programs use as input to create the graphs.  For

references on the "dot" language you can go to the graphviz web site

mentioned above.



Several examples are provided in the Squeak package if you look at the

class side of GraphViz or inspect my test cases.  Graphing Smalltalk

class hierarchies and/or class references has been a source of delight

as well as using this program to graph many relationships pertinent to

my business data.



Lastly, GraphViz will generate SVG output formats as well.  I found a

very cool Java-based Zoomable User Interface built specially to

navigate large graphs generated by GraphViz called ZGRViewer

(http://zvtm.sourceforge.net/zgrviewer.html). Then you can open the Java ZGRViewer program and surf around the graph file this is generated by Squeak.  Very cool for looking at large models!!'.
	info maintainer: 'wbk'.
	info homepage: 'http://squeak.saltypickle.com/GraphViz'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/GraphViz/GraphViz-jrp.41.mcz'.
	self provides: #().

	self dependsOn: #('CommandShell' 'Connectors' 'FFI').

! !

!PackagesDevU methodsFor: 'Graphics' stamp: 'kph 9/10/2008 10:09'!
GraphicsExternal

	self name: 'Graphics-External'.
	self version: '0.1'.
	info category: 'Graphics'.
	info description: 
'Balloon3D dependencies'.
	info maintainer: 'Mathieu Suen <mathieusuen@yahoo.fr>'.
	info homepage: 'http://www.squeaksource.com/Balloon3D'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Balloon3D/Graphics-External-ar.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Graphics' stamp: 'kph 9/10/2008 10:09'!
GraphicsTools

	self name: 'Graphics-Tools'.
	self version: '0.2'.
	info category: 'Graphics'.
	info description: 
'Balloon3D dependencies'.
	info maintainer: 'Mathieu Suen <mathieusuen@yahoo.fr>'.
	info homepage: 'http://www.squeaksource.com/Balloon3D'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Balloon3D/Graphics-Tools-ar.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
HTMLParser

	self name: 'HTML-Parser'.
	self version: '1.5-2'.
	info category: 'Network'.
	info description: 
'Parses an HTML document into an XML DOM, using YAXO''s XMLElement.  This parser is HTML 4.01 compliant - it will accurately infer the structure of correct HTML, but it is not tolerant of broken markup.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/HTML-Parser.st'.
	self provides: #().

	self dependsOn: #('Network-HTML' 'YAXO').

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
HTTPClient

	self name: 'HTTPClient'.
	self version: '19'.
	info category: 'Network'.
	info description: 
'A Squeak port of Steve Waring''s HTTP client.  (The original, Dolphin package is available at http://www.dolphinharbor.org/dh/projects/httpclient/index.html.)  The Squeak port is usable, but still needs a lot of cleanup work.

The Squeak port must be installed using an up-to-date version of MCInstaller; the easiest way to get that is to update to SM2.

See the class side of SptHTTPRequest for example usage.

Features:

    * HTTP 1.1 persistent connections.
    * Ability to process requests in a background process and set timeouts.
    * Cookie parsing/sending.
    * Partial range requests.
    * Automatic following of redirections.
    * Streaming of responses to writeStreams/fileStreams.
    * Basic Authentication.
    * Support for Proxies.
    * Flexible progress notifications.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SWHTTPClient-bkv.19.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
IRCBot

	self name: 'IRCBot'.
	self version: '2.1'.
	info category: 'Network'.
	info description: 
'see homepage for instructions on how to use and set up the bot.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Network-IRC%20Bot.st'.
	self provides: #().

	self dependsOn: #('IRCe').

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
IRCe

	self name: 'IRCe'.
	self version: '10.7.6-2'.
	info category: 'Network'.
	info description: 
'This is a significant rewrite of the built-in Squeak IRC client GUI. A new user interface includes having one console window per connection and then having all console messages, channel messages and private messages contained inside the main console window using tabbed swapped panes.                                         

Numerous other changes are also included but are not described here. The change-set contains documentation for all features added or modified.

Instructions at http://squeak.preeminent.org/irc-help/irc-help.html'.
	info maintainer: 'Frank Caggiano'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://kilana.unibe.ch:8888/IRC/Network-IRC-fc.10.7.6.mcz'.
	self provides: #().

	self dependsOn: #('ExternalWebBrowser' 'FFI').

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'damiencassou 1/21/2009 13:12'!
Installer

	self name: 'Installer'.
	self version: '4.3.284'.
	info category: 'Group Development'.
	info description: 
'Installer provides a simple Domain Specific Language for installing packages from monticello and squeakmap of various version.

One design decision is to be able to paste scripts a workspace and run and tested from there without any special editing.

Includes support for Package Universes
'.
	info maintainer: 'kph'.
	info homepage: 'http://wiki.squeak.org/squeak/Installer'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Installer/Installer-Core-kph.284.mcz'.
	self provides: #('Installer').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Data Structures' stamp: 'kph 9/10/2008 10:09'!
Iterator

	self name: 'Iterator'.
	self version: '1.0'.
	info category: 'Data Structures'.
	info description: 
'Ported from the Iterator goodie by Mario Wolczko.

Occasionally you may have a block that when evaluated can be
treated as a collection -- ie it takes another block as parameter,
then applies that to a sequence of values.

This goodie wraps the block into an object -- an iterator -- which is
part of the collection hierarchy, and therefore inherits a variety of
useful collection-related methods.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Iterator.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
JavaSerialization

	self name: 'Java Serialization'.
	self version: '1.71'.
	info category: 'Persistence'.
	info description: 
'Gives Squeak the ability to read in and write out Java serialized objects. It also includes a Java Class Loader. Great for debugging serialization problems in Java. Right now, I can load in any serialized stream, but those written with customized methods are just simple byte arrays. Future versions will use the class loader to make sense of this information. If you get any use out of it or have suggestions, let me know. I want it to become a way to interface to Java easily and the Smalltalk way. I want to do Java better than Java.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: 'http://www.squeaksource.com/Java.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Java/btb-Java-btb.171.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Data Structures' stamp: 'kph 9/10/2008 10:09'!
KGraph

	self name: 'KGraph'.
	self version: '0.0'.
	info category: 'Data Structures'.
	info description: 
'General purpose graph package.  Or it will be if it gets finished ;-)'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/KGraph-Propertied-jcg.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Kernel' stamp: 'kph 9/10/2008 10:09'!
KernelExtkph

	self name: 'KernelExt-kph'.
	self version: '3.10.54+'.
	info category: 'Kernel'.
	info description: 
'see: http://installer.pbwiki.com/311-KernelExtensions'.
	info maintainer: 'kph <keith_hodges@yahoo.co.uk>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://installer.pbwiki.com/f/Install311KernelExtensions.st'.
	self provides: #('Null').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'IDE' stamp: 'kph 9/10/2008 10:09'!
KeyBinder

	self name: 'KeyBinder'.
	self version: '2004.8.14.18'.
	info category: 'IDE'.
	info description: 
'KeyBinder modifies the way Squeak handles keyboard events and provides a framework for constructing keyboard bindings.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://wiki.squeak.org/squeak/HernanTylim'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/KeyBinder/KeyBinder-cdlm.18.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'IDE' stamp: 'kph 9/10/2008 10:09'!
Keymapping

	self name: 'Keymapping'.
	self version: '4.1'.
	info category: 'IDE'.
	info description: 
'Allows binding of keymaps to any morph, class or category of morphs.  Includes a simple GUI for editing keyboard bindings'.
	info maintainer: 'cds'.
	info homepage: 'http://map1.squeakfoundation.org/sm/package/51055995-d976-42da-ae18-7f3bdb9fb27d'.
	info squeakMapID: '51055995-d976-42da-ae18-7f3bdb9fb27d'.
	info url: 'http://map.squeak.org/accountbyid/1885112d-8641-485b-b40c-c0964d48e674/files/KeymappingInstaller-9.sar'.
	self provides: #('Keymapping').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
KomHttpServer

	self name: 'KomHttpServer'.
	self version: '7.0.30'.
	info category: 'Network'.
	info description: 
'KomHttpServer is the Comanche web server package.  To get a simple web server running, install this package and evaluate the code below.  A simple file serving web server will be started and will serve the files in your default directory.

	| ma |
	ma := ModuleAssembly core.
	ma serverRoot: FileDirectory default fullName.
	ma documentRoot: FileDirectory default fullName.
	ma directoryIndex: ''index.html index.htm''.
	ma serveFiles.
	(HttpService startOn: 8080 named: ''httpd'') plug: ma rootModule

After starting the server, point your web browser to http://localhost:8080/

If you have loaded Seaside, you can start a web server that serves Seaside based applications using the following configuration:

	| ma seaside |
	seaside := WAKom default.
	ma := ModuleAssembly core.
	ma serverRoot: FileDirectory default fullName.
	ma alias: ''/seaside'' to: [ma addPlug: [:request | seaside process: request]].
	ma documentRoot: FileDirectory default fullName.
	ma directoryIndex: ''index.html index.htm''.
	ma serveFiles.
	(HttpService startOn: 8080 named: ''httpd'') plug: ma rootModule

See the class comments of the various subclasses of ComancheModule for documentation and usage examples.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/KomHttpServer/KomHttpServer-gc.30.mcz'.
	self provides: #().

	self dependsOn: #('KomServices').

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
KomServices

	self name: 'KomServices'.
	self version: '1.12'.
	info category: 'Network'.
	info description: 
'KomServices provides a framework for the creation and management of background processes.  A generic Service class is provided for this purpose.  Additionally, TcpService is provided for creating services that respond to inbound TCP connections.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/KomHttpServer/KomServices-gc.12.mcz'.
	self provides: #().

	self dependsOn: #('DynamicBindings').

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'kph 9/10/2008 10:09'!
LambdaMessageSend

	self name: 'LambdaMessageSend'.
	self version: '16'.
	info category: 'Model Extension'.
	info description: 
'This package implements a specialized MessageSend subclass and an associated API for functional programming in Squeak.

See the test cases in FunctionalTalkTest for comprehensive documentation'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.zogotounga.net/comp/squeak/functionaltalk.htm'.
	info squeakMapID: ''.
	info url: 'http://map.squeak.org/accountbyid/5f9bef44-1fbb-4dd6-8f10-a69862ad5674/files/FunctionalTalk-17.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'IDE' stamp: 'kph 9/10/2008 10:09'!
Launcher

	self name: 'Launcher'.
	self version: '1.0.62'.
	info category: 'IDE'.
	info description: 
'A Launcher provides squeak with a range of capabilities that are intended to be used from the command line.

As a design goal, the startup process can invoke Launcher several times at several points in the startup sequence. In particular 1) below aims to provide a mechanism for getting into images that are broken in some form, so as to enable a script to be run before morphic has attempted to startup.

1) Launcher is registered to handle startup notification after Security manager
any class which wishes to provide a service to be usable at this time implements startFrom:

2) Launcher is wired in to ProjectLauncher to handle startup notification when squeak is fully initialized. Any class wishing to provide a service to be usable at this time implements launchFrom:

#startFrom: and #launchFrom: are called providing a handle to the launcher which may be used to obtain parameters using the desired scheme. 

a) launcher getParameters . key=value +yes -no
b) launcher getParametersOldStyle . key value key2 value2

 
 '.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://www.squeaksource.com/Installer.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Installer/Launcher-Core-kph.62.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Games' stamp: 'kph 9/10/2008 10:09'!
LifeMorph

	self name: 'LifeMorph'.
	self version: '1.0'.
	info category: 'Games'.
	info description: 
'A simple implementation of Life Game.  It is based on Dan''s original Life Game for Smalltalk-80.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/LifeMorph.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Languages and Extensions' stamp: 'kph 9/10/2008 10:09'!
Lisp

	self name: 'Lisp'.
	self version: '1'.
	info category: 'Languages and Extensions'.
	info description: 
'GUI works only in MVC.

 How to start

 1) evaluate:

 LispInterpreter open

 or

 LispInterpreter fullOpen
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Lisp-md.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
LogEngine

	self name: 'LogEngine'.
	self version: '2'.
	info category: 'Development'.
	info description: 
'A powerful and small LogEngine for Squeak!!
A Sample usage is
lc := LogClient getInstance: ''Client''.
lc debug:''test1''.
lc info:''test2''.

When you create a LogClient, you must use the getInstance: method, passing a "Category Name"
used to create a special category log file.

LogClient features:
+ Integrated con Preferences (debug panel)
+ Can output on file and on Transcript on demand
+ Can print the method where the line is called
+ Can disable the debug level (only this for the meantime, sorry).
+ Easy to extend'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/LogEngine2.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'test 1/13/2009 15:56'!
Logging

	self name: 'Logging'.
	self version: '3.42'.
	info category: 'Development'.
	info description: 
'Logging for squeak, a front end to Toothpick OR SimpleLog (apologies to LogEngine)
usage:

self log this.
self log x: 10 y: 20.

and much more...
'.
	info maintainer: 'Keith Hodges <keith_hodges@yahoo.co.uk>'.
	info homepage: 'http://wiki.squeak.org/squeak/3706'.
	info squeakMapID: '6c1b03cd-6c37-4acf-b971-72ff132c03f0'.
	info url: 'http://www.squeaksource.com/Logging/Logging-kph.42.mcz'.
	self provides: #('Logging').

	self dependsOn: #('ProcessSpecific' 'StreamsReadability').

! !

!PackagesDevU methodsFor: 'Languages and Extensions' stamp: 'kph 9/10/2008 10:09'!
Logicexpressions

	self name: 'Logic expressions'.
	self version: '2.1'.
	info category: 'Languages and Extensions'.
	info description: 
'This is a model of first order logic expressions, allowing you to manipulate them as objects instead of just strings.

Prerequisites: 
	Refactoring Browser
	SmaCC Runtime Package
	SmaCC Development Package

For example, inspect the following lines to get the expression corresponding
to "(p => q) = (not p or q)":

	| p q |
	p := LVariable named: ''p''.
	q := LVariable named: ''q''.
	p => q equiv: (p not | q).

Now, the same formula could be created using:
	LExpression fromString: ''{p=>q = not p or q}''

More complex formulas can also be created and evaluated, for example try:
	| exp |
	exp := LExpression fromString: ''{V(x)[x even]}''.
	exp valueDomains: {''x'' -> #(2 4 6 8 10 12 )}.

See more examples in the Homepage and on the Logic-Tests category.

I hope you enjoy it!!
Dany'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/3539'.
	info squeakMapID: ''.
	info url: 'http://map.squeak.org/accountbyid/3b1bce7e-2c48-4820-a5ab-4d806a1f29ba/files/Logic-DEA.2.mcz'.
	self provides: #().

	self dependsOn: #('SmaCC').

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
Magma10client

	self name: 'Magma 1.0 client'.
	self version: 'r40'.
	info category: 'Persistence'.
	info description: 
'Client, Server and Tester components for the Magma object database.
 '.
	info maintainer: 'kph <keith_hodges@yahoo.co.uk>'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/2665'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Magma/Magma%201.0r40%20client%20configuration.mcm'.
	self provides: #('Magma').

	self dependsOn: #('MonticelloConfigurations').

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 11/28/2008 16:26'!
Magma10server

	self name: 'Magma 1.0 server'.
	self version: 'r41'.
	info category: 'Persistence'.
	info description: 
'Client, Server and Tester components for the Magma object database.
 '.
	info maintainer: 'kph <keith_hodges@yahoo.co.uk>'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/2665'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Magma/1.0r41.mcm'.
	self provides: #('Magma').

	self dependsOn: #('MonticelloConfigurations').

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 11/28/2008 16:26'!
Magma141

	self name: 'Magma 1.41'.
	self version: 'r41.1'.
	info category: 'Persistence'.
	info description: 
'Client, Server and Tester components for the Magma object database.
 '.
	info maintainer: 'kph <keith_hodges@yahoo.co.uk>'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/2665'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Magma/r41.1.mcm'.
	self provides: #('Magma').

	self dependsOn: #('Monticello15').

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
MagmaClient

	self name: 'Magma Client'.
	self version: '0.9beta'.
	info category: 'Persistence'.
	info description: 
'The client component for Magma.

Magma is a highly transparent, multi-user object-database.  It offers Squeak users, as a community, concurrent access to a large model of objects, as well as query power comparable to relational databases for locating any object in the model.  It is easy to learn and use.'.
	info maintainer: 'Chris Muller <chris@funkyobjects.org>'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/2665'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Magma/MagmaClientLoader-cmm.23.mcz'.
	self provides: #('Magma client').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
MagmaSeaside

	self name: 'Magma Seaside'.
	self version: '0.9beta'.
	info category: 'Persistence'.
	info description: 
'Provides Seaside applications a suggested interface to a Magma repository, and a supplemental panel in Seaside''s Configuration utility to point the application to any local or remote Magma repository.

Each Seaside session will create its own connection to the Magma repository, known as a MagmaSession. Note WAMagmaSession extends WASession to manage the allocation of this MagmaSession and its closure when the Seaside session is finalized.

See the website for more information'.
	info maintainer: 'Chris Muller <chris@funkyobjects.org>'.
	info homepage: 'http://wiki.squeak.org/squeak/5817'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Magma/Magma%20seaside-brp.4.mcz'.
	self provides: #('Easy connection from Seaside to a Magma repository').

	self dependsOn: #('Magma Client' 'Seaside').

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
MagmaSeasidealpha

	self name: 'Magma Seaside-alpha'.
	self version: '1.0.86'.
	info category: 'Persistence'.
	info description: 
'Greatly enhanced

- control panel for magma
- shared sessions
- support for detailed logging
'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://wiki.squeak.org/squeak/5817'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/MagmaTester/Magma%20seaside-kph.86.mcz'.
	self provides: #().

	self dependsOn: #('Magma 1.0 tester' 'Seaside-beta' 'Seaside28Jetsam').

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
MagmaServer

	self name: 'Magma Server'.
	self version: '0.9beta'.
	info category: 'Persistence'.
	info description: 
'Server component for the Magma object database.'.
	info maintainer: 'Chris Muller <chris@funkyobjects.org>'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/2665'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Magma/MagmaServerLoader-cmm.25.mcz'.
	self provides: #('Magma server').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
MagmaseasideHelper

	self name: 'Magma seasideHelper'.
	self version: '2.8.r40.32'.
	info category: 'Persistence'.
	info description: 
'Provides Seaside applications with an interface to a Magma repository.

Includes detailed logging, and many preconfigured MagmaSession policies.

See the website for more information'.
	info maintainer: 'Keith Hodges <keith_hodges@yahoo.co.uk>'.
	info homepage: 'http://wiki.squeak.org/squeak/6019'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/MagmaTester/Magma%20seasideHelper-kph.32.mcz'.
	self provides: #().

	self dependsOn: #('Logging' 'Magma 1.0 server' 'Seaside' 'Seaside28Jetsam').

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
Magmasunit

	self name: 'Magma sunit'.
	self version: '1.0.8'.
	info category: 'Persistence'.
	info description: 
'Magma as an SUnit test resource'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://wiki.squeak.org/squeak/5817'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/MagmaTester/Magma%20sunit-kph.8.mcz'.
	self provides: #().

	self dependsOn: #('Magma').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/2/2008 00:30'!
MagritteModel

	self name: 'Magritte-Model'.
	self version: '1.0.17.331'.
	info category: 'Development'.
	info description: 
'Most applications consist of a big number of model- or so called domain-objects. Building different views, editors, and reports; querying, validating and storing those objects is very repetitive and error-prone, if an object changes its shape frequently. Magritte is a fully dynamic meta-description framework that helps to solve those problems, while keeping the full power to the programmer in all aspects. Moreover since Magritte is described in itself, you can let your users modify the meta-world and add their own fields and forms without writing a single line of code.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.lukas-renggli.ch/smalltalk/magritte'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/magritte/Magritte-Model-lr.331.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Morphs' stamp: 'kph 11/2/2008 00:30'!
MagritteMorph

	self name: 'Magritte-Morph'.
	self version: '1.0.17.42'.
	info category: 'Morphs'.
	info description: 
'Magritte bindings for Morphic.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.lukas-renggli.ch/smalltalk/magritte'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/magritte/Magritte-Morph-lr.42.mcz'.
	self provides: #().

	self dependsOn: #('Magritte-Model').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/2/2008 00:30'!
MagritteMse

	self name: 'Magritte-Mse'.
	self version: '1.0.17.2'.
	info category: 'Development'.
	info description: 
'MSE file format integration to Magritte.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://smallwiki.unibe.ch/fame/mse/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/mse/Magritte-Mse-lr.2.mcz'.
	self provides: #().

	self dependsOn: #('Magritte-Model' 'Mse').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
MagritteSeaside

	self name: 'Magritte-Seaside'.
	self version: '1.0.17.278'.
	info category: 'Web Development'.
	info description: 
'Magritte bindings for Seaside.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.lukas-renggli.ch/smalltalk/magritte'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/magritte/Magritte-Seaside-lr.278.mcz'.
	self provides: #().

	self dependsOn: #('Magritte-Model' 'Scriptaculous' 'Seaside').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/2/2008 00:30'!
MagritteTests

	self name: 'Magritte-Tests'.
	self version: '1.0.17.148'.
	info category: 'Development'.
	info description: 
'Magritte SUnit tests.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.lukas-renggli.ch/smalltalk/magritte'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/magritte/Magritte-Tests-lr.148.mcz'.
	self provides: #().

	self dependsOn: #('Magritte-Model').

! !

!PackagesDevU methodsFor: 'Simulation' stamp: 'kph 9/10/2008 10:09'!
Manzana

	self name: 'Manzana'.
	self version: '2003-1-21'.
	info category: 'Simulation'.
	info description: 
'Really simple physics simulations with Morphs.

Every Morph with mass contained in ManzanaUniversePasteUpMorph or in ManzanaPlanetPasteUpMorph with mass will be part in a simple simulation.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Manzana-2003-01-21.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Morphs' stamp: 'kph 9/10/2008 10:09'!
MemoryUsage

	self name: 'MemoryUsage'.
	self version: '0.3'.
	info category: 'Morphs'.
	info description: 
'A ProgressMorph subclass to display the current VM memory in use.  I wrote
this because the vm statistics menu item in the help menu is static; it
doesn''t periodically update.

Plus, it''s cool!!

"MemoryUsage new openInWorld."'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://web.nilpotent.org/software/smalltalk/MemoryUsage3.st.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Office' stamp: 'kph 9/10/2008 10:09'!
MiniToDo

	self name: 'MiniToDo'.
	self version: '1.1'.
	info category: 'Office'.
	info description: 
'Very simple task administration system.
Developed mainly as a learning-project. A lot of features must be added.
Sorry by the "spanglish" mix :)
Need a PluggableListMorph.

To start the app, evaluate:
SistemaTareas new initialize openAViewOnMe'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://map.squeak.org/accountbyid/1c274487-4fe7-4e08-ae09-c43a6c4ca73c/files/MiniToDo-gsa.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
MinneStore

	self name: 'MinneStore'.
	self version: '2.8'.
	info category: 'Persistence'.
	info description: 
'Object Database Management System for
Visual Smalltalk 3.1, Dolphin Smalltalk, VisualAge Smalltalk, VisualWorks Smalltalk and Squeak.

Its licensed under the MIT License

Download the 2.7, 2.8 and 2.9 version port from the Stephen Pope''s site ftp://ftp.create.ucsb.edu/pub/stp/OODB/'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SMS.2.08.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Mondrian

	self name: 'Mondrian'.
	self version: '0.40'.
	info category: 'Uncategorized'.
	info description: 
''.
	info maintainer: 'ls'.
	info homepage: 'http://mc.lukas-renggli.ch/mondrian/'.
	info squeakMapID: ''.
	info url: 'http://mc.lukas-renggli.ch/mondrian/Mondrian-dr.40.mcz'.
	self provides: #().

	self dependsOn: #('Announcements').

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'damiencassou 1/21/2009 13:12'!
Monticello15

	self name: 'Monticello15'.
	self version: '1.5+'.
	info category: 'Group Development'.
	info description: 
'Monticello - evolution - Improvements over 1.0 

- Method/Class Orphanage which enables out-of-order loading of packages, and maintenance of packages whose dependencies have not been loaded.
- Method Overrides (if properly categorized) are fully supported preserving the integrity of a package even if it has overridden methods
- Refactored UI/repository classes so that one UI heirachy serves all.
- Dual Changes Browser
- In memory cache repository
- Support for configurations (Please name them using the MC conventions)
- Support for more complex version numbering conventions i.e. Package-kph-1.0.3.mcz

known problems:
methods have been known to loose their categories

future:
Atomic Loading loader using System Editor is already coded and contained in this release.
See #theChosenLoaderClass.


'.
	info maintainer: 'kph <keith_hodges@yahoo.co.uk>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://installer.pbwiki.com/f/mc15.st'.
	self provides: #('PackageInfo-Base' 'Installer' 'MonticelloConfigurations' 'Monticello15').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 11/28/2008 16:33'!
Monticello16

	self name: 'Monticello16'.
	self version: '1.6+'.
	info category: 'Group Development'.
	info description: 
'Monticello - evolution - Improvements over 1.5

Monticello on speed!!


'.
	info maintainer: 'kph <keith_hodges@yahoo.co.uk>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://installer.pbwiki.com/f/enableAtomicLoading.st'.
	self provides: #().

	self dependsOn: #('Monticello15' 'SystemEditor').

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 11/12/2008 16:59'!
Monticello2

	self name: 'Monticello2'.
	self version: '0.2'.
	info category: 'Group Development'.
	info description: 
'Monticello is a distributed version control system.

Monticello 2 addresses the problems we encountered with Monticello 1. They mostly stem from a common cause: its unit of versioning, the package, is too coarse for many situations that arise in normal development.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://wiki.squeak.org/squeak/5624'.
	info squeakMapID: ''.
	info url: nil.
	self provides: #().

	self dependsOn: #('Monticello2-Core' 'Monticello2-OmniBrowser' 'Monticello2-Squeak').

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 9/10/2008 10:09'!
Monticello2Core

	self name: 'Monticello2-Core'.
	self version: '0.194'.
	info category: 'Group Development'.
	info description: 
'Monticello is a distributed version control system.

Monticello 2 addresses the problems we encountered with Monticello 1. They mostly stem from a common cause: its unit of versioning, the package, is too coarse for many situations that arise in normal development.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://wiki.squeak.org/squeak/5624'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Monticello2/Monticello2-dc.194.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 9/10/2008 10:09'!
Monticello2OmniBrowser

	self name: 'Monticello2-OmniBrowser'.
	self version: '0.17'.
	info category: 'Group Development'.
	info description: 
'Monticello is a distributed version control system.

Monticello 2 addresses the problems we encountered with Monticello 1. They mostly stem from a common cause: its unit of versioning, the package, is too coarse for many situations that arise in normal development.

This package provides an a browser'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://wiki.squeak.org/squeak/5624'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Monticello2/Monticello2OB-dc.17.mcz'.
	self provides: #().

	self dependsOn: #('Monticello2-Core' 'Monticello2-Squeak' 'OmniBrowser' 'OmniBrowser-Morphic').

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 9/10/2008 10:09'!
Monticello2Squeak

	self name: 'Monticello2-Squeak'.
	self version: '0.62'.
	info category: 'Group Development'.
	info description: 
'Monticello is a distributed version control system.

Monticello 2 addresses the problems we encountered with Monticello 1. They mostly stem from a common cause: its unit of versioning, the package, is too coarse for many situations that arise in normal development.

This package provides Squeak-specific classes.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://wiki.squeak.org/squeak/5624'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Monticello2/MC2-Squeak-dc.62.mcz'.
	self provides: #().

	self dependsOn: #('Monticello2-Core').

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 12/21/2008 22:12'!
MonticelloConfigurations

	self name: 'MonticelloConfigurations'.
	self version: '1.0.52'.
	info category: 'Group Development'.
	info description: 
'Monticello Configurations 

http://lists.squeakfoundation.org/pipermail/squeak-dev/2005-November/098181.html'.
	info maintainer: 'kph <keith_hodges@yahoo.co.uk>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/mc/MonticelloConfigurations-kph.52.mcz'.
	self provides: #('MonticelloConfigurations').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 9/10/2008 10:09'!
MonticelloConfigurationsUniversesFix

	self name: 'MonticelloConfigurations-UniversesFix'.
	self version: 'un.33.fix.3'.
	info category: 'Group Development'.
	info description: 
'Fixes Universes to load MonticelloConfigurations, and to handle "provides" field.
Patch Monticello, (trivial additions) so that MonticelloConfigurations and patched Universes works without needing Monticello1.5 '.
	info maintainer: 'kph <keith_hodges@yahoo.co.uk>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://installer.pbwiki.com/f/UniversesMCAndProvidesPatch.3.cs'.
	self provides: #('MonticelloConfigurations-UniversesFix').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'web development' stamp: 'damiencassou 1/21/2009 13:12'!
Morphlepackagesbeta

	self name: 'Morphle packages beta'.
	self version: '0.1'.
	info category: 'web development'.
	info description: 
'the dependenties to generate the Morphle Squeak web image'.
	info maintainer: 'Merik Voswinkel'.
	info homepage: 'http://morphle.org/'.
	info squeakMapID: ''.
	info url: nil.
	self provides: #().

	self dependsOn: #('squeak web packages').

! !

!PackagesDevU methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MorseCode

	self name: 'Morse Code'.
	self version: '2'.
	info category: 'Uncategorized'.
	info description: 
'Send messages in morse code. Set the character speed and pitch, then
start sending messages. Uses QueueSound class.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MorseCode.02.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/2/2008 00:30'!
Mse

	self name: 'Mse'.
	self version: '1.0.17.10'.
	info category: 'Development'.
	info description: 
'MSE file format to exchange data of meta-metamodels, metamodels and models.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://smallwiki.unibe.ch/fame/mse'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/mse/Mse-lr.10.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Morphs' stamp: 'kph 9/10/2008 10:09'!
MultiColumnListMorph

	self name: 'MultiColumn List Morph'.
	self version: '6'.
	info category: 'Morphs'.
	info description: 
'MultiColumnListMorph (and its related StackedStringMorph) are competitors for PluggableMultiColumnListMorph.  The speed is substantially faster than the the standard Pluggable... hieararchy, and there are some additional features (most notably the ability to add a header for the list).  Currently, this morph only takes arrays of arrays of strings as arguments.

Please look at the class side of MultiColumnListMorph for examples.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MultiColumn%20Lists-cbc.6.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
MysqlDriver

	self name: 'Mysql Driver'.
	self version: '1.13'.
	info category: 'Persistence'.
	info description: 
'- Compatible with new Mysql 4.1/5x authentication and resultset changes.
- Should also work with 4.1/5x with old (short) password table.
- May still work with Mysql 4.0 and below.
- Fixed float conversion not to use ''+'', eg ''3.041234e+23'' n/g in Squeak 3.8.
- Added an Integer type used in Mysql 5.x.
- Test suites upgraded, eg factored connectionSpec 4 ez changing.
'.
	info maintainer: 'alan reider <squeakdev@reider.net>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://squeak.reider.net/mysql/Mysql-alnr.12.mcz'.
	self provides: #('Mysql Driver').

	self dependsOn: #('Cryptography').

! !

!PackagesDevU methodsFor: 'Tools' stamp: 'kph 9/10/2008 10:09'!
NamespaceTools

	self name: 'NamespaceTools'.
	self version: '36'.
	info category: 'Tools'.
	info description: 
'This is a "Toolset" currently consisting of a NamespaceBrowser, NamespaceWorkspace and a PackageManager.

This package is only of use to curious programmers and is not ready for general consumption. To try it out, type "NamespaceExamples openPackageManager".

This version is strictly for adventurous developers only; it is very buggy. Documentation is at http://gulik.pbwiki.com/Namespaces'.
	info maintainer: 'Michael van der Gulik'.
	info homepage: 'http://gulik.pbwiki.com/Namespaces'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SecureSqueak/NamespaceTools-mvdg.36.mcz'.
	self provides: #().

	self dependsOn: #('Namespaces' 'PlusTools').

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 9/10/2008 10:09'!
Namespaces

	self name: 'Namespaces'.
	self version: '46'.
	info category: 'System'.
	info description: 
'You don''t actually want to load this package; you want to load "NamespaceTools" under the Tools category.

This package provides the core infrastructure for hierarchical namespaces in Squeak.

Note that this is an "experimental" package and is intended for use by curious programmers only.'.
	info maintainer: 'Michael van der Gulik, mikevdg@gulik.co.nz'.
	info homepage: 'http://www.squeaksource.com/SecureSqueak'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SecureSqueak/Namespaces-mvdg.46.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
NetStrings

	self name: 'NetStrings'.
	self version: '1.0'.
	info category: 'Persistence'.
	info description: 
'This is an implementation of the Netstring protocol as defined here: http://cr.yp.to/proto/netstrings.txt (by D. J. Bernstein, djbpobox.com). It adds the ability to read and write Netstrings onto any byte or character stream. Integer, ByteArray, and String can be converted to or from a Netstring. See the methods added to those classes (instance and class methods). Netstrings are handy for creating network protocols.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/NetStrings.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
NetworkHTML

	self name: 'Network-HTML'.
	self version: '4'.
	info category: 'Uncategorized'.
	info description: 
'An HTML parser and formatter.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Network-HTML-md.4.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
NewCompiler

	self name: 'NewCompiler'.
	self version: '281'.
	info category: 'Development'.
	info description: 
'The new Compiler, based on the ClosureCompiler'.
	info maintainer: 'Mathieu Suen <mathieusuen@yahoo.fr>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/NewCompiler/NewCompiler-md.281.mcz'.
	self provides: #().

	self dependsOn: #('AST' 'NewParser').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
NewParser

	self name: 'NewParser'.
	self version: '5'.
	info category: 'Development'.
	info description: 
'A smalltalk parser the generate AST from the AST project.
it also can parse pragmas and comments'.
	info maintainer: 'Mathieu Suen <mathieusuen@yahoo.fr>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://squeaksource.com/AST/NewParser-ms.5.mcz'.
	self provides: #().

	self dependsOn: #('AST' 'SmaCC runtime').

! !

!PackagesDevU methodsFor: 'Fonts' stamp: 'kph 9/30/2008 16:20'!
Nicefonts

	self name: 'Nice fonts'.
	self version: '0.6'.
	info category: 'Fonts'.
	info description: 
'From Juan Vuletich: One of the very few things I don''t like in Squeak is font support. I''m used to nice sub pixel rendered text. I find StrikeFonts and TTFFonts in Squeak equally ugly on LCD monitors. I have been a long time admirer of Henrik Gedenryd''s FreeType work, now continued by Andy Tween. But Andy''s work requires linking the FreeType library, and a new BitBlt plugin with newer modes to work. Something smaller and simpler needs to be done!!

Once installed, execute the following line to install the new fonts. It may take some time so be patient. Also ensure that the ''display depth'' of your image is set to 32 (World menu->appearance->set display depth...).

StrikeFont new installNiceFonts'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.jvuletich.org/NiceFonts.html'.
	info squeakMapID: ''.
	info url: 'http://damien.cassou.free.fr/squeak-dev/fonts/AAStrikeFonts.15.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'test 1/13/2009 15:56'!
Nile

	self name: 'Nile'.
	self version: '1.0.124'.
	info category: 'Model Extension'.
	info description: 
'Nile is a complete reimplementation of the squeak stream hierarchy. It provides:

    * traits for code reuse.
    * lots of tests: same tests are used for the squeak stream hierarchy and Nile (they are implemented in traits).
    * lots of clients to verify the reusability.
    * a diagram of the implementation: http://damien.cassou.free.fr/documents/internship_2007/nile/complete_hierarchy.pdf '.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/Nile/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Nile/Nile-All-damiencassou.124.mcz'.
	self provides: #().

	self dependsOn: #('Nile-Base' 'Nile-Clients' 'Nile-Tests').

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'test 1/13/2009 15:56'!
NileBase

	self name: 'Nile-Base'.
	self version: '1.0.59'.
	info category: 'Model Extension'.
	info description: 
'Nile is a complete reimplementation of the squeak stream hierarchy. It provides:

    * traits for code reuse.
    * lots of tests: same tests are used for the squeak stream hierarchy and Nile (they are implemented in traits).
    * lots of clients to verify the reusability.
    * a diagram of the implementation: http://damien.cassou.free.fr/documents/internship_2007/nile/complete_hierarchy.pdf '.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/Nile/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Nile/Nile-Base-damiencassou.59.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'test 1/13/2009 15:56'!
NileClients

	self name: 'Nile-Clients'.
	self version: '1.0.94'.
	info category: 'Model Extension'.
	info description: 
'Nile is a complete reimplementation of the squeak stream hierarchy. It provides:

    * traits for code reuse.
    * lots of tests: same tests are used for the squeak stream hierarchy and Nile (they are implemented in traits).
    * lots of clients to verify the reusability.
    * a diagram of the implementation: http://damien.cassou.free.fr/documents/internship_2007/nile/complete_hierarchy.pdf '.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/Nile/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Nile/Nile-Clients-damiencassou.94.mcz'.
	self provides: #().

	self dependsOn: #('Nile-Base' 'Nile-Tests').

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'test 1/13/2009 15:56'!
NileTests

	self name: 'Nile-Tests'.
	self version: '1.0.67'.
	info category: 'Model Extension'.
	info description: 
'Nile is a complete reimplementation of the squeak stream hierarchy. It provides:

    * traits for code reuse.
    * lots of tests: same tests are used for the squeak stream hierarchy and Nile (they are implemented in traits).
    * lots of clients to verify the reusability.
    * a diagram of the implementation: http://damien.cassou.free.fr/documents/internship_2007/nile/complete_hierarchy.pdf '.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/Nile/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Nile/Nile-Tests-damiencassou.67.mcz'.
	self provides: #().

	self dependsOn: #('Nile-Base').

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'kph 9/10/2008 10:09'!
Null

	self name: 'Null'.
	self version: '0.14'.
	info category: 'Model Extension'.
	info description: 
'Message Eating Null package for Squeak.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://wiki.squeak.org/squeak/5962'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Null/Null-kph.14.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Mathematics' stamp: 'kph 11/2/2008 00:30'!
Numerics

	self name: 'Numerics'.
	self version: '4'.
	info category: 'Mathematics'.
	info description: 
'Linear algebra classes for matrix and vector.
Supports all basic operations and:
- Solving of linear equations
- Fast matrix determinants
- LU decomposition (with pivoting)
- Matrix inversion 
- Kronecker multiplication
- Schur complement
- Adjoint
- Cofactor
- Minor'.
	info maintainer: 'Ramiro Diaz Trepat <ramirodt@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/Numerics.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Numerics/Numerics-rdt.29.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'damiencassou 1/21/2009 13:12'!
OBEnhancements

	self name: 'OB-Enhancements'.
	self version: '0.288'.
	info category: 'Code Browsing'.
	info description: 
'OB-Enhancements extend the OmniBrowser framework with new features such as multiple selection of elements in columns, a package-based view on the image instead of using just class categories, or smart groups to categorize source artifacts.
This package requires the latest version of the OmniBrowser framework.'.
	info maintainer: 'David Rthlisberger'.
	info homepage: 'http://source.wiresong.ca/ob/'.
	info squeakMapID: ''.
	info url: 'http://source.wiresong.ca/ob/OB-Enhancements-dr.288.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser' 'OmniBrowser-Morphic' 'OmniBrowser-Standard').

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 12/21/2008 22:12'!
OBMonticello

	self name: 'OB-Monticello'.
	self version: '0.67'.
	info category: 'Group Development'.
	info description: 
'OB-Monticello contains an implementation of the Monticello tools based on OmniBrowser. MCPackageBrowser is equivalent to the Morphic Monticello Browser. MCAllRepositoryBrowser is a new tool that provides most of your day to day in a single window.'.
	info maintainer: 'Dale Henrichs'.
	info homepage: 'http://source.wiresong.ca/ob/'.
	info squeakMapID: ''.
	info url: 'http://source.wiresong.ca/ob/OB-Monticello-dkh.67.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser' 'OmniBrowser-Morphic').

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 9/10/2008 10:09'!
OBProtocolBrowser

	self name: 'OBProtocolBrowser'.
	self version: '0.19'.
	info category: 'Code Browsing'.
	info description: 
'This is an implementation of the Protocol Browser using the OmniBrowser framework.

Authors: 
	Duncan Mak <duncanmak@gmail.com>
	Juraj Kubelka <Juraj.Kubelka@gmail.com>'.
	info maintainer: 'Duncan Mak <duncanmak@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/OBProtocolBrowser.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/OBProtocolBrowser/OBProtocolBrowser-DM.19.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser-Standard').

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
ODBC

	self name: 'ODBC'.
	self version: '2'.
	info category: 'Persistence'.
	info description: 
'Very simple framework for ODBC support in Squeak. Use FFI to talk to ODBC32.dll, no other DLL is necessary.

It works in Windows and in Unix.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://wiki.squeak.org/squeak/uploads/2480/ODBC-dgd.10.cs.gz'.
	self provides: #().

	self dependsOn: #('FFI').

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 11/28/2008 16:26'!
OSProcess

	self name: 'OSProcess'.
	self version: 'V4-3-7'.
	info category: 'System'.
	info description: 
'OSProcess provides access to the external operating system from Squeak. Plugins are provided for Unix, Linux, and Windows systems (loaded separately from SqueakMap packages). OSProcess can be loaded on other platforms as well, and placeholder classes are provided in the OSProcess hierarchy for other operating systems (Mac, OS/2, RiscOS), although support for these systems is not yet implemented. Load CommandShell for additional OSProcess functions, including class PipeableOSProcess, which allows reading from and writing to external processes through OS pipe streams.'.
	info maintainer: 'lewis'.
	info homepage: 'http://wiki.squeak.org/squeak/708'.
	info squeakMapID: ''.
	info url: 'http://wiki.squeak.org/squeak/uploads/708/OSProcessV4-3-7.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 9/10/2008 10:09'!
OSProcessIO

	self name: 'OSProcessIO'.
	self version: '0.3'.
	info category: 'System'.
	info description: 
'An intermediate layer between OSProcess and another application.

Used for Smagick and FoPDF to simplify IO-feebacks with the command shell 
(likely to get enhanced or obsolete in the future)

changes to 0.2:
- bugfixes'.
	info maintainer: 'Stefan Reichhart <stefan.reichhart@gmx.ch>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SqueakAddOns/OSProcessIO-SR.16.mcz'.
	self provides: #().

	self dependsOn: #('OSProcess').

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 11/2/2008 00:30'!
OSProcessPlugin

	self name: 'OSProcessPlugin'.
	self version: '4.2.7a.1'.
	info category: 'System'.
	info description: 
'OSProcessPlugin (OSPP) provides access to Unix/Linux and Windows operating system functions. OSPP is used by OSProcess for low level system access. Stub classes are provided for other operating systems (porting assistance welcome). OSProcessPlugin contains the complete source code for the Unix and Windows OSProcessPlugin (OSPP). Generate the plugin with VMMaker. No external support code is required.

(Bryce added a dependency to VMMaker so this will load in a fresh image)'.
	info maintainer: 'Dave Lewis'.
	info homepage: 'http://wiki.squeak.org/squeak/3349'.
	info squeakMapID: ''.
	info url: 'http://wiki.squeak.org/squeak/uploads/3349/OSProcessPluginV4-2-6.sar'.
	self provides: #().

	self dependsOn: #('VMMaker').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
ObjectFinder

	self name: 'ObjectFinder'.
	self version: '0.2'.
	info category: 'Development'.
	info description: 
'A new object inspector for Squeak based on OmniBrowser. Why Finder ? Because you can explore your object like in the OS X Finder !! This tool permits to explore easy an object and its linked objects (and their linked objects and ...) but it is overall extensible. Subclass OFObjectNode, add a method #asNodeWithName: and you have a personal inspector for your project !! A simple option in the Preference panel permits to enable/disable the replacement of the old inspector by this new one. Have fun !! See http://decomp.ulb.ac.be/frdricpluquet/personalstuff/theobjectfinder/ for more information. Please, send me a mail when you really use it :-) (Just to have some feed back)'.
	info maintainer: 'PF'.
	info homepage: 'http://decomp.ulb.ac.be/frdricpluquet/personalstuff/theobjectfinder/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ObjectFinder/ObjectFinder-PF.16.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'test 1/13/2009 15:56'!
OmniBrowser

	self name: 'OmniBrowser'.
	self version: '0.434'.
	info category: 'Code Browsing'.
	info description: 
'OmniBrowser is a ground up rewrite of the classical system browsers provided
in Smalltalk. It''s designed to be flexible and extensible, so as to encourage
experimentation with new types of development tools, language extensions,
and runtime environments. In fact it''s a framework to build browsers. Install OmniBrowser-Standard to get the new browser using this framework.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://source.wiresong.ca/ob/'.
	info squeakMapID: '81451b19-7df8-4fc7-8652-b26cc55dd291'.
	info url: 'http://source.wiresong.ca/ob/OmniBrowser-dr.434.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'IDE' stamp: 'kph 9/10/2008 10:09'!
OmniBrowserAlgernon

	self name: 'OmniBrowser-Algernon'.
	self version: '0.5'.
	info category: 'IDE'.
	info description: 
''.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://source.wiresong.ca/ob/OB-Algernon-EL.5.mcz'.
	self provides: #().

	self dependsOn: #('Algernon' 'OmniBrowser-Standard').

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 11/12/2008 16:59'!
OmniBrowserFull

	self name: 'OmniBrowser-Full'.
	self version: '0.27'.
	info category: 'Code Browsing'.
	info description: 
'OmniBrowser is a ground up rewrite of the classical system browsers provided in Smalltalk. It''s designed to be flexible and extensible, so as to encourage experimentation with new types of development tools, language extensions, and runtime environments. In fact it''s a framework to build browsers.

This packages installs OmniBrowser, a rewrite of the system browser using OmniBrowser and fixes to make things work with new Squeak versions.'.
	info maintainer: 'Damien Cassou'.
	info homepage: 'http://source.wiresong.ca/ob/'.
	info squeakMapID: ''.
	info url: nil.
	self provides: #().

	self dependsOn: #('OB-Enhancements' 'OmniBrowser' 'OmniBrowser-Morphic' 'OmniBrowser-Standard').

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'test 1/13/2009 15:56'!
OmniBrowserMorphic

	self name: 'OmniBrowser-Morphic'.
	self version: '0.68'.
	info category: 'Code Browsing'.
	info description: 
'OB-Standard represents the classical system browser implemented with the OmniBrowser framework.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://source.wiresong.ca/ob/'.
	info squeakMapID: ''.
	info url: 'http://source.wiresong.ca/ob/OB-Morphic-dkh.68.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser' 'OmniBrowser-Standard').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'damiencassou 1/21/2009 13:12'!
OmniBrowserRefactory

	self name: 'OmniBrowser-Refactory'.
	self version: '115'.
	info category: 'Development'.
	info description: 
'Brings refactorings to OmniBrowser'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://source.wiresong.ca/ob/OB-Refactory-lr.115.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser-Morphic' 'OmniBrowser-Standard' 'Refactoring Core').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/30/2008 16:20'!
OmniBrowserRegex

	self name: 'OmniBrowser-Regex'.
	self version: '0.9.1'.
	info category: 'Development'.
	info description: 
'Brings refactorings to OmniBrowser'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/omnibrowser/OB-Regex-lr.9.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser-Refactory' 'OmniBrowser-Standard' 'Refactoring Core' 'VBRegex').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'test 1/13/2009 15:56'!
OmniBrowserSUnitGUI

	self name: 'OmniBrowser-SUnit-GUI'.
	self version: '0.47'.
	info category: 'Development'.
	info description: 
'OmniBrowser-based implementation of TestRunner. Expects SUnit to be already loaded'.
	info maintainer: 'Dale Henrichs'.
	info homepage: 'http://seaside.gemstone.com/ss/obsunit.html'.
	info squeakMapID: ''.
	info url: 'http://seaside.gemstone.com/ss/obsunit/OB-SUnitGUI-dkh.47.mcz'.
	self provides: #('OmniBrowser-SUnit-GUI').

	self dependsOn: #('OmniBrowser' 'OmniBrowser-Morphic' 'OmniBrowser-Standard').

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 11/12/2008 16:59'!
OmniBrowserSUnitIntegration

	self name: 'OmniBrowser-SUnitIntegration'.
	self version: '1 obsolete'.
	info category: 'Code Browsing'.
	info description: 
'Obsolete. Merged into OB-Enhancements'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: nil.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'test 1/13/2009 15:56'!
OmniBrowserStandard

	self name: 'OmniBrowser-Standard'.
	self version: '0.384'.
	info category: 'Code Browsing'.
	info description: 
'OB-Standard represents the classical system browser implemented with the OmniBrowser framework.'.
	info maintainer: 'Colin Putney'.
	info homepage: 'http://source.wiresong.ca/ob/'.
	info squeakMapID: ''.
	info url: 'http://source.wiresong.ca/ob/OB-Standard-dr.384.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'damiencassou 1/21/2009 13:12'!
OmniBrowserTools

	self name: 'OmniBrowser-Tools'.
	self version: '0.53'.
	info category: 'Development'.
	info description: 
'Set of tools (debugger, inspector...) rewritten on top of the OmniBrowser framework.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/omnibrowser/OB-Tools-dkh.53.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser-Standard').

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 11/12/2008 16:59'!
OmniBrowserTraitsIntegration

	self name: 'OmniBrowser-TraitsIntegration'.
	self version: '1 obsolete'.
	info category: 'Code Browsing'.
	info description: 
'Obsolete. Has been merged into OB-Enhancements'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: nil.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Office' stamp: 'kph 9/10/2008 10:09'!
OpenOfficeImporter

	self name: 'OpenOffice Importer'.
	self version: '17'.
	info category: 'Office'.
	info description: 
'Squeak is the new media. To be the new media Squeak has to give us the option to convert a lot already created documents.

OpenOffice is an open source project and its format is well specified and it''s based on XML and Zip (see http://xml.openoffice.org). OpenOffice also has a lot of good job to handle propietary formats so, importing OO format, we''ll able to import really a lot of content.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/3624'.
	info squeakMapID: ''.
	info url: 'http://map.squeak.org/accountbyid/7670b859-735e-4027-b5cd-db4b61bac95e/files/OpenOffice-Importer-dgd.17.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
PWS

	self name: 'PWS'.
	self version: '0.2gt1'.
	info category: 'Network'.
	info description: 
'The Pluggable WebServer (PWS) is a web server and toolkit for flexibly creating CGI scripts. Mark Guzdial designed and implemented it to help him create different kinds of collaborative tools: e.g. Virtual Other-Than-Communities. PWS builds on the work of Georg Gollmann and Tim Jones.

PWS is mostly obsolete now, and is superseded by the newer Comanche web server.

This version of PWS has been slightly modified:

	1. It replaces all uses of getData by receiveData in order to pevent a crash.

	2. The default setting of serverDirectory is the current directory.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/PWS-0.2gt1.st.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 12/21/2008 22:12'!
PackagesLibrary

	self name: 'Packages-Library'.
	self version: '0'.
	info category: 'Group Development'.
	info description: 
'The definitive library of Package definitions for all squeak images.

Please contribute your knowledge of what works where.

thanks in advance

Keith'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://wiki.squeak.org/squeak/5953'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Packages/Packages-Library-kph.14.mcz'.
	self provides: #('Packages-Library').

	self dependsOn: #('Sake-Packages').

! !

!PackagesDevU methodsFor: 'Distributions' stamp: 'damiencassou 1/21/2009 13:12'!
Pharopackages

	self name: 'Pharo packages'.
	self version: '0.12'.
	info category: 'Distributions'.
	info description: 
'This package generates a Pharo image prepared for end-users from a Pharo core.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://code.google.com/p/pharo/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ImageForDevelopers/ImageForDevelopers-pharo-damiencassou.171.mcz'.
	self provides: #().

	self dependsOn: #('AutomaticMethodCategorizerOB' 'Installer' 'Nile' 'OB-Enhancements' 'OmniBrowser-Refactory' 'OmniBrowser-Regex' 'OmniBrowser-Tools' 'Shout' 'ShoutWorkspace' 'Universes' 'Universes OmniBrowser' 'eCompletion' 'eCompletion-Traits' 'eCompletionOmniBrowser').

! !

!PackagesDevU methodsFor: 'Morphs' stamp: 'kph 9/10/2008 10:09'!
PieChartMorph

	self name: 'PieChartMorph'.
	self version: '0.2'.
	info category: 'Morphs'.
	info description: 
''.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/PieChartMorph-gm.5.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'test 1/13/2009 15:56'!
Pier

	self name: 'Pier'.
	self version: 'currentnew'.
	info category: 'Web Development'.
	info description: 
'Pier with some common plugins. A good package to get started with Pier development or deployment.'.
	info maintainer: 'lr'.
	info homepage: 'http://www.lukas-renggli.ch/smalltalk/pier'.
	info squeakMapID: ''.
	info url: nil.
	self provides: #().

	self dependsOn: #('Magritte-Tests' 'Pier-Blog' 'Pier-Documents' 'Pier-EditorEnh' 'Pier-Seaside' 'Pier-Security' 'Pier-Tests').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierBlog

	self name: 'Pier-Blog'.
	self version: '1.0.17.90'.
	info category: 'Web Development'.
	info description: 
'Pier blog plugin.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pier/Pier-Blog-lr.90.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside' 'RSRSS2').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
PierCommandsRemoveChildren

	self name: 'Pier-Commands-RemoveChildren'.
	self version: '1.0.14.2'.
	info category: 'Web Development'.
	info description: 
'Additional command for pier for removing nominated children'.
	info maintainer: 'kph'.
	info homepage: 'http://mc.lukas-renggli.ch/pieraddons.html'.
	info squeakMapID: ''.
	info url: 'http://mc.lukas-renggli.ch/pieraddons/Pier-Commands-RemoveChildren-kph.2.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Model').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierDesign

	self name: 'Pier-Design'.
	self version: '1.0.17.5'.
	info category: 'Web Development'.
	info description: 
'Enabled design editing tools in the context of the applied page.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/Pier-Design-tg.5.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierDocuments

	self name: 'Pier-Documents'.
	self version: '1.0.17.7'.
	info category: 'Web Development'.
	info description: 
'Provide additional documents on a praticular structure, for example to add a side-bar. Custom documents can inherit from the parent and/or provide a default document.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/Pier-Documents-lr.7.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierEditorEnh

	self name: 'Pier-EditorEnh'.
	self version: '1.0.17.16'.
	info category: 'Web Development'.
	info description: 
'Pier editor enhancement plugin.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/Pier-EditorEnh-lr.16.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierGoogle

	self name: 'Pier-Google'.
	self version: '1.0.17.5'.
	info category: 'Web Development'.
	info description: 
'Integration of Google services into Pier.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/Pier-Google-lr.5.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
PierJetsamEnvironment

	self name: 'Pier-Jetsam-Environment'.
	self version: '1.0.16.7'.
	info category: 'Web Development'.
	info description: 
'Provides centralized initialization and control of whole pier layout/style policies for the root frame component.'.
	info maintainer: 'kph'.
	info homepage: 'http://mc.lukas-renggli.ch/pieraddons.html'.
	info squeakMapID: ''.
	info url: 'http://mc.lukas-renggli.ch/pieraddons/Pier-Jetsam-Environment-kph.7.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Model' 'Seaside28Jetsam-Blueprint' 'Seaside28Jetsam-NiftyCorners' 'Seaside28Jetsam-Supersleight' 'Seaside28Jetsam-Useful-CSS').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierLightBox

	self name: 'Pier-LightBox'.
	self version: '1.0.17.6'.
	info category: 'Web Development'.
	info description: 
'Pier lightbox plugin.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/Pier-LightBox-dc.6.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
PierMagma

	self name: 'Pier-Magma'.
	self version: '1.38'.
	info category: 'Web Development'.
	info description: 
'Extension to pier providing Magma persistence'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://www.lukas-renggli.ch/smalltalk/pier'.
	info squeakMapID: ''.
	info url: 'http://mc.lukas-renggli.ch/pier/Pier-Magma-kph.38.mcz'.
	self provides: #('Pier-Magma').

	self dependsOn: #('Magma seasideHelper' 'Pier-Model').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
PierMagmabeta

	self name: 'Pier-Magma-beta'.
	self version: '1.0.9-alpha.35'.
	info category: 'Web Development'.
	info description: 
'Extension to pier providing Magma persistence'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://www.lukas-renggli.ch/smalltalk/pier'.
	info squeakMapID: ''.
	info url: 'http://mc.lukas-renggli.ch/pier/Pier-Magma-kph.35.mcz'.
	self provides: #('Pier-Magma-beta').

	self dependsOn: #('Magma Seaside-alpha').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierMath

	self name: 'Pier-Math'.
	self version: '1.0.17.6'.
	info category: 'Web Development'.
	info description: 
'Pier LaTeX math mode plugin.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/Pier-Math-lr.6.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierMedia

	self name: 'Pier-Media'.
	self version: '1.0.17.1'.
	info category: 'Web Development'.
	info description: 
'Pier links for YouTube, Vimeo and SlideShare'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/Pier-Media-lr.1.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/2/2008 00:30'!
PierModel

	self name: 'Pier-Model'.
	self version: '1.0.17.238'.
	info category: 'Development'.
	info description: 
'Pier is a powerful and extensible implementation of a meta-described content management and Wiki system, written with objects from top to bottom: (1) Object-Oriented Design: Pier features a fully object oriented and meta-described domain model. As an example, the content of the pages is parsed and stored as a tree of different entities representing text, links, tables, lists, etc. (2) Extensibility: Everything in Pier can be extended: page types, storage mechanism, actions, security mechanism, web-server, etc. Plug-ins can be shared within the community and loaded independently of each other into the system. (3) Open Source: Pier is released under the MIT license which grants unrestricted rights to copy, modify, and redistribute as long as the original copyright and license terms are retained. (4) Test Suites: Pier is heavily tested. There are more than 1200 unit tests included with the core of Pier. This makes it easy to change and verify the code and comes in extremely useful when porting Pier to other Smalltalk dialects or when writing extensions.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pier/Pier-Model-lr.238.mcz'.
	self provides: #().

	self dependsOn: #('Magritte-Model').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/2/2008 00:30'!
PierOmniBrowser

	self name: 'Pier-OmniBrowser'.
	self version: '1.0.17.34'.
	info category: 'Development'.
	info description: 
'Pier bindings for OmniBrowser.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pier/Pier-OmniBrowser-lr.34.mcz'.
	self provides: #().

	self dependsOn: #('Magritte-Morph' 'OmniBrowser-Full' 'Pier-Model').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
PierPersistencyManager

	self name: 'Pier-PersistencyManager'.
	self version: '1.0.16/16'.
	info category: 'Development'.
	info description: 
'Pier persistency mechanisms for Squeak.'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://www.lukas-renggli.ch/smalltalk/pier'.
	info squeakMapID: ''.
	info url: 'http://mc.lukas-renggli.ch/pier/Pier-PersistencyManager-kph.16.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Model').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierRandomizer

	self name: 'Pier-Randomizer'.
	self version: '1.0.17.4'.
	info category: 'Web Development'.
	info description: 
'Pier randomizer plugin.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/Pier-Randomizer-lr.4.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierSeaside

	self name: 'Pier-Seaside'.
	self version: '1.0.17.311'.
	info category: 'Web Development'.
	info description: 
'Pier bindings for Seaside.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pier/Pier-Seaside-lr.311.mcz'.
	self provides: #().

	self dependsOn: #('Magritte-Seaside' 'Pier-Model' 'Scriptaculous' 'Seaside').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierSecurity

	self name: 'Pier-Security'.
	self version: '1.0.17.113'.
	info category: 'Web Development'.
	info description: 
'Pier Unix security plugin.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pier/Pier-Security-lr.113.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside' 'Pier-Tests').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierSetup

	self name: 'Pier-Setup'.
	self version: '1.0.17.30'.
	info category: 'Web Development'.
	info description: 
'Metapackage that loads a common collection of Pier plugins, and a helper class to instantiate the one-click experience.'.
	info maintainer: 'Tudor Girba <tudor.girba@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/Pier-Setup-tg.30.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Blog' 'Pier-Design' 'Pier-Documents' 'Pier-EditorEnh' 'Pier-Google' 'Pier-Media' 'Pier-Randomizer' 'Pier-Security' 'Pier-Shout' 'Pier-Sitemap' 'Pier-TagCloud' 'Pier-Titles').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierShout

	self name: 'Pier-Shout'.
	self version: '1.0.17.8'.
	info category: 'Web Development'.
	info description: 
'Pier Smalltalk syntax highlighting plugin.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/ShoutPier-lr.8.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside' 'Shout').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierSitemap

	self name: 'Pier-Sitemap'.
	self version: '1.0.17.20'.
	info category: 'Web Development'.
	info description: 
'Creates a Google and Yahoo Sitemap definitions.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/Sitemap-pmm.20.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside' 'YAXO').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/2/2008 00:30'!
PierSqueakPersistency

	self name: 'Pier-Squeak-Persistency'.
	self version: '1.0.17.6'.
	info category: 'Development'.
	info description: 
'Pier persistency mechanisms for Squeak.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pier/Pier-Squeak-Persistency-lr.6.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Model' 'Pier-Tests').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 12/21/2008 22:12'!
PierTabbedPagesWidgets

	self name: 'Pier-TabbedPagesWidgets'.
	self version: '1.0.14.5'.
	info category: 'Web Development'.
	info description: 
'Widget providing tabbed folders display of tagged pages'.
	info maintainer: 'kph'.
	info homepage: 'http://mc.lukas-renggli.ch/pieraddons.html'.
	info squeakMapID: ''.
	info url: 'http://mc.lukas-renggli.ch/pieraddons/Pier-TabbedPagesWidgets-kph.5.mcz'.
	self provides: #().

	self dependsOn: #('KernelExt-kph' 'Pier-Model').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierTagCloud

	self name: 'Pier-TagCloud'.
	self version: '1.0.17.11'.
	info category: 'Web Development'.
	info description: 
'Pier tag cloud plugin.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/Pier-TagCloud-lr.11.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/2/2008 00:30'!
PierTests

	self name: 'Pier-Tests'.
	self version: '1.0.17.104'.
	info category: 'Development'.
	info description: 
'Pier SUnit tests.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pier/Pier-Tests-lr.104.mcz'.
	self provides: #().

	self dependsOn: #('Magritte-Tests' 'Pier-Model').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
PierTitles

	self name: 'Pier-Titles'.
	self version: '1.0.17.1'.
	info category: 'Web Development'.
	info description: 
'A set of widgets to control the title of a page.'.
	info maintainer: 'Tudor Girba <tudor.girba@gmail.com>'.
	info homepage: 'http://www.piercms.com/'.
	info squeakMapID: ''.
	info url: 'http://source.lukas-renggli.ch/pieraddons/Pier-Titles-tg.1.mcz'.
	self provides: #().

	self dependsOn: #('Pier-Seaside').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
PlotKit

	self name: 'PlotKit'.
	self version: '0.9.1.27'.
	info category: 'Web Development'.
	info description: 
'Seaside goodies. Includes different charts libraries and other cool stuff for seaside applications. SeaChart components are standard Seaside components that you can embed into your Seaside application.

Seaside bindings for PlotKit (http://www.liquidx.net/plotkit). PlotKit is a Chart and Graph Plotting Library for Javascript.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://seachart.seasidehosting.st/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/seachart/PlotKit-0.9.1-mb.27.mcz'.
	self provides: #().

	self dependsOn: #('Seaside').

! !

!PackagesDevU methodsFor: 'Morphs' stamp: 'kph 9/10/2008 10:09'!
PlotMorph

	self name: 'Plot Morph'.
	self version: '3'.
	info category: 'Morphs'.
	info description: 
'Morph to draw XY plots. See the methods testXXX in the class side.

Try with:
    PlotMorph test.
    PlotMorph test2.
    PlotMorph test4.
    PlotMorph testWithReferences.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/PlotMorph3-dgd.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Tools' stamp: 'kph 9/10/2008 10:09'!
PlusTools

	self name: 'PlusTools'.
	self version: '37.3'.
	info category: 'Tools'.
	info description: 
'This is the PlusTools package, an implementation of the Smalltalk tools (Browser, Inspecter, etc) written to use ToolBuilder.

Note that this package is quite unstable and is "unfinished".

This version specifically requires ToolBuilder-Morphic; this will be fixed in a later release.'.
	info maintainer: 'Michael van der Gulik'.
	info homepage: 'http://www.squeaksource.com/PlusTools'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SecureSqueak/PlusTools-mvdg.37.mcz'.
	self provides: #().

	self dependsOn: #('ToolBuilder-Examples' 'ToolBuilder-Morphic').

! !

!PackagesDevU methodsFor: 'User Interface' stamp: 'kph 11/28/2008 16:26'!
PolymorphEventEnhancements

	self name: 'Polymorph EventEnhancements'.
	self version: '1.1'.
	info category: 'User Interface'.
	info description: 
'Basic extension to the event system providing for recurisve short-circuit event handling (avoiding re-entry). Along with the same for "shared" events.'.
	info maintainer: 'Gary Chambers'.
	info homepage: 'http://wiki.squeak.org/squeak/6005'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/UIEnhancements/Polymorph-EventEnhancements-gvc.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'User Interface' stamp: 'damiencassou 1/21/2009 13:12'!
PolymorphGeometry

	self name: 'Polymorph Geometry'.
	self version: '1.1'.
	info category: 'User Interface'.
	info description: 
'Basic models of shapes. Used in Diff Tools.'.
	info maintainer: 'Gary Chambers'.
	info homepage: 'http://wiki.squeak.org/squeak/6005'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/UIEnhancements/Polymorph-Geometry-gvc.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'User Interface' stamp: 'kph 9/30/2008 16:20'!
PolymorphTaskbarIcons

	self name: 'Polymorph TaskbarIcons'.
	self version: '1.0'.
	info category: 'User Interface'.
	info description: 
'Taskbar/window icons for common windows.'.
	info maintainer: 'Gary Chambers'.
	info homepage: 'http://wiki.squeak.org/squeak/6005'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/UIEnhancements/Polymorph-TaskbarIcons-gvc.1.mcz'.
	self provides: #().

	self dependsOn: #('Polymorph Widgets').

! !

!PackagesDevU methodsFor: 'User Interface' stamp: 'damiencassou 1/21/2009 13:12'!
PolymorphToolBuilder

	self name: 'Polymorph ToolBuilder'.
	self version: '1.2'.
	info category: 'User Interface'.
	info description: 
'Integrates Polymorph widgets with Squeak''s development environment via UIManager.'.
	info maintainer: 'Gary Chambers'.
	info homepage: 'http://wiki.squeak.org/squeak/6005'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/UIEnhancements/Polymorph-ToolBuilder-gvc.4.mcz'.
	self provides: #().

	self dependsOn: #('Polymorph Widgets').

! !

!PackagesDevU methodsFor: 'User Interface' stamp: 'damiencassou 1/21/2009 13:12'!
PolymorphToolsDiff

	self name: 'Polymorph Tools Diff'.
	self version: '1.2'.
	info category: 'User Interface'.
	info description: 
'Provides side-by-side code comaprison with cross-links indicating changes between lines of text. Highlight "intra-line" changes also.
Integrated with "compare with current version" of standard versions browser.
Integrated with Monticello replacing changes and merge browsers.'.
	info maintainer: 'Gary Chambers'.
	info homepage: 'http://wiki.squeak.org/squeak/6005'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/UIEnhancements/Polymorph-Tools-Diff-gvc.8.mcz'.
	self provides: #().

	self dependsOn: #('Polymorph EventEnhancements' 'Polymorph Geometry' 'Polymorph Widgets').

! !

!PackagesDevU methodsFor: 'User Interface' stamp: 'damiencassou 1/21/2009 13:12'!
PolymorphWidgets

	self name: 'Polymorph Widgets'.
	self version: '1.2'.
	info category: 'User Interface'.
	info description: 
'Modifies Morphic to provide for selectable theming of controls and provides a framework and extra Morphs for creating consistent user interfaces. 
Improves both look and feel.
Fixes a few problems too (corner grips, window titlebar sizing wrt fonts...).

Noteable changes since last release:

Improved Watery2 theme.
Fix for loading over earlier version.
Fix for high CPU when using StandardSqueak theme.'.
	info maintainer: 'Gary Chambers'.
	info homepage: 'http://wiki.squeak.org/squeak/6005'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/UIEnhancements/Polymorph-Widgets-gvc.29.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
PostgreSQLClient

	self name: 'PostgreSQL Client'.
	self version: '1.0'.
	info category: 'Persistence'.
	info description: 
'Implements a native Smalltalk connection to PostgreSQL backend. See the "Frontend/Backend Protocol" chapter in the "PostgreSQL Programmer''s Guide" for more information.

Notes:
1. Only "plaintext" and "md5" authentication modes are currently supported. This option is configurable via the pg_hba.conf file in your postgres server configuration.
2. If you want to use "md5" authentication, you must load the Cryptography package first, before loading this package.
3. If you only want to use "plaintext" authentication, it is not necessary to load the Cryptography package at all.

See the class TestPGConnection for example code of how to access the postgres.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: 'http://ca.geocities.com/zazu%40rogers.com/pgsqueak/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/PostgresV2/PostgresV2-yj.5.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'System' stamp: 'test 1/13/2009 15:56'!
ProcessSpecific

	self name: 'ProcessSpecific'.
	self version: '1.0.18'.
	info category: 'System'.
	info description: 
'My subclasses (not instances of them) keep state specific to the current process.

There are two kinds of process-specific variables: process-local (state available
for read and write in all methods inside the process), and dynamic variables
(implementing dynamic scope).

Includes tests and example: DateAndTimeWarp
Includes extension (if not loaded ignore) for seaside for debugging.'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Logging/ProcessSpecific-kph.18.mcz'.
	self provides: #('ProcessSpecific').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ProjectsAsPNG

	self name: 'ProjectsAsPNG'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'- Add a menuItem ''Export Projects as PNG'' to an InternalThreadNavigationMorph. - Export projects included in pages of an InternalThreadNavigationMorph as PNG graphics. - The png files are places in the Squeak DefaultDirectory. - The external name of the world is given the Project''s name as it is used to named the PNG file. On the class side of InternalThreadNavigationMorph you''ll see #nonSavedClasses that you can edit to add or remove Class that you don''t want to show in your PNG file. Some of this code is a reuse of Ned Konz work. Work with: - Squeak 3.7 - Squeak 3.8 - Squeak 3.9'.
	info maintainer: 'Raymond Asselin'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ThreadNavigatorPlus'.
	self provides: #('Add amenuItem ''Export Projects as PNG'' to InternalThreadNavigationMorph').

	self dependsOn: #('Morphic').

! !

!PackagesDevU methodsFor: 'Data Structures' stamp: 'kph 9/10/2008 10:09'!
PropertyList

	self name: 'PropertyList'.
	self version: '5'.
	info category: 'Data Structures'.
	info description: 
'This package can currently read or write the old NeXT style .plist files as well as read the newer XML style extensively used in Mac OS X.

The old format is supported by PropertyListStream, which works much like DataStream or ReferenceStream, eg,

dict := (PropertyListStream on: (FileStream fileNamed: ''old.plist'')) next.

The new format is supported by XMLPropertyListReader, which has a different API:

dict := (XMLPropertyListReader on: (FileStream fileNamed: ''new.plist'')) root.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://squeaksource.com/PropertyList/PropertyList-avi.5.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Games' stamp: 'kph 9/10/2008 10:09'!
Quotes

	self name: 'Quotes'.
	self version: '22'.
	info category: 'Games'.
	info description: 
'A simple package that displays Quote/Author pairs in a window. The quotes are displayed sequentially or in a random order. The speed of the display is adjustable via a slider.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Quotes/Quote-Display-fc.22.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
REPLServer

	self name: 'REPLServer'.
	self version: '16'.
	info category: 'Network'.
	info description: 
'REPLServer provides a back door in to Squeak via Telnet. To start:

REPLServer start.
(and to stop, do ''REPLServer stop'')

This way, when Morphic crashes, you can reset it by telnetting to localhost on port 4445. When it is first started, it will prompt you (in the GUI) for a password. The service will restart itself if you restart Squeak. Note that by default, only connections from localhost are accepted.

This version has improved Exception handling and fixes several bugs. Please report any bugs you find to the package maintainer.'.
	info maintainer: 'mikevdg'.
	info homepage: 'http://www.squeaksource.com/SecureSqueak/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SecureSqueak/REPL-mvdg.16.mcz'.
	self provides: #().

	self dependsOn: #('DynamicBindings' 'KomServices').

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
RFBVNC

	self name: 'RFB-VNC'.
	self version: '1.0'.
	info category: 'Network'.
	info description: 
'RFB for 3.9'.
	info maintainer: 'ikp'.
	info homepage: 'http://www.squeaksource.com/RFB'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/RFB/RFB-ikp.3.mcz'.
	self provides: #('Remote Frame Buffer').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
ROE

	self name: 'ROE'.
	self version: '42'.
	info category: 'Persistence'.
	info description: 
'A library for manipulating relational queries as first class Smalltalk expressions, and generating SQL from them.

There''s no documentation yet, but you can maybe muddle through using the test cases and some comments I made on my blog here:  http://www.cincomsmalltalk.com/userblogs/avi/blogView?searchCategory=databases .

Requires the PostgreSQL Client.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Roe-avi.42.mcz'.
	self provides: #().

	self dependsOn: #('PostgreSQL Client').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
RSRSS2

	self name: 'RSRSS2'.
	self version: '2.8.3.11'.
	info category: 'Web Development'.
	info description: 
'RSS 2.0 feed creation with Seaside canvas API.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/rsrss/RSRSS2-SW.11.mcz'.
	self provides: #().

	self dependsOn: #('Seaside').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'damiencassou 1/21/2009 13:12'!
RefactoringCore

	self name: 'Refactoring Core'.
	self version: '17'.
	info category: 'Development'.
	info description: 
'The refactoring engine of the old RefactoringBrowser. It does not include any browser and needs at least Squeak 3.9.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/RefactoringEngine.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/RefactoringEngine/Refactoring-Core-lr.17.mcz'.
	self provides: #().

	self dependsOn: #('AST').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/12/2008 16:59'!
RefactoringEngine

	self name: 'Refactoring Engine'.
	self version: '51'.
	info category: 'Development'.
	info description: 
'Damien Cassou: This package is now obsolete. Use ''Refactoring Core'' instead.'.
	info maintainer: 'Marcus Denker <denker@iam.unibe.ch>'.
	info homepage: 'http://www.squeaksource.com/RefactoringEngine.html'.
	info squeakMapID: ''.
	info url: nil.
	self provides: #().

	self dependsOn: #('AST').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/2/2008 00:30'!
RefactoringTests

	self name: 'Refactoring Tests'.
	self version: '3'.
	info category: 'Development'.
	info description: 
'The tests for the refactoring engine.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/RefactoringEngine/Refactoring-Tests-lr.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
RemoteFrameBuffer

	self name: 'RemoteFrameBuffer'.
	self version: '34'.
	info category: 'Network'.
	info description: 
'Provides RFB (VNC) server and client, written entirely in Squeak.
Both server and client implement a superset of the latest (version
3.3.7) RFB protocol published by RealVNC.com (with extensions to
support local cursor handling in the popular TightVNC client).

The server transmits (or broadcasts) the Squeak desktop to remote
VNC clients (either running natively on Unix, Mac or Windows, or
running the Squeak client included in this same package).

The client connects to and displays a remote framebuffer (provided
either from a VNC server running natively on Unix, Mac, Windows, etc.,
or from a remote Squeak image running the server included in this
package).

Full documentation is included (see the class comments in
RFBServer and RFBClient, and the help items on the
associated menus).
'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/RFB/RFB-ikp.3.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'kph 11/28/2008 16:26'!
Rio

	self name: 'Rio'.
	self version: '4'.
	info category: 'Model Extension'.
	info description: 
'A file IO interface inspired by http://rio.rubyforge.org , potentially replaces FileDirectory/FileMan.

Transparently supports archives and ftp filesystems'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://wiki.squeak.org/squeak/5929'.
	info squeakMapID: ''.
	info url: nil.
	self provides: #().

	self dependsOn: #('File-Test').

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'kph 9/10/2008 10:09'!
RioKernel

	self name: 'Rio-Kernel'.
	self version: '0.81'.
	info category: 'Model Extension'.
	info description: 
'A file IO interface inspired by http://rio.rubyforge.org , potentially replaces FileDirectory.

This package contains only the kernel of Rio. See the package Rio to get the full distribution.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://wiki.squeak.org/squeak/5929'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Rio/Rio-Kernel-kph.81.mcz'.
	self provides: #().

	self dependsOn: #('KernelExt-kph').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
RoelTyper

	self name: 'RoelTyper'.
	self version: '0.60'.
	info category: 'Development'.
	info description: 
'RoelTyper is a fast type reconstructor for Smalltalk, based on heuristics. It type-checks instance variables of classes. Typing a complete VisualWorks Smalltalk image takes less than one minute and a half!! For this speed you get the types for about 80% of instance variables in the system. The approach is quite similar to what the Refactoring Browser does, but somewhat more refined.'.
	info maintainer: 'Roel Wuyts'.
	info homepage: 'http://decomp.ulb.ac.be/roelwuyts/smalltalk/roeltyper/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/RoelTyper/RoelTyper-rw.60.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 9/10/2008 10:09'!
SARBuilder

	self name: 'SARBuilder'.
	self version: '8'.
	info category: 'Group Development'.
	info description: 
'SARBuilder lets you build .SAR (Squeak ARchive) packages from ChangeSets, Monticello packages, versions, or snapshots, or PackageInfo instances.
Please see the class comments in SARInstaller'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SARBuilder.8.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
SIXX

	self name: 'SIXX'.
	self version: '0.95'.
	info category: 'Persistence'.
	info description: 
'SIXX is an XML serializer/deserializer written in Smalltalk 
(currently Squeak 3.9, VisualWorks 5i.4 - 7, and Dolphin XP are supported).

The purpose is to store and load Smalltalk objects in a portable, dialect-independent XML format.

Example:
		
array := Array with: 1 with: ''''Hello'''' with: Date today.
array sixxString.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'ftp://swikis.ddo.jp/SIXX/squeak/SIXX20070812.sar'.
	self provides: #().

	self dependsOn: #('YAXO').

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 9/10/2008 10:09'!
SPLPDFLibrary

	self name: 'SPL PDF Library'.
	self version: '1.0-21a'.
	info category: 'Persistence'.
	info description: 
'Write PDF files directly from within Squeak using the PDF Library. The latest version has support for text, lines and TIFF images. The library was developed and extended at SPL WorldGroup for specific projects, and does what was needed for those projects. It is expected that the library will contine to be extended over time as feedback is received from the people using it.

The library is available under a very unrestrictive licence, but it is nevertheless a license. Please read the license at: http://wiki.cs.uiuc.edu/VisualWorks/PDF+Library.

Once you have loaded the package, have a look at PDFReportingSelfTest class>>test to get an idea of what the framework can do.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SPDF-1.0-021a.st.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 9/10/2008 10:09'!
SSH

	self name: 'SSH'.
	self version: '1.0'.
	info category: 'System'.
	info description: 
'An implementation of SSH in Squeak'.
	info maintainer: 'rww'.
	info homepage: 'http://www.squeaksource.com/Cryptography.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Cryptography/SSH-rww.12.mcz'.
	self provides: #().

	self dependsOn: #('Cryptography Team Package' 'SSL' 'Telnet').

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 9/10/2008 10:09'!
SSL

	self name: 'SSL'.
	self version: '1.0'.
	info category: 'System'.
	info description: 
'This is an implementation of the SSL protocol in Squeak.'.
	info maintainer: 'rww'.
	info homepage: 'http://www.squeaksource.com/Cryptography.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Cryptography/SSL-rww.3.mcz'.
	self provides: #().

	self dependsOn: #('Cryptography Team Package').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
SUnit

	self name: 'SUnit'.
	self version: '0.33'.
	info category: 'Development'.
	info description: 
'SUnit is the Smalltalk way of doing unit testing.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://sunit.sourceforge.net/'.
	info squeakMapID: ''.
	info url: 'http://source.squeakfoundation.org/39a/SUnit-md.33.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 12/11/2008 22:14'!
SUnitGUIimproved

	self name: 'SUnitGUI-improved'.
	self version: '4.0.50'.
	info category: 'Development'.
	info description: 
'Improved TestRunner

- pane for selecting published suites and filtering
- can report results to a file via TestReporter.'.
	info maintainer: 'kph'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Testing/SUnitGUI-kph.50.mcz'.
	self provides: #('SUnitGUI').

	self dependsOn: #('SUnit-improved').

! !

!PackagesDevU methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SUnitProgress

	self name: 'SUnitProgress'.
	self version: '0.2'.
	info category: 'Uncategorized'.
	info description: 
'Simple extension for SUnit showing a progress-bar while the unit tests are running ...'.
	info maintainer: ''.
	info homepage: 'http://www.squeaksource.com/SUnitProgress'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SUnitProgress/SUnitProgress-SR.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 12/12/2008 01:56'!
SUnitimproved

	self name: 'SUnit-improved'.
	self version: '4.0.118'.
	info category: 'Development'.
	info description: 
'Improved SUnit, allows categorization of tests for selective running, per platform, per vm or image version. 

Includes: TestReporter a non gui test runner'.
	info maintainer: 'kph'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Testing/SUnit-kph.117.mcz'.
	self provides: #('SUnit' 'SUnit-improved').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'IDE' stamp: 'kph 9/10/2008 10:09'!
SVI

	self name: 'SVI'.
	self version: '0.115'.
	info category: 'IDE'.
	info description: 
'SVI is a text editor for squeak that can be used in place of the PluggableTextMorph. SVI is designed to behave, as much as possible, like a standard text editor, so as not to confuse users that are not familiar with modal text editors. Nevertheless, SVI features extensive support for VIM and Emacs modes and commands, including:

- incremental search
- interactive search/replace
- split panes
- multilevel undo/redo
- navigation, using keyboard driven menus and bookmarks, between classes, methods, files, and system windows
- context sensitive help and command completion
- customizable keybindings
- ability to paste recently deleted, inserted, or copied text. Also, VIM-style "registers" 
- support for VIM''s Normal, Visual and Linewise Visual modes, with extensive support for the VIM commands, motions, registers. Mark implementation supports method-to-method jumps , method-to-file, file-to-file, etc.

By default, SVI supports many VIM commands. If you want SVI to support Emacs commands instead, be sure to take the tour of Emin (SVI''s "mini-emacs"). After loading SVI, execute "SVI openEminDocs" to take a tour of Emin. 

Patches to make SVI work with StarBrowser and Celeste are available <a href="http://www.swerlingphoto.com/squeak/svi2/appPatches.html">here</a>. The Celeste version is provided as an example of how to fully integrate an application with SVI (with a recent message list, bookmarking, opening a celeste message in a split pane, etc). '.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.swerlingphoto.com/squeak/svi2/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SVI/SVI-3.9v2-sps.115.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 12/21/2008 22:12'!
Sake

	self name: 'Sake'.
	self version: '82'.
	info category: 'Group Development'.
	info description: 
'Smalltalk take on Rake/Make

Provide Squeak with a declarative, idempotent build system for external files and programs as well as other Squeak images, that also integrates well with other Squeak code and libraries. It could even offer new facilities for building Squeak images using the Installer tool.'.
	info maintainer: 'Keith Hodges'.
	info homepage: 'http://wiki.squeak.org/squeak/5953'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Sake/Sake-Core-kph.82.mcz'.
	self provides: #('Sake').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'auto 12/7/2008 06:59'!
SakeBob

	self name: 'Sake-Bob'.
	self version: '7'.
	info category: 'Group Development'.
	info description: 
'Framework for performing regular, Scheduled scripted actions using Sake, i.e. builds'.
	info maintainer: 'Keith Hodges'.
	info homepage: 'http://wiki.squeak.org/squeak/5953'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Sake/Sake-Bob-kph.7.mcz'.
	self provides: #('Sake-Bob').

	self dependsOn: #('Sake' 'Sake-Scheduler').

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 12/13/2008 02:10'!
SakePackages

	self name: 'Sake-Packages'.
	self version: '8'.
	info category: 'Group Development'.
	info description: 
'Sake Tasks for loading packages, see Packages-Library'.
	info maintainer: 'Keith Hodges'.
	info homepage: 'http://wiki.squeak.org/squeak/5953'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Packages/Sake-Packages-kph.8.mcz'.
	self provides: #('Sake-Packages').

	self dependsOn: #('Sake').

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'auto 12/7/2008 06:59'!
SakeScheduler

	self name: 'Sake-Scheduler'.
	self version: ''.
	info category: 'Group Development'.
	info description: 
'Periodic actions'.
	info maintainer: 'Keith Hodges'.
	info homepage: 'http://wiki.squeak.org/squeak/5953'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Sake/Sake-Scheduler-kph.6.mcz'.
	self provides: #('Sake-Scheduler').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Web Development beta' stamp: 'kph 9/10/2008 10:09'!
Sandcastle

	self name: 'Sandcastle'.
	self version: '1.0'.
	info category: 'Web Development beta'.
	info description: 
'see version 0'.
	info maintainer: 'tbn'.
	info homepage: 'http://squeaksource.com/Sandcastle.html'.
	info squeakMapID: ''.
	info url: 'http://squeaksource.com/Sandcastle/Sandcastle-tbn.9.mcz'.
	self provides: #().

	self dependsOn: #('ExternalWebBrowser' 'Scriptaculous-beta' 'ShoreComponents-beta').

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'kph 12/21/2008 22:12'!
SandstoneDb

	self name: 'SandstoneDb'.
	self version: '113'.
	info category: 'Persistence'.
	info description: 
'SandstoneDb is a lightweight Prevayler style embedded object database with an ActiveRecord API that doesn''t require a command pattern and works for small apps that a single Squeak image can handle. The idea is to make a Squeak image durable and crash proof and suitable for use in small office applications.

Data is kept in ram for speed and on disk for safety. All data is reloaded from disk on image startup.

Since we''re dealing with live objects in memory, concurrency is handled via optional record level critical sections rather than optimistic locking and commit failures. It''s up to the developer to use critical sections at the appropriate points by using the critical method on the record.

Saves are atomic for an ActiveRecord and all its non ActiveRecord children, for example, an order and its items. There is no atomic save across multiple ActiveRecords. A record is a cluster of objects that are stored in a single file together.

Assuming you have the latest SUnit (SUnitGUI-improved from Universe), all tests should pass.

For more information and API see http://onsmalltalk.com/sandstonedb-simple-activerecord-style-persistence-in-squeak/'.
	info maintainer: 'Ramon Leon'.
	info homepage: 'http://onsmalltalk.com/sandstonedb-simple-activerecord-style-persistence-in-squeak'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SandstoneDb/SandstoneDb-rjl.113.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Morphs' stamp: 'kph 9/10/2008 10:09'!
ScreenShotMorph

	self name: 'Screen Shot Morph'.
	self version: '0.0.0.2'.
	info category: 'Morphs'.
	info description: 
'A morph helping you to make a screenshot. The morph should open
in the top left corner of the screen. Double click
will activate the morph. You have 5 seconds before 
the screen shot is taken.

- Originally written by Lex Spoon
- Torsten added image, double click behavior
- the morph now hides itself if the screenshot is taken'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ScreenShotMorph/ScreenShotMorph-tbn.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'IDE' stamp: 'kph 9/10/2008 10:09'!
ScriptManager

	self name: 'ScriptManager'.
	self version: '0.6'.
	info category: 'IDE'.
	info description: 
'ScriptManager provides a tool to write documentation/code. This texts are organized into folders.'.
	info maintainer: 'Damien Cassou'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/DeveloperWorkspace/ScriptManager-tbn.6.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
Scriptaculous

	self name: 'Scriptaculous'.
	self version: '2.8.3.242'.
	info category: 'Web Development'.
	info description: 
'High-level Javascript bindings for the Seaside web application framework. This package includes PrototypeJS (http://www.prototypejs.org) and script.aculo.us (http://script.aculo.us).'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://scriptaculous.seasidehosting.st/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Seaside/Scriptaculous-lr.242.mcz'.
	self provides: #().

	self dependsOn: #('Seaside').

! !

!PackagesDevU methodsFor: 'IDE' stamp: 'kph 9/10/2008 10:09'!
Scripter

	self name: 'Scripter'.
	self version: '0.5.5'.
	info category: 'IDE'.
	info description: 
'Scripter is an interface for scripting Squeak UI Tools.

Windows: Collapsing, minimizing, maximizing, tidying,  moving, closing.
Tools: Open and use.
Menus: select menu items
Buttons: click buttons
Lists: select list items

To Do:
Track action which spawns opening a new window.
Trees: select tree items'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://www.squeaksource.com/Scripter.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Scripter/Scripter-Core-kph.5.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
ScriptingWorkspace

	self name: 'Scripting Workspace'.
	self version: '1.22-apha'.
	info category: 'Development'.
	info description: 
'This is meant to be a workspace for people familiar with scriping languages like Javascript, Ruby, Python, or Perl. It gives the workspace the ability to add classes and methods.

See ScriptingWorkspaceTest for examples.

"Do This To See It"
ScriptingWorkspace open'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/btb-ScriptingWorkspace-btb.22.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/2/2008 00:30'!
Seaside

	self name: 'Seaside'.
	self version: '2.8.3.572'.
	info category: 'Web Development'.
	info description: 
'A framework for building sophisticated web applications in Squeak. Develop for the web using reusable, embeddable components and unique call/return semantics for moving between pages.'.
	info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
	info homepage: 'http://www.seaside.st/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Seaside/Seaside2.8a1-lr.572.mcz'.
	self provides: #().

	self dependsOn: #('KomHttpServer').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
Seaside28Jetsam

	self name: 'Seaside28Jetsam'.
	self version: '2.8.545'.
	info category: 'Web Development'.
	info description: 
'Patches to the base seaside

The version number indicates the version of seaside this is synced with.'.
	info maintainer: 'kph'.
	info homepage: 'http://www.squeaksource.com/Jetsam.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Jetsam/Seaside28Jetsam-kph.67.mcz'.
	self provides: #('Seaside28Jetsam-Useful-CSS' 'Seaside28Jetsam-NiftyCorners' 'Seaside28Jetsam' 'Seaside28Jetsam-Supersleight' 'Seaside28Jetsam-Blueprint').

	self dependsOn: #('KernelExt-kph' 'Seaside').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
Seaside28JetsamBlueprint

	self name: 'Seaside28Jetsam-Blueprint'.
	self version: '0.7.1'.
	info category: 'Web Development'.
	info description: 
'Lukas'' import of the Blueprint Library'.
	info maintainer: 'kph'.
	info homepage: 'http://www.squeaksource.com/Jetsam.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Jetsam/Seaside28Jetsam-Blueprint-kph.1.mcz'.
	self provides: #().

	self dependsOn: #('Seaside').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
Seaside28JetsamSupersleight

	self name: 'Seaside28Jetsam-Supersleight'.
	self version: '0.1'.
	info category: 'Web Development'.
	info description: 
'Supersleight library for transparent ng support in IE6

 http://24ways.org/2007/supersleight-transparent-png-in-ie6'.
	info maintainer: 'kph'.
	info homepage: 'http://www.squeaksource.com/Jetsam.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Jetsam/Seaside28Jetsam-Supersleight-kph.3.mcz'.
	self provides: #().

	self dependsOn: #('Seaside').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
Seaside28JetsamUsefulCSS

	self name: 'Seaside28Jetsam-Useful-CSS'.
	self version: '0.1'.
	info category: 'Web Development'.
	info description: 
'Class for constructing css'.
	info maintainer: 'kph'.
	info homepage: 'http://www.squeaksource.com/Jetsam.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Jetsam/Seaside28Jetsam-Useful-CSS-kph.3.mcz'.
	self provides: #().

	self dependsOn: #('Seaside').

! !

!PackagesDevU methodsFor: 'Example/Tutorial' stamp: 'kph 9/10/2008 10:09'!
SeasideAXAnnouncementsMenu

	self name: 'Seaside-AXAnnouncementsMenu'.
	self version: '1'.
	info category: 'Example/Tutorial'.
	info description: 
'A small example using announcements to implement a simple menu in seaside.'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://www.squeaksource.com/AXAnnouncements.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/AXAnnouncements/AnnouncementMenu-kb.1.mcz'.
	self provides: #().

	self dependsOn: #('AXAnnouncements' 'Seaside').

! !

!PackagesDevU methodsFor: 'Web Development beta' stamp: 'kph 9/10/2008 10:09'!
SeasideAdaptersCompatibility

	self name: 'SeasideAdaptersCompatibility'.
	self version: 'pmm.1.mcz'.
	info category: 'Web Development beta'.
	info description: 
'This compatibility package allows to run Seaside 2.9 server adapters in Seaside 2.8 (and below).'.
	info maintainer: 'pmm'.
	info homepage: 'http://www.squeaksource.com/Seaside.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Seaside/SeasideAdaptersCompatibility-pmm.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Web Development beta' stamp: 'kph 9/10/2008 10:09'!
SeasideAdaptersCore

	self name: 'Seaside-Adapters-Core'.
	self version: 'pmm.2.mcz'.
	info category: 'Web Development beta'.
	info description: 
'This is the core server adapter package of Seaside 2.9. It includes all the common server adapter code for Seaside 2.9 (currently only used in Squeak).'.
	info maintainer: 'pmm'.
	info homepage: 'http://www.squeaksource.com/Seaside29.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Seaside29old/Seaside-Adapters-Core-pmm.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Web Development beta' stamp: 'kph 11/12/2008 16:59'!
SeasideAdaptersSwazoo

	self name: 'Seaside-Adapters-Swazoo'.
	self version: '9'.
	info category: 'Web Development beta'.
	info description: 
'The Swazoo 2.1 server adapter form Seaside 2.9, works also with Seaside 2.8.

Can be started and stopped with:
SwazooSeaside startOn: 8080
SwazooSeaside stop'.
	info maintainer: 'pmm'.
	info homepage: 'http://www.squeaksource.com/Seaside29.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Seaside29old/Seaside-Adapters-Swazoo-pmm.8.mcz'.
	self provides: #().

	self dependsOn: #('Seaside-Squeak-Adapters' 'SeasideAdaptersCompatibility' 'Swazoo').

! !

!PackagesDevU methodsFor: 'Web Development beta' stamp: 'kph 9/10/2008 10:09'!
SeasideHTML5beta

	self name: 'Seaside-HTML5-beta'.
	self version: '2.8.411.5'.
	info category: 'Web Development beta'.
	info description: 
'HTML5 support moved out of Seaside2.8'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://www.seaside.st/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Seaside/HTML5-pmm.5.mcz'.
	self provides: #().

	self dependsOn: #('Seaside-beta').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
SeasidePlotKitbeta

	self name: 'Seaside-PlotKit-beta'.
	self version: '0.9.1.26'.
	info category: 'Web Development'.
	info description: 
'Seaside goodies. Includes different charts libraries and other cool stuff for seaside applications. SeaChart components are standard Seaside components that you can embed into your Seaside application.

Seaside bindings for PlotKit (http://www.liquidx.net/plotkit). PlotKit is a Chart and Graph Plotting Library for Javascript.

Includes dependency upon HTML5 package which is no longer in seaside.'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: 'http://seachart.seasidehosting.st/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/seachart/PlotKit-0.9.1-mb.27.mcz'.
	self provides: #().

	self dependsOn: #('Seaside-HTML5-beta' 'Seaside-beta').

! !

!PackagesDevU methodsFor: 'Web Development beta' stamp: 'kph 9/10/2008 10:09'!
SeasideSqueakAdapters

	self name: 'Seaside-Squeak-Adapters'.
	self version: 'pmm.3.mcz'.
	info category: 'Web Development beta'.
	info description: 
'The Squeak specific implementation classes for the Seaside-Adapters-Core package.'.
	info maintainer: 'pmm'.
	info homepage: 'http://www.squeaksource.com/Seaside29.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Seaside29old/Seaside-Squeak-Adapters-pmm.3.mcz'.
	self provides: #().

	self dependsOn: #('Seaside-Adapters-Core').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
SendTreeExplorer

	self name: 'SendTreeExplorer'.
	self version: '1alpha'.
	info category: 'Development'.
	info description: 
'This little goodie provides new tools SendTreeExplorer and MessageSendTree.  Like MessageTally, MessageSendTree traces the execution of a block in simulation. There are three key differences:
    1.	Rather than tallying the number of times each method is called in a given context, MessageSendTree traces and returns the exact tree of the sends made, in send order. 
    2.	MessageSendTree is designed to work with a SendTreeExplorer which presents the results in a hierarchical list view rather than flattened to a text pane. 
    3.	MessageSendTree allows all sends above a given method to be ignored, so that such a method can be conveniently traced deep in the execution of the block without the bother of wading through a long send chain to get there. '.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SendTreeExplorer-JW.1.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
SharedStreams

	self name: 'SharedStreams'.
	self version: '1.1'.
	info category: 'Development'.
	info description: 
'SharedStreams introduces SharedBufferStream and SharedBidirectionalStream.

SharedBufferStream is like a SharedQueue (FIFO) but for a stream of 
bytes/characters instead of separate objects. It can be used as a "socket" 
between Squeak processes in order for them to communicate with a stream 
protocol.

A SharedBidirectionalStream is like a "socket" between two (or more) Squeak 
processes. Internally it uses two SharedBufferStreams, one for input and one for
output. It handles multiple Processes at both ends.

In order for the protocol to be the same no matter what side you are of the
stream you can access the "other end" by calling #otherEnd.
A SharedBidirectionalStream then creates a single mirror twin brother
which it shares the two internal SharedBufferStream with - but with the inStream
and outStream twisted.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SharedStreams-1_1.st.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
ShoreComponents

	self name: 'ShoreComponents'.
	self version: '3.10'.
	info category: 'Web Development'.
	info description: 
'A set of useful components for Seaside.

Shore Components project is a library of building blocks for Seaside.
Currently it contains only few of them, but we hope that the project
can serve as the meeting point for those people asking in mailing
lists for such a library again and again.

Anybody who has an interesting reusable component for Seaside and is
willing to share it with community is strongly encouraged to do so.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/ShoreComponents.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ShoreComponents/ShoreComponents-3-pk.10.mcz'.
	self provides: #().

	self dependsOn: #('Scriptaculous' 'Seaside').

! !

!PackagesDevU methodsFor: 'Web Development beta' stamp: 'kph 9/10/2008 10:09'!
ShoreComponentsbeta

	self name: 'ShoreComponents-beta'.
	self version: '3.10'.
	info category: 'Web Development beta'.
	info description: 
'A set of useful components for Seaside.

Shore Components project is a library of building blocks for Seaside.
Currently it contains only few of them, but we hope that the project
can serve as the meeting point for those people asking in mailing
lists for such a library again and again.

Anybody who has an interesting reusable component for Seaside and is
willing to share it with community is strongly encouraged to do so.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/ShoreComponents.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ShoreComponents/ShoreComponents-3-pk.10.mcz'.
	self provides: #().

	self dependsOn: #('Scriptaculous-beta' 'Seaside-beta').

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 9/10/2008 10:09'!
Shout

	self name: 'Shout'.
	self version: '3.15-tween.72'.
	info category: 'Code Browsing'.
	info description: 
'Syntax Highlighting that updates after each key stroke so that the highlighting remains correct during the editing of a method.

    * Syntax Highlighting is shown in browsers and debuggers.
    * Optional add-on packages are available to enable Shout in Monticello, OmniBrowser, Traits, WhiskerBrowser, and Workspaces
    * Fonts may be specified for syntax elements (for example, the left arrow assignment can be shown in a different font thus removing the need to ''doctor'' fonts to get the left arrow looking correct).
    * Unterminated strings and comments can be shown in a different colour.
    * Parenthesis, and block [], matching is indicated by highlighting matching brackets in the same colour, with the colour determined by the level of nesting.
    * Variables may be highlighted differently according to their type (instance variable, temporary variable, temporary block variable, workspace variable, Pool constant, class variable, global).
    * Arguments may be highlighted differently according to their type (method argument, block argument)
    * Operates in both Morphic and MVC
    * Preserves TextActions within method source
    * Can be configured to show assignments as the ANSI := , left arrow, or in the form that they appear in the source (which could be both versions in a single method)
    * Styles are configurable, although there is currently no editor for this'.
	info maintainer: ''.
	info homepage: 'http://www.squeaksource.com/shout/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/shout/Shout.3.15-tween.72.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 9/10/2008 10:09'!
ShoutMonticello

	self name: 'ShoutMonticello'.
	self version: '1-tween.2'.
	info category: 'Code Browsing'.
	info description: 
''.
	info maintainer: ''.
	info homepage: 'http://www.squeaksource.com/shout'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/shout/ShoutMonticello.1-tween.2.mcz'.
	self provides: #().

	self dependsOn: #('Shout').

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 9/10/2008 10:09'!
ShoutOmniBrowser

	self name: 'ShoutOmniBrowser'.
	self version: 'tween.6'.
	info category: 'Code Browsing'.
	info description: 
'Brings colors to the OmniBrowser framework and browsers.'.
	info maintainer: ''.
	info homepage: 'http://www.squeaksource.com/shout'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/shout/ShoutOmniBrowser-dc.5.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser-Morphic' 'Shout').

! !

!PackagesDevU methodsFor: 'Uncategorized' stamp: 'kph 9/30/2008 16:20'!
ShoutWorkspace

	self name: 'ShoutWorkspace'.
	self version: '1-tween.4'.
	info category: 'Uncategorized'.
	info description: 
'Brings colors to the Workspace. Use Open->Shout Workspace to get the new workspace.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://damiencassou.seasidehosting.st/seaside/pier'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/shout/ShoutWorkspace.1-tween.4.mcz'.
	self provides: #().

	self dependsOn: #('Shout').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
SimpleLog

	self name: 'SimpleLog'.
	self version: '1.13'.
	info category: 'Development'.
	info description: 
'Nice and simple logging. There are eight messages for logging based on severity. These correspond to the eight levels defined in syslog:

7 - debug (Debug-level messages)
6 - info (Informational)
5 - notice (Normal but significant Condition)
4 - warning (Warning Condition)
3 - err (Error Condition)
2 - crit (Critical Conditions)
1 - alert (must be handled immediately)
0 - emerg (System is unusable)
	
The absolutely easiest way to log is like this:

	SLLog warn: ''Oopsidaisy''

We only need to include the actual message in the string, timestamp etc is added automatically.
You can also explicitly supply a "sender" object which can be anything you like, a symbol or a specific domain object even:

	SLLog warn: ''Yowsa'' sender: #email

SLLog uses printString on the sender when producing the log entry, so if you use domain objects - make sure they have a unique printOn: method defined so that you can distinguish them. See class side category "logging" and "logging shorthand" for the available log messages.

By default there is a single emitter registered that logs on Transcript, you can turn this off with:

	SLLog useTranscript: false

And you can set a threshold for the above 8 syslog levels that should be logged onto Transcript using:

	SLLog instance transcriptMaxLevel: 4

..or set a global threshold for all emitters:

	SLLog instance globalMaxLevel: 4

Global flushing of all emitters can be done using "SLLog flush" and should ideally be called regularly by some background process.

Finally take a look at SLLogFile for details on how to add it as an emitter to get logging onto file instead of Transcript, and SLLogMorph for getting logging into a very nice UI that offers filtering, searching etc.

'.
	info maintainer: 'keith_hodges@yahoo.co.uk'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Logging/SimpleLog-kph.13.mcz'.
	self provides: #('SimpleLog').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
SmaCC

	self name: 'SmaCC'.
	self version: '18'.
	info category: 'Development'.
	info description: 
'SmaCC (Smalltalk Compiler-Compiler) is a freely available parser generator for Smalltalk. 
Use this package if you want to develop a new parser/scanner/compiler.

It  is a replacement for the T-Gen parser generator. T-Gen has several limitations  
that make it difficult to produce parsers. SmaCC overcomes T-Gen''s limitations. 
For example, SmaCC  can generate parsers for ambiguous grammars and grammars 
with overlapping tokens.  Both of these are not possible using T-Gen.
 In addition to handling more  grammars than T-Gen, SmaCC has a smaller runtime 
than T-Gen and is faster than  T-Gen.   
'.
	info maintainer: 'Mathieu Suen'.
	info homepage: 'http://wiki.squeak.org/squeak/3117'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SmaccDevelopment/SmaCCDev-lr.18.mcz'.
	self provides: #().

	self dependsOn: #('Refactoring Engine' 'SmaCC runtime').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
SmaCCruntime

	self name: 'SmaCC runtime'.
	self version: '13'.
	info category: 'Development'.
	info description: 
'SmaCC (Smalltalk Compiler-Compiler) is a freely available parser generator for Smalltalk. Use this package if you want to develop a new parser/scanner/compiler. SmaCC-Runtime is part of the Squeak Image, for developing new parsers, the dev package nees to be installed. SmaCC-Developments is for Squeak <3.8 SmaCCDev is the current development version for 3.9.'.
	info maintainer: 'Mathieu Suen <mathieusuen@yahoo.fr>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SmaccDevelopment/SmaCC-lr.13.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Graphics' stamp: 'kph 9/10/2008 10:09'!
Smagick

	self name: 'Smagick'.
	self version: '0.5'.
	info category: 'Graphics'.
	info description: 
'A simple interface to control "Image Magick" from a Smalltalk environment

changes to 0.4:
- bugfixes'.
	info maintainer: 'Stefan Reichhart <stefan.reichhart@gmx.ch>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SqueakAddOns/Smagick-SR.72.mcz'.
	self provides: #().

	self dependsOn: #('OSProcess' 'OSProcessIO' 'VBRegex').

! !

!PackagesDevU methodsFor: 'Simulation' stamp: 'kph 9/10/2008 10:09'!
SmallDEVS

	self name: 'SmallDEVS'.
	self version: '2006-12-6'.
	info category: 'Simulation'.
	info description: 
'SmallDEVS is a new, lightweight implementation of B. Zeigler''s DEVS (Discrete event systems specification) formalism. It is an experimental software intended for research and education. It allows for experimenting with:

    * prototype-based object-oriented model construction,
    * interactive modeling and simulation,
    * multisimulation and reflective simulation. '.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: 'http://perchta.fit.vutbr.cz:8000/projekty/10'.
	info squeakMapID: ''.
	info url: 'http://perchta.fit.vutbr.cz:8000/projekty/uploads/10/SmallDEVS-061206.sar'.
	self provides: #().

	self dependsOn: #('Connectors' 'SIXX' 'YAXO').

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
SoapCore

	self name: 'SoapCore'.
	self version: '1.0b'.
	info category: 'Network'.
	info description: 
'SoapCore is a SOAP implementation for Squeak (including both client and  server). It is a SOAP part of SoapOpera.

It achieves some interoperability with other SOAP, such as SOAP4R, Splash/Spray, etc. Designed to be lean and simple.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: 'http://www.mars.dti.ne.jp/%7Eumejava/smalltalk/soapOpera/index.html'.
	info squeakMapID: ''.
	info url: 'ftp://swikis.ddo.jp/SoapOpera/SoapCore/SoapCore20061219.sar'.
	self provides: #().

	self dependsOn: #('YAXO').

! !

!PackagesDevU methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Speech

	self name: 'Speech'.
	self version: '9'.
	info category: 'Uncategorized'.
	info description: 
'Speech synthesis and facial animation'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://source.squeakfoundation.org/39a/Speech-md.9.mcz'.
	self provides: #('Mathieu Suen <mathieu.suen@yahoo.fr>').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
Sport

	self name: 'Sport'.
	self version: '2.31'.
	info category: 'Development'.
	info description: 
'Smalltalk portability library from Bruce Badger, consisting basic portable classes for Times, Files and Sockets

031 brings an extended and portable support for image startup and shutdown tasks. This is useful for any cleanup you want to do before image is quit and for any work after image  is started. For instance, a Swazoo web server will restart all its websites automatically after image start with help of those Sport startup methods. 
'.
	info maintainer: 'mivsek'.
	info homepage: 'http://wiki.openskills.org/OpenSkills/Sport'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SPort/Sport-2.031.mcz'.
	self provides: #('Portability').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 9/10/2008 10:09'!
SqCVS

	self name: 'SqCVS'.
	self version: '0.51'.
	info category: 'Group Development'.
	info description: 
'SqCVS is a clean implementation of the CVS pserver protocol in Squeak.

It is written on top of SocketStream - the highlevel Socket class found in the
Comanche package. This means Comanche is a prerequisite.

SqCVS has no UI and it still doesn''t know how to do "add" and "remove".
But it knows how to do pretty much of the CVS protocol.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/CVS-0_51.st.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'test 1/13/2009 15:56'!
SqueakDBX

	self name: 'SqueakDBX'.
	self version: '0.8'.
	info category: 'Persistence'.
	info description: 
'OpenDBX plugin, provides db connection to free and commercial databases.
Currently supports: PostgreSQL, mySQL, Oracle, sqlite3 and MSSQL. 
Use FFI to talk to OpenDBX.
It works in Unix, OSX and (through MinGW) Windows. '.
	info maintainer: 'EL'.
	info homepage: 'http://wiki.squeak.org/squeak/6052'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SqueakDBX/OpenDBX-Core-MMP.117.mcz'.
	self provides: #().

	self dependsOn: #('FFI').

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 9/10/2008 10:09'!
SqueakElib

	self name: 'SqueakElib'.
	self version: '1'.
	info category: 'System'.
	info description: 
''.
	info maintainer: 'rww'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/6011'.
	info squeakMapID: '7f93bcef-201b-4f53-83ea-b671eacb23f6'.
	info url: 'http://www.squeaksource.com/squeakelib/SqueakElib-rww.1.mcz'.
	self provides: #().

	self dependsOn: #('Cryptography Team Package').

! !

!PackagesDevU methodsFor: 'Games' stamp: 'kph 9/10/2008 10:09'!
SqueakPipes

	self name: 'SqueakPipes'.
	self version: '20040426'.
	info category: 'Games'.
	info description: 
'Squeak Pipes Game is a little experiment I did to draw some graphics with Morphic and then use them in a game. It''s using a lot of the framework/ideas from the Electricity Game with some new animation.

See <a href="http://squeak.preeminent.org">http://squeak.preeminent.org</a> for more details and a picture of the game.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SqueakPipe-sbw.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 9/10/2008 10:09'!
SqueakSource

	self name: 'SqueakSource'.
	self version: '1.0.6'.
	info category: 'Group Development'.
	info description: 
'SqueakSource is a web based repository for Monticello.'.
	info maintainer: 'pmm'.
	info homepage: 'http://www.squeaksource.com/ss2.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ss2/SqueakSource-pmm.1069.mcz'.
	self provides: #().

	self dependsOn: #('Announcements' 'Magritte-Seaside' 'Magritte-Tests' 'RSRSS2' 'Seaside' 'TinyWiki' 'YAXO').

! !

!PackagesDevU methodsFor: 'Squeak Distributions' stamp: 'kph 9/30/2008 16:20'!
Squeakdevimage

	self name: 'Squeak-dev image'.
	self version: '0.167'.
	info category: 'Squeak Distributions'.
	info description: 
'This package creates a squeak image made for developers. If you update a squeak-dev image, you can execute ''DEVImageCreator default install''.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://damien.cassou.free.fr/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ImageForDevelopers/ImageForDevelopers-dc.167.mcz'.
	self provides: #().

	self dependsOn: #('Squeak dev packages').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/12/2008 16:59'!
Squeakdevpackages

	self name: 'Squeak dev packages'.
	self version: '0.27'.
	info category: 'Development'.
	info description: 
'Abstract package that only depends on other packages. This packages are used to build a squeak distribution for developers.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://damien.cassou.free.fr/'.
	info squeakMapID: ''.
	info url: nil.
	self provides: #().

	self dependsOn: #('AST' 'Algernon' 'AutomaticMethodCategorizer' 'AutomaticMethodCategorizerOB' 'Installer' 'OB-Enhancements' 'OmniBrowser-Algernon' 'OmniBrowser-Full' 'OmniBrowser-Refactory' 'OmniBrowser-Regex' 'Refactoring Core' 'SUnitGUI-improved' 'ScriptManager' 'Shout' 'ShoutWorkspace' 'SmaCC runtime' 'Universes' 'Universes OmniBrowser' 'eCompletion' 'eCompletion-Traits' 'eCompletionOmniBrowser').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 11/12/2008 16:59'!
Squeakdevpackagesbeta

	self name: 'Squeak dev packages beta'.
	self version: '0.32'.
	info category: 'Development'.
	info description: 
'Abstract package that only depends on other packages. This packages are used to build a squeak distribution for developers.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: nil.
	self provides: #().

	self dependsOn: #('Polymorph TaskbarIcons' 'Polymorph ToolBuilder' 'Polymorph Tools Diff' 'Squeak dev packages').

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 11/12/2008 16:59'!
Squeakwebpackages

	self name: 'Squeak web packages'.
	self version: '0.2'.
	info category: 'Web Development'.
	info description: 
'Abstract package that only depends on other packages. This packages are used to build a squeak distribution for developers.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://damien.cassou.free.fr/'.
	info squeakMapID: ''.
	info url: nil.
	self provides: #().

	self dependsOn: #('Aida' 'Pier' 'Scriptaculous' 'Seaside' 'Seaside-Adapters-Swazoo' 'Squeak dev packages').

! !

!PackagesDevU methodsFor: 'Kernel' stamp: 'test 1/13/2009 15:56'!
StreamsReadability

	self name: 'StreamsReadability'.
	self version: '0.1'.
	info category: 'Kernel'.
	info description: 
'Provides Stream-#<< , used by Logging'.
	info maintainer: 'kph'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://bugs.squeak.org/file_download.php?file_id=3565&type=bug&e=.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
Swazoo

	self name: 'Swazoo'.
	self version: '2.1'.
	info category: 'Network'.
	info description: 
'Swazoo (Smalltalk Web Application Zoo) is an open source, vendor agnostic, dialect neutral Smalltalk web server with resource and web request resolution framework.

Main new feature: SwazooServer startOn: aPort will start on all IP interfaces, on any host.

Other improvements:
- auto restart sites which were running before image shutdown
- reliability of serving directly on the wild wild Internet
- SwazooServer watchdog instvar added, just that for now
- HttpConnection is not closed anymore after 302 redirect
- Connection: Keep-alive, if this header is in request then put that header in response too, even for HTTP/1.1
- HttpConnection produceResponse closes connection after every non-GET, this solves 200 bad request error after two consecutive POSTs, but it is really a hack and original reason must be found!!
- streaming in case of HTTP/1.0 protocol - not chunked; in case that length is known: stream but not chunked.
- HTTPRequest isHttp10, isHttp11
- SwazooBuffer to 8K
- HTTPResponse printContentLength adds to headers too, for easier debugging
- Improved and added many tests
'.
	info maintainer: 'mivsek'.
	info homepage: 'http://www.swazoo.org/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Swazoo/Swazoo-2.1.mcz'.
	self provides: #().

	self dependsOn: #('Sport').

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
SwazooHTTP

	self name: 'Swazoo-HTTP'.
	self version: '7'.
	info category: 'Network'.
	info description: 
'A portable set of classes that model HTTP requests and responses, that form a base on which a web server could be built.  With suitable extensions, these could also be used for an HTTP client library.

See *Swazoo-Server* for the original, portable server code that used these, or *Swazoo-Listener* for a much simplified, Squeak-specific server.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Swazoo-HTTP-avi.7.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'kph 9/10/2008 10:09'!
SystemChangeNotifierimprovements

	self name: 'SystemChangeNotifier improvements'.
	self version: '1'.
	info category: 'Model Extension'.
	info description: 
'Adds more detail to the events sent out by SystemChangeNotifier. It should be completely backward compatable'.
	info maintainer: 'Matthew Fulmer'.
	info homepage: 'http://www.squeaksource.com/DeltaStreams/SystemEditor-mtf.78.mcz'.
	info squeakMapID: '07238fff-3116-47bf-a90e-f1f75e10fec5'.
	info url: 'http://map.squeak.org/account/files/SystemChangeNotification-Improvements39.2.cs.gz'.
	self provides: #('SystemChangeNotifier improvements').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Kernel' stamp: 'kph 11/28/2008 16:26'!
SystemEditor

	self name: 'SystemEditor'.
	self version: '1+'.
	info category: 'Kernel'.
	info description: 
'SystemEditor from MC development effort, now supported by Monticello 1.6

Traits support is alpha'.
	info maintainer: 'kph <keith_hodges@yahoo.co.uk>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: nil.
	self provides: #('SystemEditor').

	self dependsOn: #('SystemEditor-Squeak').

! !

!PackagesDevU methodsFor: 'Kernel' stamp: 'kph 12/13/2008 02:10'!
SystemEditorCore

	self name: 'SystemEditor-Core'.
	self version: '1.156'.
	info category: 'Kernel'.
	info description: 
'SystemEditor from MC development effort, now supported by Monticello 1.6'.
	info maintainer: 'kph <keith_hodges@yahoo.co.uk>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SystemEditor/SystemEditor-Core-mtf.156.mcz'.
	self provides: #('SystemEditor-Core').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Kernel' stamp: 'kph 12/13/2008 02:10'!
SystemEditorSqueak

	self name: 'SystemEditor-Squeak'.
	self version: '1.165'.
	info category: 'Kernel'.
	info description: 
'SystemEditor from MC development effort, now supported by Monticello 1.6'.
	info maintainer: 'kph <keith_hodges@yahoo.co.uk>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/SystemEditor/SystemEditor-Squeak-mtf.165.mcz'.
	self provides: #('SystemEditor-Squeak').

	self dependsOn: #('SystemEditor-Core').

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
Tamaris

	self name: 'Tamaris'.
	self version: '0.61'.
	info category: 'Development'.
	info description: 
'Tamaris is an object explorer for squeak.'.
	info maintainer: 'Nicolas Petton'.
	info homepage: 'http://cassoulet.univ-brest.fr/squeak/Tamaris'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Tamaris/Tamaris-apl.61.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
TechoBase

	self name: 'Techo-Base'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'Techo is:
-Multiple workspace stored plain text file
-Notepad without file name
-Grep tool(but not real REgexp).

It is very simple tool, but useful to make a memo, to exchange oneliner among Squeak images, and to play a text base Smalltalk programming puzzle.'.
	info maintainer: ''.
	info homepage: 'http://map.squeak.org/package/2fa59952-dde7-426c-8823-5d70791cae76'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/DeveloperWorkspace/Techo-Base-tbn.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'IDE' stamp: 'kph 9/10/2008 10:09'!
TechoShout

	self name: 'Techo-Shout'.
	self version: '4'.
	info category: 'IDE'.
	info description: 
'Techo is:
-Multiple workspace stored plain text file
-Notepad without file name
-Grep tool(but not real REgexp).

It is very simple tool, but useful to make a memo, to exchange oneliner among Squeak images, and to play a text base Smalltalk programming puzzle.'.
	info maintainer: ''.
	info homepage: 'http://map.squeak.org/package/2fa59952-dde7-426c-8823-5d70791cae76'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/DeveloperWorkspace/Techo-Shout-tbn.4.mcz'.
	self provides: #().

	self dependsOn: #('Shout').

! !

!PackagesDevU methodsFor: 'Network' stamp: 'kph 9/10/2008 10:09'!
Telnet

	self name: 'Telnet'.
	self version: '301'.
	info category: 'Network'.
	info description: 
'This package contains various components that facilitate interactive login
to a remote (or the local) machine:

* a (glass) TeletypeMorph;
* essentially complete emulation of vt52, vt102 and xterm terminals;
* a telnet client for connecting to remote machines;
* a `pseudo-tty'' client for connecting to an interactive shell on the local machine;
* a protocol stack abstraction that glues the above together; and
* a TeletypeWindow morph which makes a clickable application out of it all.

The pseudo-tty client will only work on Unix, but the telnet client should
work fine on any platform (Unix, Mac, Windows, etc.) that supports sockets.

Please visit the homepage for further details (especially if you want to use
the pseudo-tty client, since you may have to download an additional changeset).'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/telnet.301.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
TestBrowser

	self name: 'TestBrowser'.
	self version: '120'.
	info category: 'Development'.
	info description: 
''.
	info maintainer: ''.
	info homepage: 'http://www.squeaksource.com/DeveloperWorkspace/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/DeveloperWorkspace/TestBrowser-tbn.120.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'test 1/13/2009 15:56'!
Thrift

	self name: 'Thrift'.
	self version: '1.0'.
	info category: 'Persistence'.
	info description: 
''.
	info maintainer: 'shute'.
	info homepage: 'http://www.squeaksource.com/CassandraClient.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/CassandraClient/Thrift-shute.1.mcz'.
	self provides: #('Thrift').

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
TimeZoneDatabase

	self name: 'TimeZoneDatabase'.
	self version: '1.2.5'.
	info category: 'Uncategorized'.
	info description: 
'This is a time zone database for Smalltalk. It answers the number of seconds
offset from UTC for any time zone at any point in time in the range of the
database rule set, as well as the number of leap seconds for a point in time
(for tzfiles which contain the leap second rules).

A full time zone database requires access to tzfile data files, typically
distributed with Unix (Linux) systems. A limited set of tzfile files is provided
to initialize the database and demonstrate its functions.
~
'.
	info maintainer: 'Dave Lewis <lewis@mail.msen.com>'.
	info homepage: 'http://wiki.squeak.org/squeak/1076'.
	info squeakMapID: ''.
	info url: 'http://wiki.squeak.org/squeak/uploads/1076/TimeZoneDatabaseV1-2-5-dtl.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Web Development' stamp: 'kph 9/10/2008 10:09'!
TinyWiki

	self name: 'TinyWiki'.
	self version: '1.0.1'.
	info category: 'Web Development'.
	info description: 
'TinyWiki is a tiny wiki implementation based on the model of SmallWiki.'.
	info maintainer: 'pmm'.
	info homepage: 'http://www.squeaksource.com/ss2.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ss2/TinyWiki-pmm.16.mcz'.
	self provides: #().

	self dependsOn: #('Seaside' 'SmaCC runtime').

! !

!PackagesDevU methodsFor: 'Tools' stamp: 'kph 9/10/2008 10:09'!
ToolBuilderExamples

	self name: 'ToolBuilder-Examples'.
	self version: '4'.
	info category: 'Tools'.
	info description: 
'These are some examples for ToolBuilder.'.
	info maintainer: 'Andreas Raab'.
	info homepage: 'http://www.squeaksource.com/ToolBuilder'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ToolBuilder/ToolBuilder-Examples-cwp.4.mcz'.
	self provides: #().

	self dependsOn: #('ToolBuilder-Kernel').

! !

!PackagesDevU methodsFor: 'Tools' stamp: 'kph 9/10/2008 10:09'!
ToolBuilderKernel

	self name: 'ToolBuilder-Kernel'.
	self version: '27'.
	info category: 'Tools'.
	info description: 
'ToolBuilder is a user interface builder that can be used to create user interfaces for multiple platforms.'.
	info maintainer: 'Michael van der Gulik (mikevdg@gmail.com)'.
	info homepage: 'http://www.squeaksource.com/ToolBuilder'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ToolBuilder/ToolBuilder-Kernel-mvdg.27.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Tools' stamp: 'kph 9/10/2008 10:09'!
ToolBuilderMVC

	self name: 'ToolBuilder-MVC'.
	self version: '14'.
	info category: 'Tools'.
	info description: 
'This is the MVC package for ToolBuilder.'.
	info maintainer: 'Michael van der Gulik'.
	info homepage: 'http://www.squeaksource.com/ToolBuilder'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ToolBuilder/ToolBuilder-MVC-dc-14.mcz'.
	self provides: #('ToolBuilder-Implementation').

	self dependsOn: #('ToolBuilder-Kernel').

! !

!PackagesDevU methodsFor: 'Tools' stamp: 'kph 9/10/2008 10:09'!
ToolBuilderMorphic

	self name: 'ToolBuilder-Morphic'.
	self version: '27'.
	info category: 'Tools'.
	info description: 
'ToolBuilder is a package which allows you to create multi-platform user interfaces.

This is the Morphic platform for ToolBuilder.'.
	info maintainer: 'Michael van der Gulik'.
	info homepage: 'http://www.squeaksource.com/ToolBuilder'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ToolBuilder/ToolBuilder-Morphic-dc.27.mcz'.
	self provides: #('ToolBuilder-Implementation').

	self dependsOn: #('ToolBuilder-Kernel').

! !

!PackagesDevU methodsFor: 'Tools' stamp: 'kph 9/10/2008 10:09'!
ToolBuilderSpecs

	self name: 'ToolBuilder-Specs'.
	self version: '1'.
	info category: 'Tools'.
	info description: 
'ToolBuilder-Specs'.
	info maintainer: 'Andreas Raab'.
	info homepage: 'http://www.squeaksource.com/ToolBuilder'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ToolBuilder/ToolBuilder-Specs-ar.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Tools' stamp: 'kph 9/10/2008 10:09'!
ToolBuilderTweak

	self name: 'ToolBuilder-Tweak'.
	self version: '23'.
	info category: 'Tools'.
	info description: 
'This is the Tweak package for ToolBuilder.

Note that Tweak must be installed to use this package.'.
	info maintainer: ''.
	info homepage: 'http://www.squeaksource.com/ToolBuilder'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/ToolBuilder/ToolBuilder-Tweak-pe.23.mcz'.
	self provides: #('ToolBuilder-Implementation').

	self dependsOn: #('ToolBuilder-Kernel').

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'kph 9/10/2008 10:09'!
Toothpick

	self name: 'Toothpick'.
	self version: '0.1'.
	info category: 'Model Extension'.
	info description: 
'Toothpick is a simple tool for logging things of interest in Smalltalk. It''''s easy to use, very lightweight, and highly configurable. The basic design idea behind Toothpick was to separate something to be logged from the three things one needs to think about when logging it:

* Whether to log it
* Where to log it
* How to log it

Each of these three aspects is represented by a separate class hierarchy, and you can mix and match aspects to provide you with the optimal logging solution for your needs.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.metaprog.com/Toothpick'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Toothpick/Toothpick-tbn.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 9/10/2008 10:09'!
TraitsOmniBrowser

	self name: 'TraitsOmniBrowser'.
	self version: '0.39'.
	info category: 'Code Browsing'.
	info description: 
'This extends the Omnibrowser to work with Traits enabled Squeak. Prerequisites: OmniBrowser package installed on Squeak with Traits.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/TraitsOmniBrowser.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/TraitsOmniBrowser/TraitsOmniBrowser-dc.39.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Development' stamp: 'kph 9/10/2008 10:09'!
Typeinference

	self name: 'Typeinference'.
	self version: '1'.
	info category: 'Development'.
	info description: 
'This is Francisco Garau''s TypeInferencer, as a SAR package.

This does not contain the Morphic-Wrapper dependend
parts.                                             

For more information, see http://typeinference.swiki.net/1'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/TypeInference.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Mathematics' stamp: 'kph 9/10/2008 10:09'!
Units

	self name: 'Units'.
	self version: '4'.
	info category: 'Mathematics'.
	info description: 
'The Units package allows you to represent, convert, and perform arithmetic with physical unit values (e.g. distances, velocities, accelerations, etc).

There is not much formal documentation, but most of the classes in this package have comments. The most important methods are those in Unit and UnitValue. You should look through all those.

To add your own units, see the classes BaseUnit, DerivedUnit, NamedUnit, and PrefixedUnit, and look through the initialization code. You should duplicate what is done there to add your own units. Remember to send Unit initialize to make your changes take effect.

Note that you can send Unit printAbbreviated: true or Unit printAbbreviated: false to control how units print.

Ported to Squeak by Helge Horch'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Units/Units-md.4.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'damiencassou 1/21/2009 13:12'!
Universes

	self name: 'Universes'.
	self version: '51'.
	info category: 'Group Development'.
	info description: 
'Package universes is a toolset that supports reliable, automatic installation of packages via a package-browsing tool.  The approach of the tools is that users operate within one universe, and each universe only has a large but limited set of packages available.  Thus, a universe sets a context that simplifies other aspects of the tools including package naming, dependency management, and package-update policies. '.
	info maintainer: '"Lex Spoon" <lex@lexspoon.org>'.
	info homepage: 'http://www.squeaksource.com/universes/'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/universes/Universes-damiencassou.51.mcz'.
	self provides: #().

	self dependsOn: #('YAXO').

! !

!PackagesDevU methodsFor: 'Group Development' stamp: 'kph 11/2/2008 00:30'!
UniversesOmniBrowser

	self name: 'Universes OmniBrowser'.
	self version: '0.38'.
	info category: 'Group Development'.
	info description: 
'Provides a better universe browser based on the OmniBrowser framework.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/OBUniverse/OBUniverse-Dan%20Corneanu.38.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser-Full' 'Universes').

! !

!PackagesDevU methodsFor: 'Model Extension' stamp: 'kph 9/10/2008 10:09'!
VBRegex

	self name: 'VBRegex'.
	self version: '1.9'.
	info category: 'Model Extension'.
	info description: 
'A pure Smalltalk regular expression matcher.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: 'http://www.squeaksource.com/Regex.html'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Regex/VB-Regex-sd.9.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'System' stamp: 'kph 9/10/2008 10:09'!
VMMaker

	self name: 'VMMaker'.
	self version: '3.8b6.1'.
	info category: 'System'.
	info description: 
'his package includes all the ObjectMemory/Interpreter classes, the VMMaker/Tool classes, the InterpreterPlugin hierarchy and all the assorted helper methods. It does <em>not</em> include the handwritten platform specific C code that you will also need. See the documentation for the specific release for more details.

If you install this you will be able to build or simulate a VM or plugin - as long as you have the platform sources tree from our SubVersion server.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/VMMaker'.
	info squeakMapID: ''.
	info url: 'http://map.squeak.org/accountbyid/4340a66e-2296-48b7-9aa8-5305d303752f/files/VMMaker-3.8b6.mcz'.
	self provides: #().

	self dependsOn: #('FFI' 'Speech').

! !

!PackagesDevU methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
VersionNumber

	self name: 'VersionNumber'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'I am a version number. My representation allows me to handle an entire tree of versions. From a directory listing of verison numbered files, I can infer things about the tree of versions.

'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/VersionNumber.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 9/10/2008 10:09'!
VersionsBrowser

	self name: 'VersionsBrowser'.
	self version: '1.0'.
	info category: 'Code Browsing'.
	info description: 
'This is the new version of the VersionsBrowser for use with 3.10 and beyond. It has been refactored to support the (future) archaeological work over the entire history of the Squeak source code.
'.
	info maintainer: 'Maurice Rabb'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/Archaeology/Tools-Archaeology-m3r.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
VideoandImageProcessing

	self name: 'Video and Image Processing'.
	self version: '2.1'.
	info category: 'Uncategorized'.
	info description: 
'Mini-framework and tool for play with video in Squeak. You have filters that you can push in a stack, the output of the first filter is processed by the second and so on. The filters available today are: BackgroundSubstraction, GrayScale, Rotator, Mirror, Trail, Melt, Labeler, Mosaic, DepthChanger, Nervous, Delayer, Old TV, Emboss, Enhanced Focus, Blur, Edge Detector, Enhanced Edges and Soften. Add new filters is so easy, take a Form and give me a Form.

Today is posible to get a video from a mpeg file or from a camera (the camera supports works only in windows).
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net/universes/repositories/squeak-3.9/VideoAndImageProcessing-dgd.1.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Morphs' stamp: 'kph 9/10/2008 10:09'!
WanderingLetters

	self name: 'WanderingLetters'.
	self version: '22Feb-2.1'.
	info category: 'Morphs'.
	info description: 
'This is wandering letters using the old non-Players (and non-multi-instance Players).  Just make a new Morphic Project and file it in. 

Toggle wandering by clicking the top button.  Responds to Stop and Go buttons so it does not have to be running all the time.

Toggle method if getting back to their right places with the lower button.

Change WanderingLetters>>stepTime to make the speed be right.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/WanderingLetters.22Feb-02.1.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Morphs' stamp: 'kph 9/10/2008 10:09'!
WarpSketchMorph

	self name: 'WarpSketchMorph'.
	self version: '1.12'.
	info category: 'Morphs'.
	info description: 
'Playing with squeak morphic, I saw WarpBlt which seems to provide exactly the functionality I need to port an old java applet I did in 1997. WarpSketchMorph is a Morphic implementation similar to my DynFlex applet. Most fun is modifying images of faces.

You can create a WarpSketchMorph either by evaluating
WarpSketchMorph new openInWorld.
and choose an image with the "Choose new graphic..." halo menu item or use
(WarpSketchMorph withForm: <yourForm>) openInWorld.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/WarpSketch.012.pr'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 9/10/2008 10:09'!
WhiskerBrowser

	self name: 'Whisker Browser'.
	self version: '1.0'.
	info category: 'Code Browsing'.
	info description: 
'Whisker is a different sort of object-oriented code browser for the Squeak Smalltalk environment.

The goal of the Whisker Browser (a.k.a. Stacking Browser) is to provide a simple and intuitive way to view the contents of multiple classes and multiple methods simultaneously, while using screen real estate efficiently and not requiring a lot of window moving/resizing. It does this by introducing the concept of subpane stacking. The principles behind Whisker could potentially be used by browsers for other object-oriented languages (Java, Python, etc.).

To open the Whisker Browser, use the ''open...''/''Whisker Browser'' menu item in the World menu.
'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Whisker1_0-Sq37.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Fonts' stamp: 'kph 9/10/2008 10:09'!
X11Fonts

	self name: 'X11Fonts'.
	self version: '1-2'.
	info category: 'Fonts'.
	info description: 
'SAR containing various X11 fonts using ISO-8859-15 encoding
(similar to Latin-1 but the Euro sign is where it should be).

Install from this archive to add TimesRoman, Helvetica, Courier
and Fixed to the available system fonts, in various point sizes.
Note that this archive neither creates any new methods in the
image, nor does it create any files in the working directory during
installation.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/x11fonts.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Persistence' stamp: 'damiencassou 1/21/2009 13:12'!
YAXO

	self name: 'YAXO'.
	self version: '14'.
	info category: 'Persistence'.
	info description: 
'XML toolkit'.
	info maintainer: ''.
	info homepage: 'http://www.squeaksource.com/XMLSupport'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/XMLSupport/XML-Parser-mir.14.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Games' stamp: 'kph 9/10/2008 10:09'!
ZigZag

	self name: 'ZigZag'.
	self version: '0.1'.
	info category: 'Games'.
	info description: 
'Categoring system influenced by Ted Nelson''s ZigZag with graphical visualisation.'.
	info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/zigzag.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'test 1/13/2009 15:56'!
eCompletion

	self name: 'eCompletion'.
	self version: '0.102'.
	info category: 'Code Browsing'.
	info description: 
'Complete variables, selectors, class names in your browser, workspace, debugger and other code holders.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/eCompletion'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/eCompletion/ECompletion-damiencassou.102.mcz'.
	self provides: #().

	self dependsOn: #('RoelTyper' 'Shout').

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 11/2/2008 00:30'!
eCompletionOmniBrowser

	self name: 'eCompletionOmniBrowser'.
	self version: '0.5'.
	info category: 'Code Browsing'.
	info description: 
''.
	info maintainer: ''.
	info homepage: 'http://www.squeaksource.com/eCompletion'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/eCompletion/ECompletionOmniBrowser-dr.5.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser' 'eCompletion').

! !

!PackagesDevU methodsFor: 'Code Browsing' stamp: 'kph 9/10/2008 10:09'!
eCompletionTraits

	self name: 'eCompletion-Traits'.
	self version: '0.1'.
	info category: 'Code Browsing'.
	info description: 
'Complete variables, selectors, class names in your browser, workspace, debugger and other code holders.

This package brings trait functionalities to eCompletion.'.
	info maintainer: 'Damien Cassou <damien.cassou@gmail.com>'.
	info homepage: 'http://www.squeaksource.com/eCompletion'.
	info squeakMapID: ''.
	info url: 'http://www.squeaksource.com/eCompletion/ECompletionTraits-bar.1.mcz'.
	self provides: #().

	self dependsOn: #('eCompletion').

! !

PackagesDevU subclass: #PackagesPharo01
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Packages-Library'!

PackagesAll subclass: #PackagesSqueak37U
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Packages-Library'!

!PackagesSqueak37U commentStamp: 'kph 4/10/2008 07:17' prior: 0!
Package definitions for this version as obtained automatically from the Universes server.

To override the definitions in the univere add to my subclass in PackagesSqueak37

To re-read the package definitions from the universes server.

self taskGeneratePackageTasks run!

PackagesSqueak37U subclass: #PackagesSqueak37
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Packages-Library'!

!PackagesSqueak37 commentStamp: 'kph 4/20/2008 01:30' prior: 0!
Most recent version stable version!

!PackagesSqueak37 methodsFor: 'as yet unclassified' stamp: 'kph 7/7/2008 03:37'!
DynamicBindings

    self name: 'DynamicBindings'.
    info category: 'Languages and Extensions'.
    info description: 
'DynamicBindings for Squeak
by Stephen Pair <stephen@pairhome.net> 

===== Introduction =====

You may create a hierarchy of DynamicBindings and directly manipulate the keys and values of those instances (just as you would any dictionary).  There is a root DynamicBindings that you may use to create new children if you like (but you can also create entirely separate hierarchies).  You can access this root with "DynamicBindings root".  To force a process to use one of your sets of DynamicBindings, you write code as follows (note, I only use ''PATH'' to highlight the similarity with normal OS environment variables):

	myBindings _ DynamicBindings root newChild.
	myBindings at: #PATH put: ''/bin:/usr/bin''.
	myBindings bindDuring: 
		[Bindings at: #PATH.  				"-> ''/bin:/usr/bin''"
		Bindings at: #PATH put: (''/usr/local/bin:'', (Bindings at: #PATH)).
		Bindings at: #PATH].  				"-> ''/usr/local/bin:/bin:/usr/bin''"

For convenience, two methods have been added to Object that enable more direct access to bindings.  The following exampel is equivalent to the first:

	myBindings _ DynamicBindings root newChild.
	myBindings at: #PATH put: ''/bin:/usr/bin''.
	myBindings bindDuring: 
		[#PATH binding.  				"-> ''/bin:/usr/bin''"
		#PATH binding: (''/usr/local/bin:'', (#PATH binding)).
		#PATH binding].  				"-> ''/usr/local/bin:/bin:/usr/bin''"


The first line creates a new set of bindings that is a child of the root bindings.  Any variables set in the root bindings are also visible in this new child environment.

The second line sets the dynamic variable "PATH".

The third line uses the evaluates the argument block in the context of our new set of bindings.

The fourth line gets the value for the variable "PATH" (which we just set).

The fifth line in the above example modifies the environment variable "PATH", but only for the duration that the enclosing block is active.

Here is another example:

	#PATH binding: ''/bin''.
	Bindings clamp:
		[#PATH binding: ''/usr/bin''.
		#PATH binding]. 						"-> ''/usr/bin''"
	#PATH binding.								"-> ''/bin''"

This example shows the use of the #clamp: method to isolate a our dynamic bindings only for the duration of a block.  After the block finishes execution, the original set of bindings is restored.

Scoping semantics:

A dynamic variables'' scope is defined at runtime by an enclosing activation context.  To locate the active lexicon of dynamic variables, the system follows the activation stack until a context is encountered that defines the active DynamicBindings (this lookup is implemented using the exception handling system).  Any changes to the active DynamicBindings are visible in all activation contexts where that set of DynamicBindings are being used (which may include contexts in more than one activation stack).

A bit about how it''s implemented:

The bindings for a given method activation context are located using the exception handling mechanism (see BindingsLocator).  If a given stack does not have a handler that answers a set of bindings, then dummy contexts will be added to the top of the stack that will answer the global root set of bindings.

Unlike other implementations, DynamicBindings do not use the activation stack to define the hierarchy of bindings.  Instances of DynamicBindings have their own parent instance variable and will locate enclosing variable scopes by following the chain of parents (*not* by looking for enclosing handlers of BindingsLocator).  Using this design, we are able to accomodate a broader range of usage scenarios.

If you need to isolate the bindings of a given context stack such that future changes in the bindings are not visible to users of the current set of dynamic bindings (ie. if you use continuations), you can send the message #isolate to the BindingsAccessor (ie. use "Bindings isolate").

===== Release History =====

Version 1.1:
	- Packaged using KomPackaging (Squeak version only)
	- Made Object>>binding: answer its argument
	- Cleaned up a few obsolete methods from the old RuntimeEnvironments implementation

Version 1.0:
	- Initial release'.
    info maintainer: 'Lex Spoon <lex@lexspoon.org>'.
    info homepage: ''.
    info squeakMapID: ''.
    info url: 'http://www.squeaksource.com/KomHttpServer/DynamicBindings-gc.7.mcz'.
    self version: '2.7'.

    self provides: #().

    self dependsOn: #().

    self load: [
        Installer installUrl:'http://www.squeaksource.com/KomHttpServer/DynamicBindings-gc.7.mcz'.
    ].

    self unload: [
        Installer mc unload: 'DynamicBindings'.
    ].! !

!PackagesSqueak37 methodsFor: 'as yet unclassified' stamp: 'kph 4/24/2008 20:50'!
KomHttpServer

    super KomHttpServer.

    info url: 'http://www.squeaksource.com/KomHttpServer/KomHttpServer-gk.31.mcz'.
    self version: '7.0.31'.

    self provides: #().

    self dependsOn: #('KomServices').

    self load: [
        Installer installUrl:'http://www.squeaksource.com/KomHttpServer/KomHttpServer-gc.31.mcz'.
    ].! !

!PackagesSqueak37 methodsFor: 'as yet unclassified' stamp: 'kph 4/24/2008 20:51'!
KomServices

    super KomServices.

    info url: 'http://www.squeaksource.com/KomHttpServer/KomServices-klc.13.mcz'.
    self version: '1.13'.

    self load: [
        Installer installUrl:'http://www.squeaksource.com/KomHttpServer/KomServices-klc.13.mcz'.
    ].! !

!PackagesSqueak37 methodsFor: 'as yet unclassified' stamp: 'kph 4/24/2008 20:51'!
Scriptaculous

   super Scriptaculous.

    info url: 'http://www.squeaksource.com/Seaside.html'.
    self version: '2.8.240'.

    self load: [
        Installer ss project: 'Seaside'; install: 'Scriptaculous-lr.240'.
    ].! !

!PackagesSqueak37 methodsFor: 'as yet unclassified' stamp: 'kph 4/24/2008 20:51'!
Seaside

    self name: 'Seaside'.
    info category: 'Web Development'.
    info description: 
'A framework for building sophisticated web applications in Squeak. Develop for the web using reusable, embeddable components and unique call/return semantics for moving between pages.'.
    info maintainer: 'Lukas Renggli <renggli@gmail.com>'.
    info homepage: 'http://www.seaside.st/'.
    info squeakMapID: ''.
    info url: 'http://www.squeaksource.com/Seaside/Seaside2.8a1-pmm.541.mcz'.
    self version: '2.8.541'.

    self load: [
        Installer squeaksource
			project: 'Seaside';
			answer: '*config*' with: 'seaside';
			answer: '*password*' with: 'admin';
			install:'Seaside2.8a1-lr.541.mcz'.
    ].! !

!PackagesSqueak37 methodsFor: 'as yet unclassified' stamp: 'kph 7/7/2008 03:37'!
Seaside25

    self name: 'Seaside'.
    info category: 'Uncategorized'.
    info description: 
'A framework for building sophisticated web applications in Squeak.  Develop for the web using reusable, embeddable components and unique call/return semantics for moving between pages.

Seaside requires a web server; the most commonly used is KomHttpServer.'.
    info maintainer: ''.
    info homepage: ''.
    info squeakMapID: ''.
    info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Seaside2.5b3.mcz'.
    self version: '2.5b3'.

    self provides: #().

    self dependsOn: #('KomHttpServer').

    self load: [
        Installer installUrl:'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Seaside2.5b3.mcz'.
    ].

    self unload: [
        Installer mc unload: 'Seaside2.5b3'.
    ].! !

!PackagesSqueak37U class methodsFor: 'as yet unclassified' stamp: 'kph 1/27/2008 20:31'!
universeSelector

	^ #squeak37Universe! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Actalk

	self name: 'Actalk'.
	self version: '3.0.6.23112002'.
	info category: 'Uncategorized'.
	info description: 
'The Actalk testbed is designed to help understanding, classifying, designing, combining, and experimenting with various OOCP languages and constructs.
Actalk is implemented and integrated within Squeak environment. The testbed includes the kernel which models basic OOCP model (that is serialized active objects and asynchronous message passing), and various extensions in order to simulate various OOCP languages and constructs.
They implement various models of activity (serial, quasi-concurrent, concurrent...), communication (asynchronous, synchronous, eager, express...), and synchronization (to control/delay acceptance of messages).

Actalk stands for active objects, or also actors, in Smalltalk. '.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Actalk-3.06.23112002.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
AioPlugin

	self name: 'AioPlugin'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'AioPlugin provides support for asynchronous IO event notification. When an external IO event occurs, the event registration causes a Smalltalk semaphore to be signaled. A process can wait
on this semaphore, thereby acting as an event handler for the external event. Currently this works with the Unix VM.

UnixAioPlugin implements the primitives that interact with the aio mechanism in the Unix VM. Other platform-specific subclasses could be written to provide a compatible aio mechanism for
other platforms.

AioEventHandler provides image side support for aio event notification. An AioEventHandler is an object that waits for an external IO event to occur, then sends #changed to itself. Any
object that is interested in the external event can register itself as a dependent of the AioEventHandler, and take appropriate action whenever the external event occurs.

AioEventHanderExample demonstrate asynchronous read handers for file streams, OS pipes, standard input, and sockets. See class category ''examples''. Some examples require OSProcess.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/AioPluginV1-1.sar'.
	self provides: #().

	self dependsOn: #('VMMaker').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Algebraic

	self name: 'Algebraic'.
	self version: '0.1'.
	info category: 'Uncategorized'.
	info description: 
'This package is intented for providing you with various algebraic objects. Currently there is only support for complex numbers (quite useful) and matrices (very basic).

Complex number collaborates with other kinds of numbers and vice versa.

Matrix can be multiplied by some number.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Algebraic.1.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
AnnotatedMethodPuller

	self name: 'AnnotatedMethodPuller'.
	self version: '0.1'.
	info category: 'Uncategorized'.
	info description: 
'Before you install this package, you must install MethodAnnotations.

Gathers up items from class-side methods in the image with annotations saying <register: #(foo)>. Useful with the Registry class.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/AnnotatedMethodPuller.st'.
	self provides: #().

	self dependsOn: #('Method Annotations').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
AppRegistry

	self name: 'AppRegistry'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'AppRegistry is just a simple class that emerged from our attempts to create removal packages for applications like Celeste and Scamper. An AppRegistry holds a list of applications of a certain type (for example, mail senders or web browsers), so that you can get a web browser by writing "WebBrowser default" instead of hard-coding "Scamper".'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/AppRegistry.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
AppearanceMenuRegistry

	self name: 'Appearance Menu Registry'.
	self version: '2003.4.15'.
	info category: 'Uncategorized'.
	info description: 
'Provides a menu registry for the world appearance menu.  For example...

	TheWorldMenu registerAppearanceCommand: {

		''set desktop image...''. 

		{FileList2. #openMorphicViewWithPreviewInWorld}. 

		''open up an image browser to choose a new desktop background''}.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/AppearanceMenuReg-sbw.released.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Array2D

	self name: 'Array2D'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'A simple 2D-Array implementation. 

Neither storing nor sorting (otherwise inherited from ArrayedCollection) will work. Neither comparing nor most accessing mehods inherited from Sequenceable collection will work.  Actually, it''s a bad idea to inherit this class from collection at all!!!!!!

This used to be part of the image. This SqueakMap package is provided
for backward-compatibility.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Array2D-md.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
AspectS

	self name: 'AspectS'.
	self version: '0.4.6'.
	info category: 'Uncategorized'.
	info description: 
'AspectS is an approach to general-purpose aspect-oriented programming 
in the Squeak/Smalltalk environment. Based on concepts of AspectJ 
it extends the Smalltalk metaobject protocol to accommodate the 
aspect modularity mechanism. In contrast to systems like AspectJ, 
weaving and unweaving in AspectS happens dynamically at runtime, 
on-demand, employing metaobject composition. Instead of introducing 
new language constructs, AspectS utilizes the expressiveness of 
Smalltalk itself as a pointcut language.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/AspectS.25Jun1255.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Assertions

	self name: 'Assertions'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'This is the port of Vassili Bykov''s assertions for Squeak, originally released for Squeak 2.7
(yes, 1.0 version later ...).

The port includes now a preference to toggle assertions on or off,
and a unit test to show you it works ;-)'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Assertions-rr.4.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
BFAV2

	self name: 'BFAV2'.
	self version: '2.11'.
	info category: 'Uncategorized'.
	info description: 
'The BFAV2 is a cleaned-up, faster, more powerful second version of the "BFAV"; the acronym stands for Bug Fixes Archive Viewer.  The BFAV2 is a tool meant to empower bug/fix/enhancement reviewers and harvesters in the Squeak community.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/BFAV-tlk.165.mcz'.
	self provides: #().

	self dependsOn: #('HTTPClient').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
BRegexpforSqueak

	self name: 'BRegexp for Squeak'.
	self version: '2'.
	info category: 'Uncategorized'.
	info description: 
'BRegexp is Perl5 compatible regular expression library for Squeak.
-Supports multilingualized Squeak.
-Supports only Windows environment.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/BRegexp.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
BTree

	self name: 'BTree'.
	self version: '28'.
	info category: 'Uncategorized'.
	info description: 
'This is an implementation of the BTree data structure as a Smalltalk collection.  It provides log(n) inserts, deletes, and retrieves of values by key.  The keys have to be sortable (ie, Magnitudes).

This is useful in situations where you want to minimize the number and size of individual objects that need to be accessed when using a large collection - for example, when objects are being swapped out to an object database such as GOODS.  It is probably not a good choice for a collection that will be kept entirely in memory.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Collections-BTree-avi.28.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
BackgroundLoader

	self name: 'Background Loader'.
	self version: '20040425'.
	info category: 'Uncategorized'.
	info description: 
'Provides a previewer for images that can be loaded as the desktop. Accessed via the appearance menu, just as before. The modified file browser is produced for background image browsing. This new version provides options over how the image is placed in the desktop.

For a picture and more details see <a href="http://squeak.preeminent.org">http://squeak.preeminent.org</a>'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/DesktopBackgroundLoader-sbw.mcz'.
	self provides: #().

	self dependsOn: #('Appearance Menu Registry').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Balloon3D

	self name: 'Balloon3D'.
	self version: '1.0.3'.
	info category: 'Uncategorized'.
	info description: 
''.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Balloon3D.1.0.3.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Befunge93

	self name: 'Befunge''93'.
	self version: '0.0.2'.
	info category: 'Uncategorized'.
	info description: 
'This is the basis for the next generation of InterpreterProxy ;)'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Befunge%2093.16.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
BerkeleyDBPlugin

	self name: 'Berkeley DB Plugin'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'This is an interface to Sleepycat''s Berkeley DB (www.sleepycat.com).  Currently, it supports simple database creation and manipulation using the BTREE access method.  The plan is to eventually grow this implementation to support the complete Berkeley DB api.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/BerkeleyDB.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
BinarySavingMC

	self name: 'BinarySavingMC'.
	self version: '29'.
	info category: 'Uncategorized'.
	info description: 
'It adds a new preference "binary saving"'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/BinarySavingMC-ab.29.mcz'.
	self provides: #().

	self dependsOn: #('Monticello').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
BitArray

	self name: 'BitArray'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'Simple implementation of BitArray, which stores the bits.

For the basic random access operations for a rather shorter array, you might want to consider ByteArray.

BitArray supports the conversion from/to integers.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/BitArray1.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
BlogBrowser

	self name: 'BlogBrowser'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'BlogBrowser is a minimal blog reader which supports the following features:

  - Subscribe to RSS and Atom feeds

  - Manage subscriptions in the Squeak image and save them to a text file

  - Tracks read/unread items (but only in the image)
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/BlogBrowser-rkris.6.mcz'.
	self provides: #().

	self dependsOn: #('Network-HTML' 'YAXO').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
BreakOut

	self name: 'BreakOut'.
	self version: '5'.
	info category: 'Uncategorized'.
	info description: 
'I designed this breakout slowly refactoring it step by steps because it was part of a book on OOP but I''m thinking to cancel this book and putting a draft on the web. This is the final version of the breakout.
The bouncing is not that good.
 
Have fun first, then submit a fix for the ball bouncing or any new bonuses. 
I would like also to have bonuses falling down. '.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/BreakOut-sd.5.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
BrowserInheritanceIcons

	self name: 'BrowserInheritanceIcons'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'I can''t remember the color codes of the inheritance button in the browser. The balloon description does not help too much, because I don''t know how mauve or tan are supposed to look like. And I think even synaesthetic people don''t associate pink with "is an override but doesn''t call super". I added a few icons and made it only signal super sends to an overridden method.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/BrowserInheritanceIcons-laza.4.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Cassowary

	self name: 'Cassowary'.
	self version: '0.60'.
	info category: 'Uncategorized'.
	info description: 
'This is a port of the Smalltalk version of Cassowary 0.60.  As the original authors put it, ''Cassowary is an incremental constraint solving toolkit that efficiently solves systems of linear equalities and inequalities.''.  More information can be found at:

http://www.cs.washington.edu/research/constraints/cassowary/
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Cassowary.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Celeste

	self name: 'Celeste'.
	self version: '1.23'.
	info category: 'Uncategorized'.
	info description: 
'An email reader for Internet email.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Network-Mail%20Reader-ls.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
CelesteTests

	self name: 'Celeste Tests'.
	self version: '3'.
	info category: 'Uncategorized'.
	info description: 
'Some tests for Celeste.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Tests-Network-Mail.st'.
	self provides: #().

	self dependsOn: #('Celeste').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Chuck

	self name: 'Chuck'.
	self version: '23'.
	info category: 'Uncategorized'.
	info description: 
'Chuck is a type inferencer for Squeak program code.  Type inference allows programmers and tools to find the type of a variable or expression in the program.  This information is useful directly, and it is also helpful for improving tools like the system browser.  For example, the senders-of query can look not only at message selectors, but at queried receiver types, in order to decide which message sends to show the user.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Chuck-Standard-ls.23.mcz'.
	self provides: #().

	self dependsOn: #('Chuck Repository' 'Monticello' 'Refactoring Browser').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ChuckRepository

	self name: 'Chuck Repository'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'This tells your image''s Monticello tools about Chuck''s code repository on SqueakSource.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ChuckRepository.1.cs'.
	self provides: #().

	self dependsOn: #('Monticello').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
CollectionsMisc

	self name: 'Collections-Misc'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'Ported from the old collections-misc goodie by Mario Wolczko.

This goodie contains a variety of methods and classes which
add functionality to collections.  Nothing is particularly startling,
but you may find the odd useful method.  I use these quite a lot.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Collections-Misc.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
CommandShell

	self name: 'CommandShell'.
	self version: '3.0.1'.
	info category: 'Uncategorized'.
	info description: 
'CommandShell is a Smalltalk simulation of a Unix command shell, with a simple
dumb terminal window in Morphic and MVC. It is useful for running programs
without leaving Squeak, and for piping command output directly into Squeak.
Can be loaded and run on any platform, but is most useful on Unix, Linux and
Windows systems with OSProcess. On Windows, command pipelines are not yet
implemented for external commands, but you can run Windows programs from the
CommandShell "Squeak shell" as well as pipelines with internal shell commands.
A simple script processing capability is also included.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/CommandShellV3-0-1-dtl.sar'.
	self provides: #().

	self dependsOn: #('OSProcess').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Compiler

	self name: 'Compiler'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'The Squeak compiler.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Compiler-md.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
CompletionEnhancements

	self name: 'Completion Enhancements'.
	self version: '3'.
	info category: 'Uncategorized'.
	info description: 
'Enhances squeak''s completion system, by
proposing all completions in a menu 
(keyboard-sensitive), includings class vars
and temps vars if appropriate.

Most recent version works in 3.7, but the older one works in
squeak 3.2 to 3.6.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Completion-rr.3.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
CompletionMorph

	self name: 'Completion Morph'.
	self version: '0.15-alpha'.
	info category: 'Uncategorized'.
	info description: 
'Completion system with pop up listing morph

'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/CompletionMorph-0-15.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
CompressedSourcesFile

	self name: 'Compressed Sources File'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'CompressedSourceStream writes files as a series of GZipped segments that can be written and read sequentially like regular source files, and yet remain compressed 4x on the disk.  Full sources for Squeak 3.6 fit in 3.5MB.

Smalltalk compressSources will write a copy of the sources file in this format.  Thereafter openSources:forImage: will look first for such a compressed copy, and open it if found.

Should work for .changes files too, but I haven''t bothered to test.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/CompressedSources-di.1.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ConflictChecker

	self name: 'ConflictChecker'.
	self version: '1.5'.
	info category: 'Uncategorized'.
	info description: 
'Given a changeset filename, you can use this goodie to check an older .cs/.st file for conflicts with methods from more recent update-changesets in your image.  Its output is displayed in a Transcript window.

Example usage: ''FilePackage conflictsWithUpdatedMethods: ''MyChangeSet.cs''.''  Or, use the ''conflicts with updated methods'' menu item or ''conflicts'' button in the FileList window.

The ConflictChecker doesn''t just check to see which methods in a changeset would overwrite methods in the image... it actually checks to see if there have been more recent updates to the image since the changeset was created*, in which case the more recent methods would be overwritten by older methods from your changeset if you filed it in, which would likely break things.  It''s basically a 3-way conflict check.

*It uses the latest update # from the .cs/.st file header as a basis for comparison.

Generally, you should use a reasonably fresh image to do this, and the image should have update-changesets going as far back as possible (at least as far back as the changeset you want to test).'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ConflictChecker-1_5.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Connectors

	self name: 'Connectors'.
	self version: '2.0.173'.
	info category: 'Uncategorized'.
	info description: 
'Connectors is an application for making structured/connected drawings in Morphic. It adds a new kind of Morph (NCConnectorMorph) that can connect other Morphs together (and stay connected). There are also a number of other shapes, flaps, and tools for making your own drawings.

It comes with some sample shapes in flaps for making UML class diagram and state diagrams.

It''s also a framework for making your own structured drawing editors. There is an easy to use API for querying drawing structure, constructing drawings, and more.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ConnectorsBasic-173-Squeak37g.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
CropMorphs

	self name: 'Crop Morphs'.
	self version: '20040612'.
	info category: 'Uncategorized'.
	info description: 
'Provides a menu option to allow a crop operation on an existing SketchMorph. Very handy for modifying a SketchMorph on your desktop. Also provides basic change to how a rectangle is grabbed from the screen. A new crop/grab UI design is used.

See <a href="http://squeak.preeminent.org">http://squeak.preeminent.org</a> for instructions on use.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/CropOrGrabMorph-sbw.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
CropSketchMorphsandGrabScreenRecttoJPGforSqueak34

	self name: 'Crop SketchMorphs and Grab Screen Rect to JPG for Squeak 3.4'.
	self version: '15-apr-2003'.
	info category: 'Uncategorized'.
	info description: 
'Provides a menu option to allow a crop operation on an existing SketchMorph. Very handy for modifying a SketchMorph on your desktop. Also provides basic change to how a rectangle is grabbed from the screen. A new crop/grab UI design is used.

In addition, two new Utility methods were added and one was re-grouped. The new Utilities grabScreenAndSaveOnDiskAsJpeg will save the grabbed rectangle as a JPEG file. It also prompts you for the output file name. A default file name is provided.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/CropMorphOrGrabRect-sbw.released.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Cryptography

	self name: 'Cryptography'.
	self version: '0.3'.
	info category: 'Uncategorized'.
	info description: 
'The cryptography package provides some basic cryptographic algorithms and
protocols. This change set integrates algorithms implemented by several members 
of the Squeak community, including Leandro Caniglia, John Maloney,
Duane Maxwell, Luciano Notarfrancesco and Carlos Sarraute. There isn''t much
documentation, but browsing the tests (CryptoTest) will give you a pretty good
idea of how to use it.
This package includes:
  - Symmetric key algorithms: DES, 3DES, AES (Rijndael), ARC4
  - Block cipher modes: CBC, CFB, OFB
  - Hash functions: MD4, MD5, SHA1
  - Public key algorithms: DSA, ElGamal, RSA
  - Other stuff: HMACs, Diffie-Hellman, a random pool, a secure prng, a primes finder'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Cryptography.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
CzechKeyboard

	self name: 'Czech Keyboard'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'Requires no suport from host platform.

Shift-Alt-"\" ... switches cz/us keyboard

Horni rada klaves ceske klavesnice:
<N> ... +
Shift-<N> ... 1234567890
Shift-Alt-<N> ... !!!!@#$%^&*()
Alt-<N> ... special squeak editor commands (untouched)
+ ... hacek/krouzek (dead key)
= ... carka (dead key)
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/keyboard-cz.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
DHBNumericalAnalysis

	self name: 'DHB Numerical Analysis'.
	self version: 'CS 4 1.0'.
	info category: 'Uncategorized'.
	info description: 
''.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/DHBSqueakNumerical-1.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
DNSClient

	self name: 'DNS Client'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'This package implements the DNS protocol (not all of it, but extending it is very easy). It includes a DNS client (a name resolver).

Example (put the address of a name server):
	NameResolver default servers: #((xxx xxx xxx xxx))
	NameResolver default addressByName: ''squeak.org'''.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/DNS.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Debuggerkeybindings

	self name: 'Debugger - key bindings'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'Provides F key bindings to support faster debugging. These keys are handled whereever your cursor is the debugger and pre-debugger windows. (Valid for windows-like keyboard having F1 to F12 keys)

Debugger:
F4 close
F5 send (or sept into)
F6 step (or step over)
F7 step through
F8 create - if corresponding package in SqueakMap is installed
F9 proceed
F10 restart
F11 where

PreDebugger
F4 abandon
F5 debug
F8 create - if corresponding package in SqueakMap is installed
F9 proceed'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Debugger-FKeys-TREG-1.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
DefaultExternalDropHandler

	self name: 'DefaultExternalDropHandler'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'New default external drop handler that uses the FileList services to handle the file droped.

Installing this ExternalDropHandler all the file-types registered in FileList become available when a file is droped in the Squeak windows. If only one service was elected, this is automatically executed, otherwise the user will be interrogated with the list of posible services via a menu.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/DefaultExternalDropHandler-dgd.2.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
DiagramBrowser

	self name: 'Diagram Browser'.
	self version: '25-jul-2004'.
	info category: 'Uncategorized'.
	info description: 
'DiagramBrowser is a tool for building and classifying diagrams (or any kind of morphic drawing) in category tree fashion. 

DiagramBrowser is part of the Jacarand Project but can be downloaded and used independently.

Note that this package does not provide shapes for making the diagrams. You can use the excelent Connectors package or install the complete Jacaranda package.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/DiagramBrowser-hpt.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
DictionaryBrowser

	self name: 'DictionaryBrowser'.
	self version: '0.2'.
	info category: 'Uncategorized'.
	info description: 
'DictionaryBrowser is a basic query and results browser for dictionary servers that implement the RFC 2229 dictionary server protocol.

Use "DictionaryBrowser open" or "DictionaryBrowser openExistingWith: ''squeak''" to get started.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/DictionaryBrowser-rkris.4.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
DirectoryPlugin

	self name: 'DirectoryPlugin'.
	self version: '1.5'.
	info category: 'Uncategorized'.
	info description: 
'DirectoryPlugin runs on Unix and Windows, and provides a noticable improvement in many directory and file access methods. If you use CommandShell on Unix (Linux), you should see an
overall 15X improvement based on timing the CommandShell SUnit tests with and without DirectoryPlugin.

DirectoryPlugin provides access to file stat calls, which provides significant improvement to methods such as FileDirectory>>isAFileNamed, FileDirectory>>fileExists,
UnixFileDirectory>>entryAt:, and similar methods.

DirectoryPlugin provides a significant improvement in directory access speed on platforms with Posix style directory streams. It provides primitives for access to opendir(), readdir() and
related calls, as well as stat() calls on named files. On Unix systems, this enables performance improvements for methods such asFileDirectory>>entries and
FileDirectory>>fileAndDirectoryNames. The primitives run on Windows also, but do not improve performance.

This change set hooks the directory stream primitives into UnixFileDirectory so they are in effect only for Unix systems. It hooks the file stat primitives into StandardFileStream and
FileDirectory, so they provide performance improvements for both Windows and Unix systems.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/DirectoryPluginV1-5-dtl.2.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Dispatch

	self name: 'Dispatch'.
	self version: '10'.
	info category: 'Uncategorized'.
	info description: 
'This provides simple CLOS-like multiple dispatch for Smalltalk methods.  It operates on a selector naming convention.  For example, you might have a generic selector #add:to:, with more specific versions #addNumber:to:, addString:to:, add:toArray:, addDictionary:toDictionary:, and so on.  With this package loaded, you would implement the generic #add:to: method like this:

add: x to: y
  ^ self dispatch

The most specific of the add*:to*: methods, based on the classes of self, x and y, would be invoked.  From within one of the specific implementations, you can also send "self nextMethod", which will invoke the next-most-specific version - this is like a super send but more general.

Currently, this experimental implementation is absurdly slow (maybe 10 sends/s).  In the future it will likely be sped up by 2 or 3 orders of magnitude.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Dispatch-avi.10.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
DynamicBindings

	self name: 'DynamicBindings'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'DynamicBindings for Squeak
by Stephen Pair <stephen@pairhome.net> 

===== Introduction =====

You may create a hierarchy of DynamicBindings and directly manipulate the keys and values of those instances (just as you would any dictionary).  There is a root DynamicBindings that you may use to create new children if you like (but you can also create entirely separate hierarchies).  You can access this root with "DynamicBindings root".  To force a process to use one of your sets of DynamicBindings, you write code as follows (note, I only use ''PATH'' to highlight the similarity with normal OS environment variables):

	myBindings _ DynamicBindings root newChild.
	myBindings at: #PATH put: ''/bin:/usr/bin''.
	myBindings bindDuring: 
		[Bindings at: #PATH.  				"-> ''/bin:/usr/bin''"
		Bindings at: #PATH put: (''/usr/local/bin:'', (Bindings at: #PATH)).
		Bindings at: #PATH].  				"-> ''/usr/local/bin:/bin:/usr/bin''"

For convenience, two methods have been added to Object that enable more direct access to bindings.  The following exampel is equivalent to the first:

	myBindings _ DynamicBindings root newChild.
	myBindings at: #PATH put: ''/bin:/usr/bin''.
	myBindings bindDuring: 
		[#PATH binding.  				"-> ''/bin:/usr/bin''"
		#PATH binding: (''/usr/local/bin:'', (#PATH binding)).
		#PATH binding].  				"-> ''/usr/local/bin:/bin:/usr/bin''"


The first line creates a new set of bindings that is a child of the root bindings.  Any variables set in the root bindings are also visible in this new child environment.

The second line sets the dynamic variable "PATH".

The third line uses the evaluates the argument block in the context of our new set of bindings.

The fourth line gets the value for the variable "PATH" (which we just set).

The fifth line in the above example modifies the environment variable "PATH", but only for the duration that the enclosing block is active.

Here is another example:

	#PATH binding: ''/bin''.
	Bindings clamp:
		[#PATH binding: ''/usr/bin''.
		#PATH binding]. 						"-> ''/usr/bin''"
	#PATH binding.								"-> ''/bin''"

This example shows the use of the #clamp: method to isolate a our dynamic bindings only for the duration of a block.  After the block finishes execution, the original set of bindings is restored.

Scoping semantics:

A dynamic variables'' scope is defined at runtime by an enclosing activation context.  To locate the active lexicon of dynamic variables, the system follows the activation stack until a context is encountered that defines the active DynamicBindings (this lookup is implemented using the exception handling system).  Any changes to the active DynamicBindings are visible in all activation contexts where that set of DynamicBindings are being used (which may include contexts in more than one activation stack).

A bit about how it''s implemented:

The bindings for a given method activation context are located using the exception handling mechanism (see BindingsLocator).  If a given stack does not have a handler that answers a set of bindings, then dummy contexts will be added to the top of the stack that will answer the global root set of bindings.

Unlike other implementations, DynamicBindings do not use the activation stack to define the hierarchy of bindings.  Instances of DynamicBindings have their own parent instance variable and will locate enclosing variable scopes by following the chain of parents (*not* by looking for enclosing handlers of BindingsLocator).  Using this design, we are able to accomodate a broader range of usage scenarios.

If you need to isolate the bindings of a given context stack such that future changes in the bindings are not visible to users of the current set of dynamic bindings (ie. if you use continuations), you can send the message #isolate to the BindingsAccessor (ie. use "Bindings isolate").

===== Release History =====

Version 1.1:
	- Packaged using KomPackaging (Squeak version only)
	- Made Object>>binding: answer its argument
	- Cleaned up a few obsolete methods from the old RuntimeEnvironments implementation

Version 1.0:
	- Initial release'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/DynamicBindings-1.1univ.sar'.
	self provides: #().

	self dependsOn: #('KomPackaging').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ECoDEDesignEnvironment

	self name: 'ECoDE Design Environment'.
	self version: '3.0.5'.
	info category: 'Uncategorized'.
	info description: 
'Ectropic Design supports object-oriented analysis (OOA), object-oriented design (OOD), and object-oriented programming (OOP) in Squeak.  Our goal is to bring more order to projects suffering from entropy - the tendancy for code and design to become more disordered as it matures.  We believe that design critics, collaboration, code generation, code import, and tightly integrated design and coding concepts allow users to impose more order on a new or existing project.  OOA Tools:  CRC Cards with a diagram layout, Scenarios, and a Goal Tree all connected by common responsibilities.  OOD Tools:  Simplified UML class diagram.  OOP Tools:  Code Generation, and Code Import.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ECoDE-v3-0-5.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
EasySqueak

	self name: 'EasySqueak'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'This is a set of services to help you define simple exercice sessions for students learning Squeak
Basically for each sessions you define a class, writes the session''s topic in the class comment,
and write a code skeleton in the class''s body. You can also write unit tests in this class to be sure
that the code demanded to the the students will be properly implemented.

Once this is done, students can load a session class, and they will have a  browser limited to this
class, a little shell (a modified version of the commandshell, allowing to eavaluate expression on a target object but using a shell), and a window telling the session''s summary.

This could form the basis to a tool allowing people to easily learn Smalltalk''s syntax, like the LessonRunner provided with VisualWorks (which I find the fastest way to learn our syntax).'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/EasySqueak-rr.6.mcz'.
	self provides: #().

	self dependsOn: #('CommandShell' 'OmniBrowser' 'Services-Base').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
EditPrettyPrintTextColors

	self name: 'Edit Pretty Print Text Colors'.
	self version: '20040425'.
	info category: 'Uncategorized'.
	info description: 
'Provides a new editor allowing the easy modification of pretty print code colors.

See <a href="http://squeak.preeminent.org/">http://squeak.preeminent.org/</a> for details and pictures.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ColorPrettyPrintEditor-sbw.mcz'.
	self provides: #().

	self dependsOn: #('Appearance Menu Registry').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Emacskeybindings

	self name: 'Emacs key bindings'.
	self version: '1.0.2002'.
	info category: 'Uncategorized'.
	info description: 
'To get going file this changeset in and then evaluate the following:
ParagraphEditor emacsBindings.

You will then have a number of Emacs text-editting commands at your disposal.
To see what''s available check ParagraphEditor''s #emacsControlKeyShortcuts.



'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/EmacsKeys.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Ephemerons

	self name: 'Ephemerons'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'An Ephemeron is an object which refers strongly to its contents as long as the
Ephemeron''s key is not garbage collected, and weakly from then on. Ephemerons 
solve a problem which is commonly found when trying to "attach" properties to 
objects by using a registry. When some property should be attached to an 
object, the property should (in terms of GC behavior) typically have the life-
time that an instance variable of this object would have. However, this is 
complicated by having an external association between the object and its 
property such as:

registry ------------> association -------------> object
			   |
			   |
			   |
			   v
			property

Here, the registry (a third party) will hold onto the association itself which 
would require manual removal from the registry (instead of automated garbage 
collection). While this problem can be always be solved in any given concrete 
situation by using one of the various weak association types, choosing 
the ''right'' kind of association depends on a variety of factors some of which 
can change dynamically.

Ephemerons solve this problem by defining that the ''contents'' (value) of an 
Ephemeron will be held strongly until the key is known to be garbage 
collected. From then on, the contents of the ephemeron will be held weakly. 
Therefore, the contents of an ephemeron can only become eligible for garbage 
collection if and only if the key is garbage collectable which is the exact 
behavior which we would observe for an instance variable of the object.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Ephemerons.cs'.
	self provides: #().

	self dependsOn: #('VMMaker').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
EsSqeakzMe

	self name: 'Es-Sqeakz-Me'.
	self version: '7'.
	info category: 'Uncategorized'.
	info description: 
'Includes Laurence Rozier''s changeSet from package "Say Something" along with
some additional changes in this Project.  More fun for everyone!!'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/EsSqueaksMe.001.pr'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
EventInterceptorMorph

	self name: 'EventInterceptorMorph'.
	self version: '1alpha'.
	info category: 'Uncategorized'.
	info description: 
'Have you ever wanted to trace some code which is part of the Morphic UI process, or code triggered by it?  Had trouble trying to trace it in the debugger because interacting with the UI changes what you''re trying to watch?  EventInterceptorMorph may be able to help!!

EventInterceptorMorph is a button which, when pressed, begins listening to the hand''s event stream.  When an even of the appropriate type is encountered, this morph intercepts it and traces the dispatch of the event using MessageSendTree, and opens a SendTreeExplorer on the results.  This is useful for debugging parts of the UI process which are otherwise difficult to trace.

The eventType can be any of the Morphic event types, but #mouseUp, #mouseDown, and #keystroke are by far the most useful because they are the triggers for the majority of actual UI activity.

A methodSelector may be set which identifies a particular method the user is interested in.  All method sends above this method are ignored.  This is useful when the user wishes to study the execution of a known method which is eventually triggered by a UI gesture, but has no interest in the complete event dispatching send tree leading up to it.  See example in changeset preamble.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/EventInterceptorMorph-JW.1.cs.gz'.
	self provides: #().

	self dependsOn: #('SendTreeExplorer').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ExternalWebBrowser

	self name: 'ExternalWebBrowser'.
	self version: '6'.
	info category: 'Uncategorized'.
	info description: 
'This small package should work as an alternative to scamper. It just hands over every url to a platform specific external browser.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ExternalWebBrowser-laza.6.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Exupery

	self name: 'Exupery'.
	self version: '0.4'.
	info category: 'Uncategorized'.
	info description: 
'Exupery is a byte code compiler written in Squeak. It has been written fully test first with both customer and acceptance tests.

The project is a personal master work, it is meant to both be useful in itself and help me improve my personal programming skills.

It is going to be a compiler for leaf methods first, providing an alternative to writing plugins as a performance improvement.

The programming exersize is complexity control. Compilers are much harder to write than interpreters yet in theory they should be intermediate generation (equivilent to the interpreter) plus a back-end. Both parts are individually well understood.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Exupery-wbk.26.mcz'.
	self provides: #().

	self dependsOn: #('VMMaker').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Faure

	self name: 'Faure'.
	self version: '0.3'.
	info category: 'Uncategorized'.
	info description: 
'Faure is a PDA environment for running on iPaq class machines.  It is available either as a file-in, or as a premade image from the homepage.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Faure-Framework.40.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
FillInTheBlankMorphLookEnhancement

	self name: 'FillInTheBlankMorph Look Enhancement'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'UI enhancements to FillInTheBlankMorph along the lines of Diego''s other "Look Enhancements" for Squeak ( see http://minnow.cc.gatech.edu/squeak/3142 for a full list ).'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/FillInTheBlankEnhancements-dgd.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
FlapsRegistry

	self name: 'FlapsRegistry'.
	self version: '2003-4-14'.
	info category: 'Uncategorized'.
	info description: 
'a tool can be registered to appear in a flap

for an example:
-select the next two lines and do it
Flaps registerQuad: #(FileList2 openMorphicViewInWorld	''Enhanced File List''
''A nicer File List.'')
	forFlapNamed: ''Tools''.
Flaps replaceToolsFlap

-if you don''''t like the FileList2 in the tools flap, remove it with the next
two lines:
Flaps unregisterQuadsWithReceiver: FileList2 fromFlapNamed:''Tools''.
Flaps replaceToolsFlap

Note: after registering or unregistering, the flap need to be 
manually recreated see Flaps class>>replace*Flap methods'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/dinamicFlaps-asm.8.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Folktale

	self name: 'Folktale'.
	self version: '0.51'.
	info category: 'Uncategorized'.
	info description: 
'Folktale is a useful command shell for headless Swiki user.
You can log in squeak image through telnet client at localhost port 4919.
Try

$ squeak -headless squeak.image Folktale.st &

Useful expressions and pseudo variables.
Jump result object unless your query has dot(.) at end.
----
Basic command is follwed
help -- This message.
exit  -- Exit.
self -- Current object.
ii -- Inspect self.
history -- Show history.
back -- Back.

q -- The agent (me).
q usefulExpressions -- Show more useful expressions.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Folktale-051.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
FontSetCream

	self name: 'FontSetCream'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'Cream font for Squeak (aka "PaloAlto" font)

Nostalgia!! Maybe you have dug out the 1981 BYTE special Smalltalk issue, or seen old screenshots of Smalltalk-76 systems. Now you can have the funky font, too. (This was converted from a very old Mac PD CD-ROM (it was called "PaloAlto" and in 12 point only.)

'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/FontSetCream.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
FractalMorph

	self name: 'FractalMorph'.
	self version: '1.2'.
	info category: 'Uncategorized'.
	info description: 
'see webpage http://minnow.cc.gatech.edu/squeak/2911 for descriptions.  
Allows you to zoom in and out of a fractal image, possibly make small animations as well.  begin with (FractalMorph new
openInWorld)'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/FractalMorph.2.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Freetype2FontDemo

	self name: 'Freetype/2 Font Demo'.
	self version: '5'.
	info category: 'Uncategorized'.
	info description: 
'This SAR contains pre-rendered versions of the BitstreamVera family, along 
with the FT2Font class and the BitBlt and other changes required to display 
these fonts (with or without the enhanced BitBlt plugin, but since I''m the 
only one right now with a copy of that plugin that doesn''t matter).

It should work in a recent (3.7a) Squeak image; I have only tried it in a 5816 
image.

Arjen van Elteren wrote the original plugin and font code; I have modified it 
to understand style changes (bold, italic, etc.) and to render properly in 
the absence of the enhanced BitBlt modes that were provided by his plugins.

There is also a plugin that speeds up drawing (which works under Linux right 
now), and a plugin that interfaces with the Freetype/2 libraries. I will be 
putting the code for all of these things on SqueakMap.

I find them quite usable. They don''t have the arrows re-mapped; I could do 
this easily if there is enough demand (the glyphs are (I believe) in the 
original fonts)). I believe that the demo has characters in the Latin1 
mapping, rather than MacRoman (I can fix this easily, but wanted to get a 
sample out).

Currently, the design of the FT2Font is very similar to the design of the 
StrikeFont: the character glyphs (corresponding to characters whose values 
are between 0 and 255) are stored in a single Form.

So to use these for extended character sets would require a bit of tinkering. 
However, the FT2 library interface is quite capable of working together with 
something like TTCFont and producing better antialiased results.

The font interface in Squeak should be unified; there is quite a bit of 
overlap.

The BitBlt changes could also benefit TTCFonts which are rendered in a single 
color. Right now we''re caching 32-bit forms rendered in a single color. Using 
this 8-bit deep encoding would mean that we could save at least 75% of the 
memory, and more whenever we''re rendering the same glyphs in different 
colors.

I will be moving Arjen''s BitBlt changes out of mode 34 and into a new mode 
(38?) soon.

For reference, I''m using the auto-hinting in Freetype/2 (that is, my version 
is compiled without the patent-encumbered interpreter).

My current work on this package is in my Monticello repository at:
http://bikenomad.microship.com/squeak/monticello/Misc/'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/FT2DemoInstall5-nk.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
FullImage

	self name: 'Full Image'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'This package depends on all the packages you need to get a "full" image with several extra goodies.   Load this if you really want to play around with all that Squeak has to offer, and don''t mind having a large image.

See this page for more info:
http://minnow.cc.gatech.edu/squeak/3412'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Full%203.7%20Squeak.cs'.
	self provides: #().

	self dependsOn: #('Balloon3D' 'Celeste' 'FullImageProjectAlice' 'FullImageProjectSmalltalkIntroduction' 'Games' 'IRCe' 'Monticello' 'Scamper' 'VMMaker' 'YAXO').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
FullImageProjectAlice

	self name: 'FullImageProjectAlice'.
	self version: '2'.
	info category: 'Uncategorized'.
	info description: 
'A project demonstrating the "Alice" system for end-user scripting of 3D worlds.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Squeak%20in%203D.008.pr'.
	self provides: #().

	self dependsOn: #('Balloon3D').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
FullImageProjectSmalltalkIntroduction

	self name: 'FullImageProjectSmalltalkIntroduction'.
	self version: '2'.
	info category: 'Uncategorized'.
	info description: 
'A project introducing the Smalltalk programming language that Squeak is based on.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SmalltalkIntroduction.002.pr'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
GLORPport

	self name: 'GLORP port'.
	self version: '0.2.34'.
	info category: 'Uncategorized'.
	info description: 
'NOTE: After loading Glorp, the following test cases will fail,
for the following reasons:

GlorpDatabaseLoginTest>>testUnsuccessfulLogin
       This test is supposed to fail.  If it succeeds, there is a problem

GlorpDatabasePlatformTest>>testReadTimestamp
GlorpDatabasePlatformTest>>testReadTimestampNoTZ
GlorpDatabasePlatformTest>>testReadTimestampOverflowDays
       Squeak TimeStamp instances don''t support milliseconds,
       and these three tests test for millisecond values.

GlorpDatabaseTypeDBTest>>testNumeric
GlorpDatabaseTypeDBRoundTripTest>>testNumeric
       Tests write a ScaledDecimal, but PostgreSQL treats it like a double float. When it is read back in, it doesn''t compare, so the test fails.

I am in the process of writing GLORP documentation.  The current draft can be found here (NOTE: this documentation was written LONG ago, and haven''t been updated for quite some time!!!!):

http://www.smalltalkpro.com/downloads/3.Tools/GlorpUserGuide.pdf.gz'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/GLORP.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
GOODS

	self name: 'GOODS'.
	self version: '71'.
	info category: 'Uncategorized'.
	info description: 
'GOODS is a distributed, language-neutral object database from Konstantin Knizhnik. It''s available from http://www.garret.ru/~knizhnik/goods.html .

This client provides transparent storage of Smalltalk objects, or, given some extra type information, compatibility with the GOODS Java interface storage conventions, for easy sharing of object data between Squeak and Java.

See http://minnow.cc.gatech.edu/squeak/3492 for more information.

*Requires GOODS 2.72 or later*'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/GOODS-avi.71.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Games

	self name: 'Games'.
	self version: '22-4-2004'.
	info category: 'Uncategorized'.
	info description: 
'Chess, FreeCell, SameGame, ChineseCheckers, Tetris and more

Warning: use this if you deleted games using something like GamesRemoval, you must have Led*s classes in your image before filing in this.

Depends on:
   - SarInstaller (present in 3.6a)

If you want to load this on a image younger than 3.6 you must:
 - load GamesRemoval
 - load MCP changes
 - load KCP changes
 - load SarInstaller
 - load DeclarativePools
 - finally, you can file in Games
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Morphic-Games.5.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
GamesTests

	self name: 'GamesTests'.
	self version: '2003-5-2'.
	info category: 'Uncategorized'.
	info description: 
''.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/gamesTests-asm.cs'.
	self provides: #().

	self dependsOn: #('Games').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
GradientWindowLook

	self name: 'Gradient Window Look'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'An attempt for a (hopefully better) look for the Squeak environment. 
Tries to deal with Windows, ScrollBars and some buttons using gradients for
most graphical elements.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/GradientWindowLook.2.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Graph

	self name: 'Graph'.
	self version: '5'.
	info category: 'Uncategorized'.
	info description: 
''.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Collections-Graphs-mic.5.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
HTMLParser

	self name: 'HTML-Parser'.
	self version: '1.5'.
	info category: 'Uncategorized'.
	info description: 
'Parses an HTML document into an XML DOM, using YAXO''s XMLElement.  This parser is HTML 4.01 compliant - it will accurately infer the structure of correct HTML, but it is not tolerant of broken markup.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/HTML-Parser.st'.
	self provides: #().

	self dependsOn: #('YAXO').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
HTMLTableMorph

	self name: 'HTMLTableMorph'.
	self version: '0'.
	info category: 'Uncategorized'.
	info description: 
'A experimental package for Scamper to build a TableMorph of a HTML table. 
Lot''s of websites use tables as their layout format and giving Scamper this 
would be cool.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/HTMLTableMorph.cs.gz'.
	self provides: #().

	self dependsOn: #('Network-HTML').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
HTTPClient

	self name: 'HTTPClient'.
	self version: '19'.
	info category: 'Uncategorized'.
	info description: 
'A Squeak port of Steve Waring''s HTTP client.  (The original, Dolphin package is available at http://www.dolphinharbor.org/dh/projects/httpclient/index.html.)  The Squeak port is usable, but still needs a lot of cleanup work.

The Squeak port must be installed using an up-to-date version of MCInstaller; the easiest way to get that is to update to SM2.

See the class side of SptHTTPRequest for example usage.

Features:

    * HTTP 1.1 persistent connections.
    * Ability to process requests in a background process and set timeouts.
    * Cookie parsing/sending.
    * Partial range requests.
    * Automatic following of redirections.
    * Streaming of responses to writeStreams/fileStreams.
    * Basic Authentication.
    * Support for Proxies.
    * Flexible progress notifications.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SWHTTPClient-bkv.19.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
HaltOnce

	self name: 'HaltOnce'.
	self version: '20040612'.
	info category: 'Uncategorized'.
	info description: 
'The most common method of "breakpointing" is to modify the code you are working on and include a  self halt in the right place. Sometimes, however, you find you have a looping operation or  some kind of recursive operation and you only want to stop one time. This enhancement provides methods on the class Object enabling these new techniques.

See <a href="http://squeak.preeminent.org">http://squeak.preeminent.org</a> for details on use.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/HaltOnce-sbw.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Hobble

	self name: 'Hobble'.
	self version: '0.6'.
	info category: 'Uncategorized'.
	info description: 
'Hobble is a simple simulation of TCP/IP data transfer across a network circuit.
See the ReadMe window in the project for more information.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Hobble.006.pr'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
HttpView2

	self name: 'HttpView2'.
	self version: '0.94'.
	info category: 'Uncategorized'.
	info description: 
'This is the new HttpView called HttpView2 that is:
- Better (refactored, more comments, bug fixes etc)
- Adapted to the new *KomHttpServer* that *Stephen Pair* maintains.
- Works in Squeak 3.6.
- Simpler (submits are now buttons, no more HVModule needed etc)
- From version 0.94 it now depends on a lower *HTMLBuilder* layer.

It also includes much better samples and comments and an upcoming article in
both Swedish and English is intended to work as a tutorial.

HttpView is a lightweight web framework based on KomHttpServer. It differs a bit from "classic" such frameworks:
-Url resolution:: The url "path" strictly corresponds to a chain of HttpView instances connected together with a parent pointer. The "document" name at the end of the url is matched with a message selector in the HttpView instance.
-Page construction: Pages and HTML components are built by "feeding" a builder object - an instance of HVHtmlBuilder - messages from a rather large protocol. The builder has plenty of "smart" messages that makes building pages and Forms a breeze. And it''s all in Smalltalk.
-Forms handling: The Forms are constructed from instances of classes like HVHtmlForm, HVHtmlInputCheckbox, HVHtmlSelect etc. This means that Forms are built much like you build UIs in Morphic or Java''s Swing. When a Form is submitted the values of the fields are easily accessible by sending the message "value" to it'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/HV-gk.31.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
IRCBot

	self name: 'IRCBot'.
	self version: '2.1'.
	info category: 'Uncategorized'.
	info description: 
'see homepage for instructions on how to use and set up the bot.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Network-IRC%20Bot.st'.
	self provides: #().

	self dependsOn: #('IRCe').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
IRCe

	self name: 'IRCe'.
	self version: '10.1'.
	info category: 'Uncategorized'.
	info description: 
'A client for Internet Relay Chat (IRC).'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Network-IRC-fc.10.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
IRCeTests

	self name: 'IRCe-Tests'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'IRCe test suite'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Network-IRCTests-sbw.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ImageBrowser

	self name: 'Image Browser'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'Select an image file in the FileList and choose ''browse squeak image''.
Typical usage is to add classes from the class pane menu, then choose ''remove unmodified categories'' to delete the identical methods with in the image.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ImageBrowser3.6.1.cs.gz'.
	self provides: #().

	self dependsOn: #('VMMaker').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Iterator

	self name: 'Iterator'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'Ported from the Iterator goodie by Mario Wolczko.

Occasionally you may have a block that when evaluated can be
treated as a collection -- ie it takes another block as parameter,
then applies that to a sequence of values.

This goodie wraps the block into an object -- an iterator -- which is
part of the collection hierarchy, and therefore inherits a variety of
useful collection-related methods.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Iterator.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
IvapParser

	self name: 'IvapParser'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'Instructions for using the "IVAP" Parser
by Stephen Pair

"IVAP" is an acronym for "Instance Variable Acess Protecting"; thus what we have is an instance variable acess protecting parser. The IVAP Parser enables you to selectively compile message sends where instance variable accessing bytecodes would normally appear. This effectively enables you to trap all reads and writes to instance variables without needing to write special code in your class to do so. Additionally, the "inst var refs..." and "inst var defs..." functionality of the system is modified to be aware of such specially compiled methods.

You can choose to enable this special compiling behavior on a class by class basis. Additionally, you can control which methods within a class use the special compiling behavior. To enable a class to trap inst var access, you first need to override #useInstVarAccessorMethods in your class (on the class side) to answer true. Then, you can override one or both of #selectorForInstVarAccess or #selectorForInstVarMutation to answer the specific messages that you want to have sent when an attempt is made to access an instance variable. See those methods for details on the signature of those methods. You do not need to override both methods; thus you can choose to trap only reads or only writes.

That is it!! Any methods that you compile in your class will now trap inst var reads and/or writes (it is up to you to actually implement the messages that are sent to access instance variables).

You may also be more selective in which methods will actually trap reads and/or writes by overriding #normallyCompiledMethods and/or #useInstVarAccessorMethodsFor:.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/IvapParser.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
JavaSerialization

	self name: 'Java Serialization'.
	self version: '90-alpha'.
	info category: 'Uncategorized'.
	info description: 
'Gives Squeak the ability to read in and write out Java serialized objects. It also includes a Java Class Loader. Great for debugging serialization problems in Java. Right now, I can load in any serialized stream, but those written with customized methods are just simple byte arrays. Future versions will use the class loader to make sense of this information. If you get any use out of it or have suggestions, let me know. I want it to become a way to interface to Java easily and the Smalltalk way. I want to do Java better than Java.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Java-btb.90.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
KGraph

	self name: 'KGraph'.
	self version: '0.0'.
	info category: 'Uncategorized'.
	info description: 
'General purpose graph package.  Or it will be if it gets finished ;-)'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/KGraph-Propertied-jcg.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
KarelsWorld

	self name: 'Karel''s World'.
	self version: '10'.
	info category: 'Uncategorized'.
	info description: 
'This is a version of the Karel the Robot educational simulation done with eToys.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Karel%27s%20World.010.pr'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
KomHttpServer

	self name: 'KomHttpServer'.
	self version: '6.2'.
	info category: 'Uncategorized'.
	info description: 
'KomHttpServer is the Comanche web server package.  To get a simple web server running, install this package and evaluate the code below.  A simple file serving web server will be started and will serve the files in your default directory.

	| ma |
	ma := ModuleAssembly core.
	ma serverRoot: FileDirectory default fullName.
	ma documentRoot: FileDirectory default fullName.
	ma directoryIndex: ''index.html index.htm''.
	ma serveFiles.
	(HttpService startOn: 8080 named: ''httpd'') plug: ma rootModule

After starting the server, point your web browser to http://localhost:8080/

If you have loaded Seaside, you can start a web server that serves Seaside based applications using the following configuration:

	| ma seaside |
	seaside := WAKom default.
	ma := ModuleAssembly core.
	ma serverRoot: FileDirectory default fullName.
	ma alias: ''/seaside'' to: [ma addPlug: [:request | seaside process: request]].
	ma documentRoot: FileDirectory default fullName.
	ma directoryIndex: ''index.html index.htm''.
	ma serveFiles.
	(HttpService startOn: 8080 named: ''httpd'') plug: ma rootModule

See the class comments of the various subclasses of ComancheModule for documentation and usage examples.

===== Release History =====
Version 6.2:
	- Added support for Squeak 3.6
	- Now uses SocketStream from the network rewrite

Version 6.1:
	- (build #41) Fixes various issues for running on Mac OSX
	- Packaged using KomPackaging (Squeak version only)
	- Separated the services framework into a separate package called KomServices
	- Added a module framework
	- The following modules have been added (see the individual classes for details):
		- ModCore - this is the core module and designed to be the root of a module assembly, it extracts basic information from the request and makes it available to sub-modules, it also handles http TRACE and OPTIONS methods
		- ModMulti - this is a module designed only to wrap submodules into a single entity
		- ModAlias - for mapping url prefixes to sub modules
		- ModAuth - for authentication
			- KomAuthDb - a very basic user and password database
		- ModAutoIndex - for generating directory listings
		- ModDir - for directory processing (including redirects to fix the trailing slash problem)
		- ModDoc - for file location processing in a file server
		- ModVhost - for name based virtual hosting
			- ModVhostDoc - for document serving based on virtual host name
			- ModVhostAlias - for module routing based on the virtual host name
		- ModFile - for serving files
		- ModLog - for logging http requests (not yet usable)
			- KomLogger - writes out a log in CLF format
			- KomTracer - writes out a detailed trace of http request/response pairs
		- ModNotFound - if reached will generate a not found response
		- ModSession - for client session handling
			- KomSession - the session class used by ModSession (by default)
	- Added ModuleAssembly to help in creating module assemblies
	- Renamed classes:
		- ComancheHttpService -> HttpService
	- Removed classes
		- BoundedStream
		- HttpBadRequest
		- HttpParser
		- NetworkProtocolAdaptor
		- NetworkRequest

Version 6.0.1:
	- Adds pluggability to ComancheHttpService (see class comments).

Version 6.0:
	- Initial ComancheNG release

===== Future Enhancement Plans =====

- add WebDAV server capability (in a separate package)
- synchronize with the network rewrite project
- separate some of the http protocol support into a separate package and provide an Http/WebDAV client implementation (separate package)
- rework the handling of chunked responses (using the SharedStreams package)
- rework the handling of document uploads (via multipart/form-data) using the SharedStreams package
- support chunked transfer encoding for incoming requests
- Reify cookies and make them easier to work with
- Slim down HttpRequest and HttpResponse such that they are only responsible for constructing requests and responses (currently, these classes are heavily overloaded)

'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/KomHttpServer-6.2univ.sar'.
	self provides: #().

	self dependsOn: #('KomServices').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
KomPackaging

	self name: 'KomPackaging'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'This package adds support for two types of urls, package and squeakmap...they take the forms:

	sqpkg://httpserver.kom:6.1
	sqmap://Named Process:1.1

You can to interesting things with these URLs, such as install them:

	''sqpkg://httpserver.kom:6.1'' asUrl install

or, query whether or not a version of the package is currently installed:

	''sqpkg://httpserver.kom:6.1'' asUrl isPresent

Version 1.0:
	- initial version'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/KomPackaging-1.0univ.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
KomServices

	self name: 'KomServices'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'===== Release Notes =====

KomServices provides a framework for the creation and management of background processes.  A generic Service class is provided for this purpose.  Additionally, TcpService is provided for creating services that respond to inbound TCP connections.

===== Release History =====

Version 1.0:
	- initial version, this package is bourne out of KomHttpServer and renames a few classes:
		- ComancheService -> Service
		- ComancheNetService -> TcpService
	- the old ConnectionHandler is dropped in favor of a cleaner TcpListener.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/KomServices-1.0univ.sar'.
	self provides: #().

	self dependsOn: #('DynamicBindings' 'KomPackaging').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
LanguageEditor

	self name: 'LanguageEditor'.
	self version: '2.0'.
	info category: 'Uncategorized'.
	info description: 
'Editor for Babel''s languages.

Open it from

	World Menu >> open... >> Language Editor         (to open on default language)
	World Menu >> open... >> Language Editor for...  (to choose the language)

Or evaluate:

	LanguageEditor openOnDefault.
	LanguageEditor open.

'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Babel-Editor-dgd.1.mcz'.
	self provides: #().

	self dependsOn: #('Balloon3D').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
LifeMorph

	self name: 'LifeMorph'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'A simple implementation of Life Game.  It is based on Dan''s original Life Game for Smalltalk-80.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/LifeMorph.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Lisp

	self name: 'Lisp'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'GUI works only in MVC.

 How to start

 1) evaluate:

 LispInterpreter open

 or

 LispInterpreter fullOpen
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Lisp-md.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
LogEngine

	self name: 'LogEngine'.
	self version: '2'.
	info category: 'Uncategorized'.
	info description: 
'A powerful and small LogEngine for Squeak!!
A Sample usage is
lc := LogClient getInstance: ''Client''.
lc debug:''test1''.
lc info:''test2''.

When you create a LogClient, you must use the getInstance: method, passing a "Category Name"
used to create a special category log file.

LogClient features:
+ Integrated con Preferences (debug panel)
+ Can output on file and on Transcript on demand
+ Can print the method where the line is called
+ Can disable the debug level (only this for the meantime, sorry).
+ Easy to extend'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/LogEngine2.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Logicexpressions

	self name: 'Logic expressions'.
	self version: '1.0-alpha'.
	info category: 'Uncategorized'.
	info description: 
'This was done as part of my master thesis project (directed by Dan Rozenfarb). I am using it myself and hope it can be useful to someone else.

Try inspecting: LExpression fromString: ''{p=>q = not p or q}''
See more examples in the Homepage and on the Logic-Tests category.

I hope you enjoy it!!
Dany'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Logic.sar'.
	self provides: #().

	self dependsOn: #('SmaCC').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MAPIClient

	self name: 'MAPIClient'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'This is a simple package allowing you to send already composed MailMessages
through your registered default email client on Windows (such as Outlook or
Eudora). To invoke it, merely ask it to

      MAPIClient sendMailMessage: aMailMessage.

and it will take you from there. On Squeak versions which have the AppRegistry
installed (which is included in 3.6 and later versions) MAPIClient will
register itself as a MailSender which means you can use it to do any kind of
mailing through your default email client (including bug-reports, the bug fix
archive viewer etc.)
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MAPIClient.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Manzana

	self name: 'Manzana'.
	self version: ''.
	info category: 'Uncategorized'.
	info description: 
'Really simple physics simulations with Morphs.

Every Morph with mass contained in ManzanaUniversePasteUpMorph or in ManzanaPlanetPasteUpMorph with mass will be part in a simple simulation.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Manzana-2003-01-21.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MemoryUsage

	self name: 'MemoryUsage'.
	self version: ''.
	info category: 'Uncategorized'.
	info description: 
'A ProgressMorph subclass to display the current VM memory in use.  I wrote
this because the vm statistics menu item in the help menu is static; it
doesn''t periodically update.

Plus, it''s cool!!

"MemoryUsage new openInWorld."
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MemoryUsage.st.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MethodAnnotations

	self name: 'Method Annotations'.
	self version: '0.1b'.
	info category: 'Uncategorized'.
	info description: 
'Optional annotation for methods. All <mumble> expressions are now treated as property of the compiled method. In other words, a method may look like:

Object>>mumble
	<categories: #(basic eToy)>
	<index: 42>
	<value: 123.45>
	<returnType: Array>

After the method is compiled we may query it for those properties as in:
	(Object compiledMethodAt: #mumble)
		valueOfProperty: #categories; 	=> #(basic eToy)
		valueOfProperty: #index;		=> 42
		valueOfProperty: #value;		=> 123.45
		valueOfProperty: #returnType.	=> Array'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MethodAnnotations-ar-tweaked.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MethodRecompiler

	self name: 'MethodRecompiler'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'This packages enables the recompilation of methods after changes in classes
without the need to access any source code. This improves speed and in some 
situations even makes it possible to recompile some classes at all (for 
example, when using alternative compilers without first-hand source code 
representation).

To use MethodRecompiler for about everything interesting change 

Behavior>>compileAllFrom: oldClass
  ^MRMethodRecompiler recompileFrom: oldClass to: self


'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MethodRecompiler.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MiniToDo

	self name: 'MiniToDo'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'Very simple task administration system.
Developed mainly as a learning-project. A lot of features must be added.
Sorry by the "spanglish" mix :)
Need a PluggableListMorph.

To start the app, evaluate:
SistemaTareas new initialize openAViewOnMe'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MiniToDo-gsa.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MinneStore

	self name: 'MinneStore'.
	self version: '2.8'.
	info category: 'Uncategorized'.
	info description: 
'Object Database Management System for
Visual Smalltalk 3.1, Dolphin Smalltalk, VisualAge Smalltalk, VisualWorks Smalltalk and Squeak.

Its licensed under the MIT License

Download the 2.7, 2.8 and 2.9 version port from the Stephen Pope''s site ftp://ftp.create.ucsb.edu/pub/stp/OODB/'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SMS.2.08.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Monticello

	self name: 'Monticello'.
	self version: '183'.
	info category: 'Uncategorized'.
	info description: 
'Monticello is a distributed concurrent versioning system based on a declarative representation of Squeak source code.  It allows packages to be safely saved, loaded and updated, and provides tools for branching and merging package versions.  It does not depend on (and does not provide) any form of central repository.

Requires PackageInfo (already included in Squeak 3.6 5250).

Requires MCInstaller for installation.

See also MonticelloCVS, which supports managing Monticello packages with CVS rather than with the native versioning tools.  This is probably mostly of interest to "legacy" Monticello and DVS users.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Monticello-avi.183.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MonticelloCVS

	self name: 'MonticelloCVS'.
	self version: '123'.
	info category: 'Uncategorized'.
	info description: 
'Allows Monticello packages to be filed in and out in the old .mc format for compatibility with CVS.  Provides the MCFilePackagePanel UI familiar to users of DVS.  Also supports resolving CVS conflict markers using the Monticello Merge Browser.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MonticelloCVS-jf.11.mcz'.
	self provides: #().

	self dependsOn: #('Monticello').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MorphicFontEditor

	self name: 'MorphicFontEditor'.
	self version: '1.3'.
	info category: 'Uncategorized'.
	info description: 
'A Morphic application to create and to edit StrikeFonts.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MorphicFontEditor.1.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MorphicWrappers

	self name: 'MorphicWrappers'.
	self version: '3.6-5325-c'.
	info category: 'Uncategorized'.
	info description: 
'With MorphicWrappers you can put any object in a MorphicWorld.
Simply click on the world (or any other target for your sentence, then
press <tab> an write a Smalltalk expression, once you press enter the resulting object will be included in your world.

'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MW-3.6-5325-c.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MorseCode

	self name: 'Morse Code'.
	self version: '2'.
	info category: 'Uncategorized'.
	info description: 
'Send messages in morse code. Set the character speed and pitch, then
start sending messages. Uses QueueSound class.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MorseCode.02.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MultiColumnListMorph

	self name: 'MultiColumn List Morph'.
	self version: '6'.
	info category: 'Uncategorized'.
	info description: 
'MultiColumnListMorph (and its related StackedStringMorph) are competitors for PluggableMultiColumnListMorph.  The speed is substantially faster than the the standard Pluggable... hieararchy, and there are some additional features (most notably the ability to add a header for the list).  Currently, this morph only takes arrays of arrays of strings as arguments.

Please look at the class side of MultiColumnListMorph for examples.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MultiColumn%20Lists-cbc.6.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
MultilevelUndoforTextMorph

	self name: 'Multi-level Undo for TextMorph'.
	self version: '3.7.1'.
	info category: 'Uncategorized'.
	info description: 
'=== RELEASE INFO PLEASE READ ===
IMPORTANT: Do not try to use the 3.6 release in the 3.7 image, or vice-versa. 

FOR 3.6, the latest version is release 1-3.6.1, also at:
  http://www.swerlingphoto.com/squeak/multiundo/MultiUndo-v2-sps.1.cs.gz

FOR 3.7, the lastest version is release 1-3.7.1, also at:
  http://www.swerlingphoto.com/squeak/multiundo/MultiUndo-v2-sps.1.cs.gz

=== DESCRIPTION ===
Adds a preference, #multipleUndo, that adds multilevel undo/redo capability to TextMorph.  A method is added that remaps cmd-r to redo. 

Most of the code is in TextMorphEditor or support classes, and I believe it could be ported to MVC without too much trouble, mostly by moving the methods in TextMorphEditor up to ParagraphEditor. But I don''t know my way around MVC, so someone else would have to do that. 
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/MultiUndo-v2-sps.1.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
NetMorph

	self name: 'NetMorph'.
	self version: '0.2'.
	info category: 'Uncategorized'.
	info description: 
'NetMorph is a distributed environment for everyone.
It extends the current Squeak Morphic system to a network-enabled one.
In NetMorph, Morph is no longer ''a bird in a cage''.
It can go out from the local desktop and freely crawls ''across the universe'' (many desktops).

'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/NetMorph.25.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
NetMorphMapServer

	self name: 'NetMorph MapServer'.
	self version: '0.2'.
	info category: 'Uncategorized'.
	info description: 
'MapServer serves WorldMap data to NetMorph clients.

You may not need this, because the default server is running at:
http://swikis.ddo.jp:8823/NetMorphAdminServer

To run the server, just pick the NetMorph Server setting morph.

-map server port -> port number of the server (default is 80)
	The check box indicates the server is running.
-map path -> local location of the WorldMap csv files'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/NMServer.14.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
NetStrings

	self name: 'NetStrings'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'This is an implementation of the Netstring protocol as defined here: http://cr.yp.to/proto/netstrings.txt (by D. J. Bernstein, djbpobox.com). It adds the ability to read and write Netstrings onto any byte or character stream. Integer, ByteArray, and String can be converted to or from a Netstring. See the methods added to those classes (instance and class methods). Netstrings are handy for creating network protocols.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/NetStrings.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
NetworkHTML

	self name: 'Network-HTML'.
	self version: '4'.
	info category: 'Uncategorized'.
	info description: 
'An HTML parser and formatter.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Network-HTML-md.4.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
NsGame

	self name: 'Ns Game'.
	self version: '29'.
	info category: 'Uncategorized'.
	info description: 
'This is the game I demoed at OOPSLA 2003.

NsGame began as a Squeak port of the Shockwave Flash game by Pavils Jurjans.
See <a href="http://www.jurjans.lv/stuff/net/freenet.htm">http://www.jurjans.lv/stuff/net/freenet.htm</a>.

To begin the game perform:
	NsGame new openInWorld

Instructions are available from within the game.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/NsTileGame-sbw.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ODBC

	self name: 'ODBC'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'Very simple framework for ODBC support in Squeak. Use FFI to talk to ODBC32.dll, no other DLL is necessary.

It works in Windows and in Unix.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ODBC-dgd.10.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ODBCEnh

	self name: 'ODBCEnh'.
	self version: '12'.
	info category: 'Uncategorized'.
	info description: 
'Enhancements to the ODBC package from Diego Gomez Deck. The enhancements are as follows:

* DSN-less connection string support
* Simpler access to result sets with a single message named "run" that takes an SQL statement and returns a Collection of rows. See ODBCConnection>>run:
* ODBCResultTable - used to open the results as a grid-like morph
* Permits camelCase way of referring to column names if your database is using conventional YELLING_OUT_LOUD_STYLE, old_c_style, or PascalNamingStyle of column names

To view the ODBCResultTable as a morph you should have Bitstream Vera Fonts installed which contains a nice monospaced font used to simulate a table.

Of course, requires ODBC for Squeak package.  More detailed info can be found on http://squeak.saltypickle.com and by going to the ODBCEnh project wiki page.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ODBCEnh-jrp.12.mcz'.
	self provides: #().

	self dependsOn: #('ODBC').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
OSProcess

	self name: 'OSProcess'.
	self version: '3.2.2'.
	info category: 'Uncategorized'.
	info description: 
'OSProcess provides access to operating system functions, including pipes and
child process creation. It is implemented using pluggable primitives in shared
library (.so file) for Unix or Linux, and a DLL for Windows. The Smalltalk code,
including the classes which implement pluggable primitives for Unix or Win32
operating system functions, may be loaded into any Squeak image, but the
primitives are only useful on Unix and Windows systems. Placeholder classes
are provided for MacOS, OS/2 and RiscOS, but are not yet implemented.

If you use OSProcess, you will probably also want CommandShell.
VM builders will also want to load OSProcesPlugin and XDisplayControlPlugin.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/OSProcessV3-2-2-noChat.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
OSProcessPlugin

	self name: 'OSProcessPlugin'.
	self version: '3.3'.
	info category: 'Uncategorized'.
	info description: 
'OSProcessPlugin (OSPP) provides access to Unix/Linux and Windows operating system
functions. OSPP is used by OSProcess for low level system access. Stub classes
are provided for other operating systems (porting assistance welcome).

OSProcessPlugin contains the complete source code for the Unix and Windows
OSProcessPlugin (OSPP). Generate the plugin with VMMaker. No external support code
is required.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/OSProcessPluginV3-3.sar'.
	self provides: #().

	self dependsOn: #('VMMaker').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
OggVorbis

	self name: 'OggVorbis'.
	self version: '0.2-pre-alpha'.
	info category: 'Uncategorized'.
	info description: 
'A pure smalltalk port of the Ogg-Vorbis decoder. It works (just) but is EXTREMELY ugly code. Refactoring is neccesary.
It runs VERY slowly and it is not really usable at the moment. There will be cases that it cannot decode and errors are likely (and fatal).

Please note the later release uses some primitives to double the speed.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Ogg-rop.9.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
OmniBrowser

	self name: 'OmniBrowser'.
	self version: '1.0a3'.
	info category: 'Uncategorized'.
	info description: 
'OmniBrowser is a ground up rewrite of the classical system browsers provided
in Smalltalk. It''s designed to flexible and extensible, so as to encourage
experimentation with new types of development tools, language extensions,
and runtime environments.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/OmniBrowser-cwp.198.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
OpenOfficeImporter

	self name: 'OpenOffice Importer'.
	self version: '16'.
	info category: 'Uncategorized'.
	info description: 
'Squeak is the new media. To be the new media Squeak has to give us the option to convert a lot already created documents.

OpenOffice is an open source project and its format is well specified and it''s based on XML and Zip (see http://xml.openoffice.org). OpenOffice also has a lot of good job to handle propietary formats so, importing OO format, we''ll able to import really a lot of content.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/OpenOffice-Importer-dgd_16.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
PWSInstallation

	self name: 'PWS Installation'.
	self version: '0.2gt1'.
	info category: 'Uncategorized'.
	info description: 
'The Pluggable WebServer (PWS) is a web server and toolkit for flexibly creating CGI scripts. Mark Guzdial designed and implemented it to help him create different kinds of collaborative tools: e.g. Virtual Other-Than-Communities. PWS builds on the work of Georg Gollmann and Tim Jones.

PWS is mostly obsolete now, and is superseded by the newer Comanche web server.

This version of PWS has been slightly modified:

	1. It replaces all uses of getData by receiveData in order to pevent a crash.

	2. The default setting of serverDirectory is the current directory.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/PWS-0.2gt1.st.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
PackageInfo

	self name: 'PackageInfo'.
	self version: '17'.
	info category: 'Uncategorized'.
	info description: 
'Provides a mechanism for categorizing Squeak code by means of a simple naming convention.  Used mainly by versioning systems and analysis tools.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/PackageInfo-Base-avi.17.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
PackageInfoExtras

	self name: 'PackageInfo-Extras'.
	self version: '8'.
	info category: 'Uncategorized'.
	info description: 
'Includes:

- Exporters for VW3 and VW5
- some UI for browsing package dependencies (#browseExternalReferences)
- Ned''s PackagesVsChangeSet code, which provides changeset conversion and filtering facilities'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/PackageInfo-Extras-nk.8.mcz'.
	self provides: #().

	self dependsOn: #('PackageInfo').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
PieChartMorph

	self name: 'PieChartMorph'.
	self version: '0.2'.
	info category: 'Uncategorized'.
	info description: 
''.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/PieChartMorph-gm.5.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
PipesGames

	self name: 'Pipes Games'.
	self version: '20040426'.
	info category: 'Uncategorized'.
	info description: 
'Squeak Pipes Game is a little experiment I did to draw some graphics with Morphic and then use them in a game. It''s using a lot of the framework/ideas from the Electricity Game with some new animation.

See <a href="http://squeak.preeminent.org">http://squeak.preeminent.org</a> for more details and a picture of the game.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SqueakPipe-sbw.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
PlotMorph

	self name: 'Plot Morph'.
	self version: '3'.
	info category: 'Uncategorized'.
	info description: 
'Morph to draw XY plots. See the methods testXXX in the class side.

Try with:
    PlotMorph test.
    PlotMorph test2.
    PlotMorph test4.
    PlotMorph testWithReferences.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/PlotMorph3-dgd.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
PointerExplorer

	self name: 'PointerExplorer'.
	self version: '3'.
	info category: 'Uncategorized'.
	info description: 
'A very simple subclass of the ObjectExplorer which works backwards: starting at a child it allows you to inspect the tree of its parents.  This is much more convenient than the ''objects pointing to this value'' menu item in the Inspector.

eg:
PointerExplorer new openExplorerFor: #to:do:

(You can now also use ''explore pointers'' in the Inspector context menu).'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Tools-PointerExplorer-avi.3.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Poses

	self name: 'Poses'.
	self version: '0.11'.
	info category: 'Uncategorized'.
	info description: 
'The idea is to make it easier to work directly with individual objects on the screen. So instead of calling up a Class Hierarchy Browser, you might say, "Bring me the family tree of this class, arranged on the screen to look like a tree," and the objects will just sorta slide into place. You''ll also be able to create "ad hoc" poses - "Remember the arrangement of morphs on the screen now."

The result, I hope, will be an environment that makes you feel like you''re really getting your hands directly on the objects, rather than using "tools" to manipulate them like we do today.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Poses.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
PostgreSQLClient

	self name: 'PostgreSQL Client'.
	self version: '0.9.2'.
	info category: 'Uncategorized'.
	info description: 
'Implements a native Smalltalk connection to PostgreSQL backend. See the "Frontend/Backend Protocol" chapter in the "PostgreSQL Programmer''s Guide" for more information.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/PostgreSQL-Client.20040126.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
PrimCallController

	self name: 'PrimCallController'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'A PrimCallController (PCC) serves for switching external prim calls (primitiveExternalCall) on and off: this is helpful for e.g. testing of plugins.

Dis/en-abling prims by a PCC works for *both* internal and external modules!!

This package contains two concrete PCCs using totally different mechanisms for dis/en-abling prims, each has its value.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/PrimCallController.23.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ProgrammingMorphs

	self name: 'ProgrammingMorphs'.
	self version: '1.0.4'.
	info category: 'Uncategorized'.
	info description: 
'This Squeak book gives you an interactive introduction to programming your own morphs: each time you read about a feature, you first get to try it out live, and then you are given a small programming exercise to really practice with it.

If you find yourself wanting to write a new kind of morph, but you don''t know how to get started, then this is a good place to go.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ProgrammingMorphs.4.pr'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Prolog

	self name: 'Prolog'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'http://bolot.net/squeak/prolog/v-prolog.pdf '.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Prolog.15Dec1836.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
PropertyList

	self name: 'PropertyList'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'Provides PropertyListStream which works much like DataStream or ReferenceStream, eg,

dict := (PropertyListStream on: (FileStream fileNamed: ''foo.plist'')) next.

Currently only supports Dictionaries, Arrays, and Strings.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/PropertyList.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ProtocolsExamples

	self name: 'Protocols-Examples'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'These are some classes that are removed by Sunit-removal,
but are not part of SUNIT 3.1.

The classes (TestViaMethodCall, VerifierOfProperty, Verifier)
are now in the system cathegoy "Protocols-Examples", all 
"example-for" methods are in the according DVS-category.

Original documentation (from Verifier class comment):

Instead of one new class per class being tested, many classes may use TestViaMethodCall.  

Hold a Verifier (a MethodCall with an expected answer).  Run that method and compare the actual answer with the expected answer.

All class that implements #exampleFor: will be asked for all of their test cases.  For now, they appear in one big list, not separated by class.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Protocols-Examples.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Quotes

	self name: 'Quotes'.
	self version: '21'.
	info category: 'Uncategorized'.
	info description: 
'A simple package that displays Quote/Author pairs in a window. The quotes are displayed sequentially or in a random order. The speed of the display is adjustable via a slider.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Quote-Display-fc.21.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ROE

	self name: 'ROE'.
	self version: '42'.
	info category: 'Uncategorized'.
	info description: 
'A library for manipulating relational queries as first class Smalltalk expressions, and generating SQL from them.

There''s no documentation yet, but you can maybe muddle through using the test cases and some comments I made on my blog here:  http://www.cincomsmalltalk.com/userblogs/avi/blogView?searchCategory=databases .

Requires the PostgreSQL Client.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Roe-avi.42.mcz'.
	self provides: #().

	self dependsOn: #('PostgreSQL Client').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
RefactoringBrowser

	self name: 'Refactoring Browser'.
	self version: '32'.
	info category: 'Uncategorized'.
	info description: 
'The Refactoring Browser, a system browser that has additional menu items to perform refactorings on your code.  There are many supported refactorings, including renaming of methods and variables while simultaneously updating all accesses to those methonds and variables.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Refactory-md.3.7.32.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
RegularExpressionPlugin

	self name: 'Regular Expression Plugin'.
	self version: '3.3.1'.
	info category: 'Uncategorized'.
	info description: 
'This package is extensively documented, and comes with a large test suite. From the comments in the package:

Regular expressions are a language for specifying text to ease the searching and manipulation of text.  A complete discussion of regular expressions is beyond the scope of this document.  See Jeffrey Friedl, Mastering Regular Expressions, by O''Reilly for a relatively complete.  The regular expressions supported by this package are similar to those presently used in Perl 5.0 5 and Python, and are based upon Philip Hazel''s excellent PCRE libraries (incorporated almost without change, subject to a free license described in Re aLicenseComment.  Thanks are due to Markus Kohler and Stephen Pair for their assistance in the initial ports of early versions of the Plugin.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Regex5.sar'.
	self provides: #().

	self dependsOn: #('VMMaker').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
RemoteFrameBuffer

	self name: 'RemoteFrameBuffer'.
	self version: '33'.
	info category: 'Uncategorized'.
	info description: 
'Provides RFB (VNC) server and client, written entirely in Squeak.
Both server and client implement a superset of the latest (version
3.3.7) RFB protocol published by RealVNC.com (with extensions to
support local cursor handling in the popular TightVNC client).

The server transmits (or broadcasts) the Squeak desktop to remote
VNC clients (either running natively on Unix, Mac or Windows, or
running the Squeak client included in this same package).

The client connects to and displays a remote framebuffer (provided
either from a VNC server running natively on Unix, Mac, Windows, etc.,
or from a remote Squeak image running the server included in this
package).

To install, just grab RFB.33.cs and file it into a 3.6 image.
Full documentation is included (see the class comments in
RFBServer and RFBClient, and the help items on the
associated menus).
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/RFB.33.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
RoleS

	self name: 'RoleS'.
	self version: '0.0.4'.
	info category: 'Uncategorized'.
	info description: 
'RoleS is an experimental extension of Squeak for role modeling. It builds on AspectS. One of the interesting properties of RoleS is that when one or more roles are added to an instance, the instance''s identity does not change (no loss of identity)... '.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/RoleS.23Mar1845.cs.gz'.
	self provides: #().

	self dependsOn: #('AspectS').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SARBuilder

	self name: 'SARBuilder'.
	self version: '8'.
	info category: 'Uncategorized'.
	info description: 
'SARBuilder lets you build .SAR (Squeak ARchive) packages from ChangeSets, Monticello packages, versions, or snapshots, or PackageInfo instances.
Please see the class comments in SARInstaller'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SARBuilder.8.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SIForgeWizard

	self name: 'SIForgeWizard'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'SIForgeWizard is a small seaside application for the authors 
of the http://www.siforge.org  italian web site. 
SIForgeWizard is suitable for  building a small XML-article 
complaiant with the SIForge specification.
 Look at http://www.siforge.org  for more information.
It is ALSO a SMALL example of how building a simple wizard with seaside.

For comments, questions and so on email to
 giovanni.giorgi@siforge.org
the current mantainer of this package.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SIForge.1.0.st.gz'.
	self provides: #().

	self dependsOn: #('Seaside').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SIXX

	self name: 'SIXX'.
	self version: '0.1h'.
	info category: 'Uncategorized'.
	info description: 
'SIXX is an XML serializer/deserializer written in Smalltalk 
(currently Squeak 3.7, VisualWorks 5i.4 - 7, and Dolphin XP are supported). 

The purpose is to store and load Smalltalk objects in a portable, dialect-independent XML format.

*YAXO or VWXML is needed to run SIXX*'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SIXX.sar'.
	self provides: #().

	self dependsOn: #('YAXO').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SPLPDFLibrary

	self name: 'SPL PDF Library'.
	self version: '1.0-21a'.
	info category: 'Uncategorized'.
	info description: 
'Write PDF files directly from within Squeak using the PDF Library. The latest version has support for text, lines and TIFF images. The library was developed and extended at SPL WorldGroup for specific projects, and does what was needed for those projects. It is expected that the library will contine to be extended over time as feedback is received from the people using it.

The library is available under a very unrestrictive licence, but it is nevertheless a license. Please read the license at: http://wiki.cs.uiuc.edu/VisualWorks/PDF+Library.

Once you have loaded the package, have a look at PDFReportingSelfTest class>>test to get an idea of what the framework can do.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SPDF-1.0-021a.st.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SSP

	self name: 'SSP'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'This change set enables servlet style methods to be written in the class 
browser. I named it SSP because of it''s likeness to JSP, PSP, etc. However, 
it''s not exactly like those schemes, in that it has nothing (necessarily) 
to do with web serving and the like. SSP methods write the contents of their 
source onto a stream. Smalltalk code segments (delinieated with <% and %>) 
can be embedded into this text. Additionally, embedding Smalltalk code 
between <%= and %>, will force the compiler to send #sspStreamOn: to the 
result of evaluating the enclosed expression.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ssp.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SUnit

	self name: 'SUnit'.
	self version: '3.1.6'.
	info category: 'Uncategorized'.
	info description: 
'This is SUnit 3.1

This is for Squeak3.7

This will not work on Squeak3.6 (you allready have
SUnit 3.1 in the 3.6 Image. No need to install this one).'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SUnit-md.6.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SUnitactivetutorial

	self name: 'SUnit active tutorial'.
	self version: '0.4'.
	info category: 'Uncategorized'.
	info description: 
'Requires that SUnit 3.1 be installed (it is preinstalled in 3.6).

This is a two part tutorial. Test Driven Programming consists of two activities -
1. Extending the code so that it passes the tests.
1. Extending the test suite to cover new/intended functionality.

To get a taste of the first (and learn how to use the Test Runner), you should do the tutorial described in the class comment of the class LargestSuffixTest. For more practice, pick one of the failing tests from the weekly report, get it green, and submit your fix.

To get a taste of the second, do the tutorial described in the class comments of  CommonPrefix, CommonPrefixTest and TestCompleteTest.

If you want to read more about SUnit itself, you might find the articles below useful
http://www.iam.unibe.ch/~ducasse/WebPages/Programmez/OnTheWeb/Eng-Art8-SUnit-V1.pdf
http://www.xprogramming.com/testfram.htm

old version comments:
0.3 -
First public version. Try it out, and if it seems unclear, please contact us to let us know. Making it very clear what to do is what a tutorial is all about...'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SUnit-Tutorial.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SVI

	self name: 'SVI'.
	self version: '2.1alpha2'.
	info category: 'Uncategorized'.
	info description: 
'The latest version of SVI is for Squeak 3.7. If you want a version that works in Squeak 3.6, go <a href="http://www.swerlingphoto.com/squeak/svi2/svi2.html">here</a>.

The latest release of SVI has been tested on Squeak 3.7 with updates up to #5969. 

SVI is a modal text editor for squeak that can be used in place of the PluggableTextMorph. SVI is designed to behave, as much as possible, like a standard text editor, so as not to confuse users that are not familiar with modal text editors. Nevertheless, SVI features extensive support for VIM and Emacs modes and commands, including:

- incremental search, w/ support for Andrew Greenberg''s regex plugin, if it''s installed
- interactive search/replace
- split panes
- multilevel undo/redo
- navigation, using keyboard driven menus and bookmarks, between classes, methods, files, and system windows
- context sensitive help and command completion
- customizable keybindings
- ability to paste recently deleted, inserted, or copied text. Also, VIM-style "registers" 
- support for VIM''s Normal, Visual and Linewise Visual modes, with extensive support for the VIM commands, motions, registers. Mark implementation supports method-to-method jumps , method-to-file, file-to-file, etc.

By default, SVI supports many VIM commands. If you want SVI to support Emacs commands instead, be sure to take the tour of Emin (SVI''s "mini-emacs"). After loading SVI, execute "SVI openEminDocs" to take a tour of Emin. 

Patches to make SVI work with StarBrowser and Celeste are available <a href="http://www.swerlingphoto.com/squeak/svi2/appPatches.html">here</a>. The Celeste version is provided as an example of how to fully integrate an application with SVI (with a recent message list, bookmarking, opening a celeste message in a split pane, etc). 

A release change log for SVI is <a href="http://www.swerlingphoto.com/squeak/svi2/sviChanges.txt">here</a>'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SVI-v2.1alpha2.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Scamper

	self name: 'Scamper'.
	self version: '32'.
	info category: 'Uncategorized'.
	info description: 
'A WWW browser.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Scamper-md.3.mcz'.
	self provides: #().

	self dependsOn: #('Network-HTML').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Scheduler

	self name: 'Scheduler'.
	self version: '10'.
	info category: 'Uncategorized'.
	info description: 
'A simple task scheduler that can run tasks:

    * Now
    * Once at a particular time point in the future
    * Every x seconds, minutes, or hours
    * Daily at a set time

Tasks are blocks passed to the scheduler for ease of use. e.g.

scheduler := TaskScheduler new.
scheduler start.

scheduler
  do: [Smalltalk snapshot: true andQuit: false]
  everyMinute: 30.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Scheduler-jrp.10.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ScreenShotMorph

	self name: 'Screen Shot Morph'.
	self version: '0.0.0.1'.
	info category: 'Uncategorized'.
	info description: 
'A morph helping you to make a screenshot. The morph should open
in the top left corner of the screen. Double click
will activate the morph. You have 5 seconds before 
the screen shot is taken.

- Originally written by Lex Spoon
- Torsten added image, double click behavior
- the morph now hides itself if the screenshot is taken'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ScreenShotMorph.1.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ScriptingWorkspace

	self name: 'Scripting Workspace'.
	self version: '1.22-apha'.
	info category: 'Uncategorized'.
	info description: 
'This is meant to be a workspace for people familiar with scriping languages like Javascript, Ruby, Python, or Perl. It gives the workspace the ability to add classes and methods.

See ScriptingWorkspaceTest for examples.

"Do This To See It"
ScriptingWorkspace open'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/btb-ScriptingWorkspace-btb.22.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Seaside

	self name: 'Seaside'.
	self version: '2.5b3'.
	info category: 'Uncategorized'.
	info description: 
'A framework for building sophisticated web applications in Squeak.  Develop for the web using reusable, embeddable components and unique call/return semantics for moving between pages.

Seaside requires a web server; the most commonly used is KomHttpServer.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Seaside2.5b3.mcz'.
	self provides: #().

	self dependsOn: #('KomHttpServer').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SeasidePresentation

	self name: 'Seaside Presentation'.
	self version: '1.55-alpha'.
	info category: 'Uncategorized'.
	info description: 
'This is a presentation that Blaine Buxton gave at the Omaha User''s Group and several times at work. It looks best in Opera, but works fine in IE and Mozilla as well.

Make sure you have Seaside 2.5 installed.

To start (do-it if you Kom is not started):
WAKom startOn: 9090.

And then point your browser to:
http://localhost:9090/seaside/presentation

Enjoy!!'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/btb-presentation-btb.55.mcz'.
	self provides: #().

	self dependsOn: #('Seaside').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SeasideTesting

	self name: 'SeasideTesting'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'This package extends SUnit to enhance testing of Seaside components.  Tutorial is available (see package web site).'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SeasideTesting-R1.1-cds.3.mcz'.
	self provides: #().

	self dependsOn: #('SUnit').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SendTreeExplorer

	self name: 'SendTreeExplorer'.
	self version: '1alpha'.
	info category: 'Uncategorized'.
	info description: 
'This little goodie provides new tools SendTreeExplorer and MessageSendTree.  Like MessageTally, MessageSendTree traces the execution of a block in simulation. There are three key differences:
    1.	Rather than tallying the number of times each method is called in a given context, MessageSendTree traces and returns the exact tree of the sends made, in send order. 
    2.	MessageSendTree is designed to work with a SendTreeExplorer which presents the results in a hierarchical list view rather than flattened to a text pane. 
    3.	MessageSendTree allows all sends above a given method to be ignored, so that such a method can be conveniently traced deep in the execution of the block without the bother of wading through a long send chain to get there. '.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SendTreeExplorer-JW.1.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ServicesBase

	self name: 'Services-Base'.
	self version: '23'.
	info category: 'Uncategorized'.
	info description: 
'Support code and basic services for
squeak. Does not depend on anything,
but you might want to load :

-Keymapping (from Steven Swerling and C. David Schaffer)
-Services-Keymapping
-Services-RB
-Services-OB
-Services-Whisker
-BrowseUnit'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Services-Base-rr.23.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SharedStreams

	self name: 'SharedStreams'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'SharedStreams introduces SharedBufferStream and SharedBidirectionalStream.

SharedBufferStream is like a SharedQueue (FIFO) but for a stream of 
bytes/characters instead of separate objects. It can be used as a "socket" 
between Squeak processes in order for them to communicate with a stream 
protocol.

A SharedBidirectionalStream is like a "socket" between two (or more) Squeak 
processes. Internally it uses two SharedBufferStreams, one for input and one for
output. It handles multiple Processes at both ends.

In order for the protocol to be the same no matter what side you are of the
stream you can access the "other end" by calling #otherEnd.
A SharedBidirectionalStream then creates a single mirror twin brother
which it shares the two internal SharedBufferStream with - but with the inStream
and outStream twisted.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SharedStreams-1_1.st.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Shout

	self name: 'Shout'.
	self version: '3'.
	info category: 'Uncategorized'.
	info description: 
'Syntax highlighting that dynamically changes as you edit a method. After each key stroke (or other change) the code is parsed and the syntax highlighting updated so that it is in sync with the current method source.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Shout.3.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ShoutMonticello

	self name: 'ShoutMonticello'.
	self version: 'Alpha.1'.
	info category: 'Uncategorized'.
	info description: 
'Enables syntax highlighting in Monticello browsers.
Requires Shout.2 to be loaded first.
Resolves identifiers according to Snapshot contents, so that unloaded packages are styled correctly (with respect to their own contents).'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ShoutMonticello.1.mcz'.
	self provides: #().

	self dependsOn: #('Monticello' 'Shout').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ShoutOmniBrowser

	self name: 'ShoutOmniBrowser'.
	self version: 'Alpha.1'.
	info category: 'Uncategorized'.
	info description: 
'Enables Shout with OmniBrowser (1.0a3).
Shout.2 and OmniBrowser1.0a3 must be installed first.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ShoutOmniBrowser.4.mcz'.
	self provides: #().

	self dependsOn: #('OmniBrowser' 'Shout').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ShoutTraits

	self name: 'ShoutTraits'.
	self version: 'Alpha.1'.
	info category: 'Uncategorized'.
	info description: 
'Shout.2 and Traits Beta1 must be installed first.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ShoutTraits.4.mcz'.
	self provides: #().

	self dependsOn: #('Shout' 'Traits').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ShoutWhisker

	self name: 'ShoutWhisker'.
	self version: 'Alpha.1'.
	info category: 'Uncategorized'.
	info description: 
'Enables Shout with the Whisker Browser (1.0).
Whisker Browser 1.0 and Shout.2 must be installed first'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ShoutWhisker.2.mcz'.
	self provides: #().

	self dependsOn: #('Shout' 'Whisker Browser').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ShoutWorkspace

	self name: 'ShoutWorkspace'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'An optional package that installs a Syntax Highlighted Workspace, which can be opened from the World,open...,Shout Workspace menu item.
Requires Shout.3 or later to be installed first.
Previous versions of Shout applied syntax highlighting to all workspaces. This was annoying if the workspace was being used to edit plain text. Shout.3 no longer syntax highlights workspaces, hence the need for a distinct ShoutWorkspace.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/ShoutWorkspace.1.mcz'.
	self provides: #().

	self dependsOn: #('Shout').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Simulations

	self name: 'Simulations'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
''.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Simulations.2.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Singletons

	self name: 'Singletons'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'***The delegation methods of this package make use of the ObjectsAsMethods VM support.  In a 3.6 image, you must call #recreateSpecialObjectsArray before using this package.***

This package adds the #becomeSingleton method to Object, which will transform the receiver into an instance of a new, anonymous subclass of its original class.  This lets you add or redefine methods on an object-by-object basis.

This is intended to be used primarily for delegation - replacing a method with a block or a message send to another object.  The methods #to:run:, #to:send:to:, and #delegate:to: are provided for this purpose.  The following three calls are all equivalent:

<pre>
x delegate: #foo: to: someOtherObject.
x to: #foo: send: #foo: to: someOtherObject.
x to: #foo: run: [:arg | someOtherObject foo: arg].
</pre>

In all three cases, sending #foo: to x will end up forwarding the message to someOtherObject. 

My expectation is that this might be useful as a replacement for specifying pluggable behavior with block inst vars or target/selector pairs, particularly for UI classes.  Rather than explicitly putting in hooks for pluggablity, a well factored object can be customized from the outside without its knowledge, by overriding existing methods - particularly those that are #subclassResponsibility - but without going to the trouble of adding a named subclass for each use.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Singletons-avi.1.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Skeleton

	self name: 'Skeleton'.
	self version: '0.4.1'.
	info category: 'Uncategorized'.
	info description: 
'Skeleton is a easy scripting system with spreadsheet-like userinterface.  It handles an etoy''s slot as a spread sheet''s cell. So usercan describe declarative rules among morphs as spread sheet''s "=A1 +A2" style. It is similar with Visio''s "shape sheet", butSkeleton-sheet has more dynamic and real-time behavior.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Skeleton-Base-0.4.1.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SmaCC

	self name: 'SmaCC'.
	self version: '1.4'.
	info category: 'Uncategorized'.
	info description: 
'SmaCC (Smalltalk Compiler-Compiler) is a freely available parser generator for Smalltalk. 
Use this package if you want to develop a new parser/scanner/compiler.

It  is a replacement for the T-Gen parser generator. T-Gen has several limitations  
that make it difficult to produce parsers. SmaCC overcomes T-Gen''s limitations. 
For example, SmaCC  can generate parsers for ambiguous grammars and grammars 
with overlapping tokens.  Both of these are not possible using T-Gen.
 In addition to handling more  grammars than T-Gen, SmaCC has a smaller runtime 
than T-Gen and is faster than  T-Gen.   

Needs the refactoring browser as a prerequisite, but installs one 
on its own, if none is installed.

Use the tutorial as a starter.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SmaCC-Development-mga.8.mcz'.
	self provides: #().

	self dependsOn: #('Refactoring Browser').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SmallDEVS

	self name: 'SmallDEVS'.
	self version: '2004-3-19'.
	info category: 'Uncategorized'.
	info description: 
'SmallDEVS is a new implementation of B. Zeigler''s DEVS formalism. Its design is based on Zeigler''s book "Theory of Modeling and Simulation" and partially inspired by Python DEVS  (http://moncs.cs.mcgill.ca/MSDL/research/projects/DEVS/).

References:
- Bernard P. Zeigler, Herbert Praehofer, Tag Gon Kim: "Theory of Modeling and Simulation. Integrating Discrete Event and Continuous Complex Dynamic Systems". Second Edition. Acadedemic Press, 2000
- Python DEVS http://moncs.cs.mcgill.ca/MSDL/research/projects/DEVS/
- Other DEVS implementations http://www.sce.carleton.ca/faculty/wainer/standard/tools.htm
- One of DEVS tutorials (DEVSim++) http://sim.kaist.ac.kr/devsim/tutorial-ESS2001.pdf

'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SmallDEVS.9.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SmallInterfaces

	self name: 'SmallInterfaces'.
	self version: '2.0.0a'.
	info category: 'Uncategorized'.
	info description: 
'''SmallInterfaces'' brings you long-awaited ''interface'' in Smalltalk. 
The extension is originally developed by Benny Sadeh in VisualWorks NC. I ported this interesting extension to Squeak.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SmallInterfaces.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Smalltalk72

	self name: 'Smalltalk 72'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'Dan Ingalls did an emulation of the Smalltalk-72 emulator for Alan Kay''s birthday.

The original Smalltalk 72 User Manual is available:
http://www.spies.com/~aek/pdf/xerox/alto/Smalltalk72_Manual.pdf'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Smalltalk72.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SoapCoreClient

	self name: 'SoapCoreClient'.
	self version: '0.6'.
	info category: 'Uncategorized'.
	info description: 
'SoapCoreClient is a SOAP client implementation for Squeak. 

It achieves some interoperability with other SOAP, such as SOAP4R, Splash/Spray, etc. Designed to be lean and simple.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SoapCoreClient.sar'.
	self provides: #().

	self dependsOn: #('YAXO').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SoapCoreServer

	self name: 'SoapCoreServer'.
	self version: '0.6'.
	info category: 'Uncategorized'.
	info description: 
'SoapCoreServer is a SOAP server implementation for Squeak. 

It achieves some interoperability with other SOAP, such as SOAP4R, Splash/Spray, etc. Designed to be lean and simple.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SoapCoreServer.sar'.
	self provides: #().

	self dependsOn: #('KomHttpServer').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Sokoban

	self name: 'Sokoban'.
	self version: '0.1.3'.
	info category: 'Uncategorized'.
	info description: 
'"The object of Sokoban is to push all stones (or boxes) in a maze, such as the one to the right, to the designated goal areas. The player controls the man and the man can only push stones and only one at a time. The restriction of only being able to push the stones makes this game challenging: One can create unsolvable positions. Players will soon learn that this is the main obstacle in solving problems. Advanced players also try to find shorter and shorter solutions, measured in stone pushes and man moves." (http://www.cs.ualberta.ca/~games/Sokoban/)'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Sokoban.19Jul1841.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SokobanEnhanced

	self name: 'Sokoban Enhanced'.
	self version: '20040425'.
	info category: 'Uncategorized'.
	info description: 
'Sokoban is a wonderfully addictive little puzzle game. This is an enhanced version of the original version as found on Squeak Map. The original version was published for Squeak by Robert Hirschfeld.

After playing it for a while I made a few enhancements to the game. A lot of the changes were cosmetic. But the most important enhancement is that an undo command was added. The game is a lot more playable. All the original rules about moves and the original puzzle/board configurations are intact. I just added a move stack that allows you to use the "z" key and roll-back any move you had already made. I also added a move that allows the use of the Control key modifier and causes a move to repeat. It''s easier to just try it than explain it here.

To see a picture of the game look here: <a href="http://squeak.preeminent.org">http://squeak.preeminent.org</a>'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Games-Sokoban-sbw.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Sorrow

	self name: 'Sorrow'.
	self version: '6'.
	info category: 'Uncategorized'.
	info description: 
'A compiler for a language similar to Joy (http://www.latrobe.edu.au/philosophy/phimvt/joy.html) to Squeak bytecode.

Requires Squeak 3.7.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Sorrow-avi.6.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SortCriteria

	self name: 'Sort Criteria'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'The Sort Criteria objects extend the standard SortCollection with an easy to
use, simple yet powerful and dynamic sorting capability that can sort
multiple ''columns'' or ''attributes'' of a collection of objects. It''s easy to
rearrange the column sort ordering and the acending or decending state of the
sort. It''s simple because it just works with SortedCollections as you currently
use them. It''s powerful because you can sort any sequence of attributes in an
object. It''s dynamic as a SortCriteria and it''s columns can be created on the
fly by a user interface enabling the user to choose their own sort order and
ascending/decending sequence.


The SortCriteria and SortCriteriaColumn (and SortCriteriaTest for an example)
are the classes that are added to the Smalltalk system. No changes to
SortedCollection were required or other Smalltalk system classes.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SortCriteria_Squeak_v1.st.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SpaceWar

	self name: 'SpaceWar'.
	self version: ''.
	info category: 'Uncategorized'.
	info description: 
''.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SpaceWar.25Jan2223.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SqCVS

	self name: 'SqCVS'.
	self version: '0.51'.
	info category: 'Uncategorized'.
	info description: 
'SqCVS is a clean implementation of the CVS pserver protocol in Squeak.

It is written on top of SocketStream - the highlevel Socket class found in the
Comanche package. This means Comanche is a prerequisite.

SqCVS has no UI and it still doesn''t know how to do "add" and "remove".
But it knows how to do pretty much of the CVS protocol.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/CVS-0_51.st.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SqueakMap2Base

	self name: 'SqueakMap2 Base'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'The base package for SqueakMap2. Contains the domain code.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SMBase-gk.63.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SqueakMap2Loader

	self name: 'SqueakMap2 Loader'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'This is the graphical tool called the "SqueakMap Package Loader" that can be opened from the World open... menu. This tool is a UI for the local instance of SMSqueakMap that can be accessed with "SMSqueakMap default".

In the loader you can browse the map and see packages and package releases and also install them into the image. 
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SMLoader-gk.24.mcz'.
	self provides: #().

	self dependsOn: #('SqueakMap2 Base').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SqueakMap2server

	self name: 'SqueakMap2 server'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'The new SqueakMap web front end with lots of good stuff. :)'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SMServer-gk.17.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SqueakNETBridge

	self name: 'Squeak/.NET Bridge'.
	self version: 'R5'.
	info category: 'Uncategorized'.
	info description: 
'The Squeak/.NET bridge lets you use .NET objects
in your Squeak programs.  It uses TCP sockets to
communicate with a .NET VM.  You can use any .NET
library with the bridge, and can implement interfaces
from your .NET libraries in Squeak.

Here''s the canonical example:

    list := DotNet ArrayList new.
    Transcript show: list count. "Prints 0"
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SqueakDotNet.r5.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SqueakPrototypes

	self name: 'Squeak Prototypes'.
	self version: '7'.
	info category: 'Uncategorized'.
	info description: 
'Hans-Martin Mosner originally wrote some code to allow prototype objects to exist in the Squeak image.  All I have done is allow those objects to delegate their behavior to other objects.    This code is stable, in the sense that I am unlikely to change it...'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/System-Prototypes.7.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
StateReplicationProtocolSRP

	self name: 'State Replication Protocol (SRP)'.
	self version: '2.1 6'.
	info category: 'Uncategorized'.
	info description: 
'SRP serializes the state of a network of objects into a stream of data. Serialization starts with a root object and traverses all objects referenced directly or indirectly down to a user defined level. As object state is serialized, it can be transported to an object space of another OO computer language or dialect and the object network can be loaded (replicated) as it was saved. SRP''s streaming of objects is affectionately refered to as "SluRPing"--as in slurping an object. 
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SRP2.1-006.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SwazooHTTP

	self name: 'Swazoo-HTTP'.
	self version: '7'.
	info category: 'Uncategorized'.
	info description: 
'A portable set of classes that model HTTP requests and responses, that form a base on which a web server could be built.  With suitable extensions, these could also be used for an HTTP client library.

See *Swazoo-Server* for the original, portable server code that used these, or *Swazoo-Listener* for a much simplified, Squeak-specific server.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Swazoo-HTTP-avi.7.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
SystemTracer2

	self name: 'SystemTracer2'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'This work is based on Anthony Hannan''s original SystemTracer2. It adds a RehashingSystemTracer that allows you to manipulate identity hash values during a trace. See the class comments for SystemTracer2 and RehashingSystemTracer for more details.

RECOMMENDED: It is recommended that you load the "Large Collections" package (available on SqueakMap) to get better performance. A trace on my machine that took 9.7 minutes without large collections took only 2.5 minutes with large collections loaded. Large collections are recommended, but not required for SystemTracer2 to work.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SystemTracer2.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
TableLayoutTutorialProject

	self name: 'TableLayout Tutorial Project'.
	self version: '11'.
	info category: 'Uncategorized'.
	info description: 
'TableLayout tutorial project'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/TableLayouts.011.pr'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Taskbar

	self name: 'Taskbar'.
	self version: '0.6'.
	info category: 'Uncategorized'.
	info description: 
'A simple morphic taskbar (similar to the taskbars available for many windowing
systems).  Shows a list of buttons representing windows and morphs in your world.
Pressing a window''s button brings that window to the front and activates it.  If
it is already in the front then it is hidden.  Replaces the default collapse
behavior for windows so that they hide/unhide instead.  Pressing a Morph''s button
brings it to the front and raises it''s halo.  Can be placed on a global flap.
Execute "WindowListMorph open" to start (or use "Taskbar" from the open menu).'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/WindowList-cds.28.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Techo

	self name: 'Techo'.
	self version: '20040514'.
	info category: 'Uncategorized'.
	info description: 
'Techo is
Multiple workspace stored plain text file
Notepad without file name
Grep tool(but not real REgexp).

It is very simple tool, but useful to make a memo, to exchange oneliner among Squeak images, and to play a text base Smalltalk programming puzzle.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Techo-Base-20040514.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Telnet

	self name: 'Telnet'.
	self version: '301'.
	info category: 'Uncategorized'.
	info description: 
'This package contains various components that facilitate interactive login
to a remote (or the local) machine:

* a (glass) TeletypeMorph;
* essentially complete emulation of vt52, vt102 and xterm terminals;
* a telnet client for connecting to remote machines;
* a `pseudo-tty'' client for connecting to an interactive shell on the local machine;
* a protocol stack abstraction that glues the above together; and
* a TeletypeWindow morph which makes a clickable application out of it all.

The pseudo-tty client will only work on Unix, but the telnet client should
work fine on any platform (Unix, Mac, Windows, etc.) that supports sockets.

Please visit the homepage for further details (especially if you want to use
the pseudo-tty client, since you may have to download an additional changeset).'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/telnet.301.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
TestBrowser

	self name: 'TestBrowser'.
	self version: '1.12'.
	info category: 'Uncategorized'.
	info description: 
'TestBrowser is a enhanced TestRunner for Squeak. 

It supports: 
* Filtering test cases by class category 
* You can run and edit test cases/codes in one window'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/TestBrowser.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
TextFiles

	self name: 'TextFiles'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'TextFiles is a package for flexibly dealing with any sort of text file. 

Features:
* Provides buffered operations for efficiently reading and writing large files
* Supports automatic line end conversions
* Provides a framework for various encodings such as ISO-8859 etc.
* Polymorphic with FileStream so you can create a TextFile just the way you would create a FileStream
* Usable with internal as well as external streams, so you can convert text representations within Squeak too
* Supports ''chunking'' to index files containing chunks of text more efficiently

For a closer look check out the accompanying documentation.

'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/TextFiles.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
TimeZoneDatabase

	self name: 'TimeZoneDatabase'.
	self version: '1.2.1'.
	info category: 'Uncategorized'.
	info description: 
'This is a time zone database for Smalltalk. It answers the number of seconds
offset from UTC for any time zone at any point in time in the range of the
database rule set, as well as the number of leap seconds for a point in time
(for tzfiles which contain the leap second rules).

A full time zone database requires access to tzfile data files, typically
distributed with Unix (Linux) systems. A limited set of tzfile files is provided
to initialize the database and demonstrate its functions.
~
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/TimeZoneDatabase-1-2-1-dtl.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Train

	self name: 'Train'.
	self version: '0.2-alpha'.
	info category: 'Uncategorized'.
	info description: 
''.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Train.1.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Traits

	self name: 'Traits'.
	self version: 'beta1.1'.
	info category: 'Uncategorized'.
	info description: 
'Prerequisite packages: Monticello and the newest version of PackageInfo


Traits Release beta1
====================

Over the last months we have been working on a new stable implementation of Traits in Squeak. This is the first public beta release. Please note that this version features a new language kernel that supports all the necessary features for creating and composing traits, but that there are still many features missing that are absolutely crucial for getting the real "traits experience". (See the limitations section below).

Please find more information and papers about Traits at:
http://www.iam.unibe.ch/~scg/Research/Traits

Our implementation consists of the following parts:

- The Kernel: In contrast to the traits prototype, the new traits implementation features a clean, efficient and stable kernel, which is an extension of the traditional Smalltalk-80 kernel of Squeak. The kernel is feature complete as far as creation and composition of traits is concerned, but it may still have bugs. Note that in the current version, the kernel contains some duplicated code between the class and the traits hierarchy. However, this is not an accident but a conscious design decision as we will get rid of this duplicated code by bootsrapping/refactoring the kernel using traits itself.

- The User Interface: We''ve started implementing a new traits browser with OmniBrowser. It supports composing and browsing classes and traits and let you "dive" into the composition structure of traits. In addition, the old browser has been modified to show a flat view for programmers who like to view and work with Squeak as it was before.

- Monticello: We''ve made Monticello traits aware, letting you save and load traits (even to SqueakSource). Note, that code which is saved with this modified version of Monticello can not be loaded with a normal Monticello (even if it does not include traits). This implementation should be considered as a prototype and should be refactored.
As an alternative you can also use the normal fileOut mechanism which supports traits as well.


Installation
------------
The implementation is available as a SAR file on SqueakMap. It is tested in a new fresh 3.7b image. Prerequisite packages are Monticello and the newest version of PackageInfo.

Beside loading the kernel and the modified Monticello and OmniBrowser there will also be KCP-0220-ClassOrganizerFixAndCleanup.14.cs loaded because this change is not in the update stream yet.
 
Please note, that the installation takes about 30 Minutes (depending on the speed of your machine) because it needs to recompile all the classes in the image. (This is a consequence of the fact that we had to change the format of the kernel classes.)


Getting Started
---------------
Open the Traits OmniBrowser: World Menu -> open -> Traits Browser
Create a new trait: Open the context menu in the class/trait pane and select "create trait..."


Limitations
-----------
- There are still many features missing that are absolutely essential for getting the real "traits experience", but these are mainly related to the UI and IDE. For example:
  - There are no virtual categories that present the conflicts and glue methods of a composite class/trait.
  - There is no automatic computation of requirements
  - There is no information that shows which traits/classes provide or require the currently selected methods
  - There is no support for turning classes into trait
  - etc.

- The current UI is just a "minimal placeholder" that allows one to start using/playing with traits. However, many improvements are still missing.
- There are known bugs in OmniBrowser (which still is in alpha).
- The OmniBrowser updates very slowly.

- No documentation apart from the papers yet. '.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Traits-beta1.1.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Typeinference

	self name: 'Typeinference'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'This is Francisco Garau''s TypeInferencer, as a SAR package.

This does not contain the Morphic-Wrapper dependend
parts.                                             

For more information, see http://typeinference.swiki.net/1'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/TypeInference.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Units

	self name: 'Units'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'The Units package allows you to represent, convert, and perform arithmetic with physical unit values (e.g. distances, velocities, accelerations, etc).

There is not much formal documentation, but most of the classes in this package have comments. The most important methods are those in Unit and UnitValue. You should look through all those.

To add your own units, see the classes BaseUnit, DerivedUnit, NamedUnit, and PrefixedUnit, and look through the initialization code. You should duplicate what is done there to add your own units. Remember to send Unit initialize to make your changes take effect.

Note that you can send Unit printAbbreviated: true or Unit printAbbreviated: false to control how units print.

Ported to Squeak by Helge Horch'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Units-md.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
Universes

	self name: 'Universes'.
	self version: '9'.
	info category: 'Uncategorized'.
	info description: 
'Tools to manage package universes, including a package browser, a universe editor, and a universe server.'.
	info maintainer: '"Lex Spoon"  <lex@cc.gatech.edu>'.
	info homepage: 'http://minnow.cc.gatech.edu/squeak/3785'.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Universes-ls.9.mcz'.
	self provides: #().

	self dependsOn: #('YAXO').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
UpdateStreamsforSqueakMap

	self name: 'UpdateStreams for SqueakMap'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'Provide the ability to host individual update streams for any package at SqueakMap. Right now, this relies on a hack in the package description which has to include the following lines somewhere:

[loadUpdatesAt: http://isgwww.cs.uni-magdeburg.de/~raab/squeak/packages/SMUpdateStreams]
[storeUpdatesAt: ftp://raab@luxator.cs.uni-magdeburg.de/~/public_html/squeak/packages/SMUpdateStreams]
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/SMUpdateStreams.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
VMMaker

	self name: 'VMMaker'.
	self version: '3.7b5'.
	info category: 'Uncategorized'.
	info description: 
'This package includes all the ObjectMemory/Interpreter classes, the VMMaker/Tool classes, the InterpreterPlugin hierarchy and all the assorted helper methods.

If you install this you will be able to build or simulate a VM or plugin - AS LONG AS YOU HAVE THE LATEST CODE FROM SOURCEFORGE.

See http://minnow.cc.gatech.edu/squeak/2015'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/VMMaker3-7b5.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
VassilisRegex

	self name: 'Vassili''s Regex'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'A pure Smalltalk regular expression matcher.

See http://www.magma.ca/~vassili/Regex/ for more info.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/VB-Regex-avi.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
VersionNumber

	self name: 'VersionNumber'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'I am a version number. My representation allows me to handle an entire tree of versions. From a directory listing of verison numbered files, I can infer things about the tree of versions.

'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/VersionNumber.st'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
VideoandImageProcessing

	self name: 'Video and Image Processing'.
	self version: '2.1'.
	info category: 'Uncategorized'.
	info description: 
'Mini-framework and tool for play with video in Squeak. You have filters that you can push in a stack, the output of the first filter is processed by the second and so on. The filters available today are: BackgroundSubstraction, GrayScale, Rotator, Mirror, Trail, Melt, Labeler, Mosaic, DepthChanger, Nervous, Delayer, Old TV, Emboss, Enhanced Focus, Blur, Edge Detector, Enhanced Edges and Soften. Add new filters is so easy, take a Form and give me a Form.

Today is posible to get a video from a mpeg file or from a camera (the camera supports works only in windows).
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/VideoAndImageProcessing-dgd.1.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
WanderingLetters

	self name: 'WanderingLetters'.
	self version: '22Feb-2.1'.
	info category: 'Uncategorized'.
	info description: 
'This is wandering letters using the old non-Players (and non-multi-instance Players).  Just make a new Morphic Project and file it in. 

Toggle wandering by clicking the top button.  Responds to Stop and Go buttons so it does not have to be running all the time.

Toggle method if getting back to their right places with the lower button.

Change WanderingLetters>>stepTime to make the speed be right.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/WanderingLetters.22Feb-02.1.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
WarpSketchMorph

	self name: 'WarpSketchMorph'.
	self version: '1.12'.
	info category: 'Uncategorized'.
	info description: 
'Playing with squeak morphic, I saw WarpBlt which seems to provide exactly the functionality I need to port an old java applet I did in 1997. WarpSketchMorph is a Morphic implementation similar to my DynFlex applet. Most fun is modifying images of faces.

You can create a WarpSketchMorph either by evaluating
WarpSketchMorph new openInWorld.
and choose an image with the "Choose new graphic..." halo menu item or use
(WarpSketchMorph withForm: <yourForm>) openInWorld.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/WarpSketch.012.pr'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
WatchIt

	self name: 'WatchIt!!'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'This adds a ''watch it'' choice to the context menus in text editors. This will take the selection, make a BlockContext out of it, and give you a Morph that will display the value of that block every half second.

It can be used, for instance, from the Debugger to display an instance variable as your program runs.

Try, for instance, watching this:
World currentHand cursorPoint 

Only works in Morphic; results in an inspector being put up for the resultant block under MVC (you can evaluate ''self value'' in that inspector if you want).'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/WatchWindow-nk.1.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
WhiskerBrowser

	self name: 'Whisker Browser'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'Whisker is a different sort of object-oriented code browser for the Squeak Smalltalk environment.

The goal of the Whisker Browser (a.k.a. Stacking Browser) is to provide a simple and intuitive way to view the contents of multiple classes and multiple methods simultaneously, while using screen real estate efficiently and not requiring a lot of window moving/resizing. It does this by introducing the concept of subpane stacking. The principles behind Whisker could potentially be used by browsers for other object-oriented languages (Java, Python, etc.).

To open the Whisker Browser, use the ''open...''/''Whisker Browser'' menu item in the World menu.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Whisker1_0-Sq37.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
WintabTabletSupport

	self name: 'Wintab Tablet Support'.
	self version: '0.3-alpha'.
	info category: 'Uncategorized'.
	info description: 
'This package extends the global variable Sensor for pressure sensitive tablets such as Graphire3 by WACOM(http://www.wacom.com/).
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/WintabTablet.6.cs'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
X11Fonts

	self name: 'X11Fonts'.
	self version: '1'.
	info category: 'Uncategorized'.
	info description: 
'SAR containing various X11 fonts using ISO-8859-15 encoding
(similar to Latin-1 but the Euro sign is where it should be).

Install from this archive to add TimesRoman, Helvetica, Courier
and Fixed to the available system fonts, in various point sizes.
Note that this archive neither creates any new methods in the
image, nor does it create any files in the working directory during
installation.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/x11fonts.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
XDisplayControlPlugin

	self name: 'XDisplayControlPlugin'.
	self version: '1.0'.
	info category: 'Uncategorized'.
	info description: 
'The XDisplayControlPlugin package provides primitives for controlling the connection to an X display server for Squeak. Currently, this is useful for the Unix VM, but in principle can be used for any platform that can provide an X server, such as Win32, Mac OS, or OpenVMS. A running Squeak image may call these primitives to become headless, to open a display on an X server from a headless Squeak, or to connect itself to another X server.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/XDisplayControlPluginV1-0.2.sar'.
	self provides: #().

	self dependsOn: #('VMMaker').

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
XMLTransformer

	self name: 'XMLTransformer'.
	self version: '1.0-alpha'.
	info category: 'Uncategorized'.
	info description: 
'With XMLTransformer you can bind Smalltalk code to any XML element.
You can transform a XML into any other XML or finally in some other format ... Sound, Html, Pdf ... what you think of :)
You can bind XML namespaces to a namespace class.
You can bind XML elements to methods in a namespace class.

After installing take a look at the examples and class comments in XMLT (Category XML-Transformer).

Todo:
 - I have to create some example namespaces (Simplified Docbook).
 - Namespaces should be able to get parsed several times.
 - I need better solutions to avoid recursion.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/XMLT-1.0-alpha.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
YAXO

	self name: 'YAXO'.
	self version: '2.0b'.
	info category: 'Uncategorized'.
	info description: 
'What''s new:
- name space handling (turned off by default for compatibility)
  adopted the code provided by Simon to have proper name space handling. Largely untested, might break some of the existing applications. That''s why it is turned off by default.
- some speed-up fixes by Andreas and myself
- misc fixes
- SAX handlers #ignorableWhitespace: and #comment: now get called correctly.
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Yaxo-2.0b.st.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
ZigZag

	self name: 'ZigZag'.
	self version: '0.1'.
	info category: 'Uncategorized'.
	info description: 
'Categoring system influenced by Ted Nelson''s ZigZag with graphical visualisation.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/zigzag.sar'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
bonsexperimentsinalife

	self name: 'bons - experiments in alife'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'some experiments in alife. There are no unit tests and the code could use some improvements but it''s a fun playground to goof off in.'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/Morphic-alife-kdb.2.mcz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
presentationstutorial

	self name: 'presentations tutorial'.
	self version: '4'.
	info category: 'Uncategorized'.
	info description: 
'A "bookish" tutorial with detailed instructions on how to create presentations.  Most examples focus on use of the StackMorph, but many points apply to BookMorphs and Projects as well.

You can load this tutorial directly in squeak by popping up the "Navigator" flap, clicking the "Find" button, selecting "Bobs SuperSwiki", select "presentations tutorial.004.pr", and click "OK".'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/presentations%20tutorial.004.pr'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
rSTRemoteSmalltalk

	self name: 'rST - Remote Smalltalk'.
	self version: ''.
	info category: 'Uncategorized'.
	info description: 
'Framework for supporting distributed Squeak objects. The main goal of the project is transparency, so you don''t need to change your objects to become remote. Another goal is to handle intermittence in the availability of the images, so PDA and Notebooks can interoperate in a distributed environment. Each object decides to pass "as copy" or "as reference", in the default implementation all objects pass "by reference" but Booleans, String, Character, Number and UndefinedObject (see implementors of #remoteType).
'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/rST-dgd-19-March-2002.cs.gz'.
	self provides: #().

	self dependsOn: #().

! !

!PackagesSqueak37U methodsFor: 'Uncategorized' stamp: 'kph 9/10/2008 10:09'!
shapes

	self name: 'shapes'.
	self version: '1.1'.
	info category: 'Uncategorized'.
	info description: 
'Adds classes representing ESRI shapefiles. Commonly used types are handled: Polygon, Polyline, Point and MultiPoint shapes. Shape data are read from files and simply kept as-is in ByteArrays in ShapeMap objects. For further processing of shape data, conversion into real objects (Polygon, Arc, Point, etc) might be handier. 
Both the *.shp file and the index file (*.shx) are read. To get at the attributes of the shapes, the accompanying *.dbf file needs to be read (a dbf-reader is not incorporated in the current version).
Besides reading, the only functionality included is viewing the contents of a ShapeMap as a Form.


'.
	info maintainer: ''.
	info homepage: ''.
	info squeakMapID: ''.
	info url: 'http://universes.dnsalias.net:8888/universes/repositories/stable-3.7/shape1.1.sar'.
	self provides: #().

	self dependsOn: #().

! !

Packages subclass: #Seaside29Builder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Packages-Library'!

!Seaside29Builder commentStamp: 'test 1/2/2009 18:19' prior: 0!
Generated from the seaside builder.seaside.st
!

Seaside29Builder subclass: #Seaside29
	instanceVariableNames: ''
	classVariableNames: 'Platform'
	poolDictionaries: ''
	category: 'Packages-Library'!

!Seaside29 class methodsFor: 'as yet unclassified' stamp: 'test 12/31/2008 03:05'!
initialize

	Platform := 'Squeak'! !

!Seaside29 class methodsFor: 'as yet unclassified' stamp: 'test 1/2/2009 18:18'!
findPath

 ^ { self. self current. self dev. Seaside29Beta. self beta.  }  ! !

!Seaside29 methodsFor: 'as yet unclassified' stamp: 'test 1/2/2009 18:09'!
KomHttpServer
	 
	^ self class current named: 'KomHttpServer'.! !

!Seaside29 methodsFor: 'as yet unclassified' stamp: 'test 1/2/2009 18:10'!
RefactoringCore
	^ self class current named: 'RefactoringCore'.! !

!Seaside29 methodsFor: 'as yet unclassified' stamp: 'test 1/2/2009 18:11'!
Sport
	 
	^ self class current named: 'Sport'.! !

Seaside29 subclass: #Seaside29Beta
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Packages-Library'!

!Seaside29Beta methodsFor: 'as yet unclassified' stamp: 'test 12/31/2008 02:28'!
defaultAction

	self version: self version, '+'.

	^ [ self info url ifNotNilDo: [ :url | Installer mc fromUrl: url; latest; install ] ]! !

!Seaside29Builder class methodsFor: 'accessing' stamp: ''!
findPath
	^ Array with: self! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
AST
	self name: 'AST'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/AST/AST-lr.160.mcz'.
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
DynamicBindings
	self name: 'DynamicBindings'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/KomHttpServer/DynamicBindings-gc.7.mcz'.
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'web 2.0' stamp: ''!
JQueryCore
	self name: 'JQuery-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/JQuery-Core-lr.37.mcz'.
	self info description: 'jQuery integration for Seaside. Designed to change the way you write Javascript.'.
	self info category: 'Web 2.0'.
	self dependsOn: #('Javascript-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
JQueryTestsCore
	self name: 'JQuery-Tests-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/JQuery-Tests-Core-lr.49.mcz'.
	self info description: 'Functional and unit tests for the JQuery-Core package.'.
	self info category: 'Tests'.
	self dependsOn: #('JQuery-Core' 'Javascript-Tests-Core' 'Seaside-Development').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
JQueryTestsUI
	self name: 'JQuery-Tests-UI'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/JQuery-Tests-UI-lr.32.mcz'.
	self info description: 'Functional and unit tests for the JQuery-UI package.'.
	self info category: 'Tests'.
	self dependsOn: #('JQuery-UI' 'JQuery-Tests-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'web 2.0' stamp: ''!
JQueryUI
	self name: 'JQuery-UI'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/JQuery-UI-lr.25.mcz'.
	self info description: 'jQuery-UI integration for Seaside. Expression through code.'.
	self info category: 'Web 2.0'.
	self dependsOn: #('JQuery-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'web 2.0' stamp: ''!
JavascriptCore
	self name: 'Javascript-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Javascript-Core-lr.27.mcz'.
	self info description: 'Javascript integration in Seaside. Provides a basic functionality to generate Javascript from Smalltalk.'.
	self info category: 'Web 2.0'.
	self dependsOn: #('Seaside-Canvas').
	self action: self defaultAction.
	self addAction: (self class named: 'Javascript-Squeak-Core') defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
JavascriptSqueakCore
	self name: 'Javascript-Squeak-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Javascript-Squeak-Core-lr.5.mcz'.
	self dependsOn: #('Javascript-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
JavascriptTestsCore
	self name: 'Javascript-Tests-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Javascript-Tests-Core-lr.25.mcz'.
	self info description: 'Unit tests for the Javascript-Core package.'.
	self info category: 'Tests'.
	self dependsOn: #('Javascript-Core' 'Seaside-Tests-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
KomHttpServer
	self name: 'KomHttpServer'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/KomHttpServer/KomHttpServer-gc.42.mcz'.
	self dependsOn: #('KomServices').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
KomServices
	self name: 'KomServices'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/KomHttpServer/KomServices-gc.19.mcz'.
	self dependsOn: #('DynamicBindings').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'web 2.0' stamp: ''!
RSSCore
	self name: 'RSS-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/RSS-Core-lr.31.mcz'.
	self info description: 'RSS integration for Seaside. Helps to create RSS 2.0 feeds.'.
	self info category: 'Web 2.0'.
	self dependsOn: #('Seaside-Canvas').
	self action: self defaultAction.
	self addAction: (self class named: 'RSS-Squeak-Core') defaultAction! !

!Seaside29Builder methodsFor: 'examples' stamp: ''!
RSSExamples
	self name: 'RSS-Examples'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/RSS-Examples-pmm.14.mcz'.
	self info description: 'Examples of how to use the "RSS-Core" package.'.
	self info category: 'Examples'.
	self dependsOn: #('RSS-Core' 'Seaside-Development').
	self action: self defaultAction.
	self addAction: (self class named: 'RSS-Squeak-Examples') defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
RSSSqueakCore
	self name: 'RSS-Squeak-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/RSS-Squeak-Core-lr.5.mcz'.
	self dependsOn: #('RSS-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
RSSSqueakExamples
	self name: 'RSS-Squeak-Examples'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/RSS-Squeak-Examples-pmm.6.mcz'.
	self info description: 'Squeak implementation classes for the package "RSS-Examples".'.
	self dependsOn: #('RSS-Examples').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
RSSTestsCore
	self name: 'RSS-Tests-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/RSS-Tests-Core-lr.10.mcz'.
	self info description: 'Unit tests for the "RSS-Core" package.'.
	self info category: 'Tests'.
	self dependsOn: #('RSS-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
RefactoringCore
	self name: 'Refactoring-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/RefactoringEngine/Refactoring-Core-lr.14.mcz'.
	self dependsOn: #('AST').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'web 2.0' stamp: ''!
ScriptaculousComponents
	self name: 'Scriptaculous-Components'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Scriptaculous-Components-lr.70.mcz'.
	self info description: 'A collection of AJAX based widgets written on top of script.aculo.us and Prototype.'.
	self info category: 'Web 2.0'.
	self dependsOn: #('Scriptaculous-Core' 'Seaside-Component').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'web 2.0' stamp: ''!
ScriptaculousCore
	self name: 'Scriptaculous-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Scriptaculous-Core-lr.66.mcz'.
	self info description: 'Prototype and script.aculo.us integration for Seaside. Aims to ease development of dynamic web applications.'.
	self info category: 'Web 2.0'.
	self dependsOn: #('Javascript-Core' 'Seaside-Session').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
ScriptaculousTestsComponents
	self name: 'Scriptaculous-Tests-Components'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Scriptaculous-Tests-Components-lr.17.mcz'.
	self info description: 'Functional and unit tests for the Scriptaculous-Components package.'.
	self info category: 'Tests'.
	self dependsOn: #('Scriptaculous-Components' 'Scriptaculous-Tests-Core' 'Seaside-Environment').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
ScriptaculousTestsCore
	self name: 'Scriptaculous-Tests-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Scriptaculous-Tests-Core-lr.19.mcz'.
	self info description: 'Functional and unit tests for the Scriptaculous-Core package.'.
	self info category: 'Tests'.
	self dependsOn: #('Scriptaculous-Core' 'Javascript-Tests-Core' 'Seaside-Component' 'Seaside-Environment').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'server adaptors' stamp: ''!
SeasideAdaptorsComanche
	self name: 'Seaside-Adaptors-Comanche'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Adaptors-Comanche-lr.16.mcz'.
	self info description: 'Makes Seaside run on the Comanche HTTP server.'.
	self info category: 'Server Adaptors'.
	self dependsOn: #('Seaside-Squeak-Core' 'KomHttpServer').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'server adaptors' stamp: ''!
SeasideAdaptorsSwazoo
	self name: 'Seaside-Adaptors-Swazoo'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Adaptors-Swazoo-lr.6.mcz'.
	self info description: 'Makes Seaside run on the Swazoo Web server (LGPL).'.
	self info category: 'Server Adaptors'.
	self dependsOn: #('Seaside-Squeak-Core' 'Seaside-Swazoo').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'core library' stamp: ''!
SeasideCanvas
	self name: 'Seaside-Canvas'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Canvas-lr.35.mcz'.
	self info description: 'The mechanism of choice to generate valid and reusable XHTML markup.'.
	self info category: 'Core Library'.
	self dependsOn: #('Seaside-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'core library' stamp: ''!
SeasideComponent
	self name: 'Seaside-Component'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Component-lr.31.mcz'.
	self info description: 'Stateful, reuseable components to encapsulate a small part of a page.'.
	self info category: 'Core Library'.
	self dependsOn: #('Seaside-Core' 'Seaside-Squeak-Continuation' 'Seaside-Canvas').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'core library' stamp: ''!
SeasideCore
	self name: 'Seaside-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Core-lr.352.mcz'.
	self info description: 'The core of Seaside, required for all packages.'.
	self info category: 'Core Library'.
	self dependsOn: #('Seaside-Platform').
	self action: self defaultAction.
	self addAction: (self class named: 'Seaside-Squeak-Core') defaultAction! !

!Seaside29Builder methodsFor: 'development' stamp: ''!
SeasideDevelopment
	self name: 'Seaside-Development'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Development-lr.53.mcz'.
	self info description: 'Web-based development tools and debugging support.'.
	self info category: 'Development'.
	self dependsOn: #('Seaside-Environment').
	self action: self defaultAction.
	self addAction: (self class named: 'Seaside-Squeak-Development') defaultAction! !

!Seaside29Builder methodsFor: 'core library' stamp: ''!
SeasideEmail
	self name: 'Seaside-Email'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Email-pmm.5.mcz'.
	self info description: 'Contains convience classes for sending of emails and preventing header injections.'.
	self info category: 'Core Library'.
	self dependsOn: #('Seaside-Core').
	self action: self defaultAction.
	self addAction: (self class named: 'Seaside-Squeak-Email') defaultAction! !

!Seaside29Builder methodsFor: 'core library' stamp: ''!
SeasideEnvironment
	self name: 'Seaside-Environment'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Environment-lr.36.mcz'.
	self info description: 'Administrative tools, useful to have for productive and development environments.'.
	self info category: 'Core Library'.
	self dependsOn: #('Seaside-Core' 'Seaside-Component' 'Seaside-RenderLoop' 'Seaside-Session' 'Seaside-Canvas').
	self action: self defaultAction.
	self addAction: (self class named: 'Seaside-Squeak-Environment') defaultAction! !

!Seaside29Builder methodsFor: 'examples' stamp: ''!
SeasideExamples
	self name: 'Seaside-Examples'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Examples-lr.8.mcz'.
	self info description: 'Simple example applications and components.'.
	self info category: 'Examples'.
	self dependsOn: #('Seaside-Component' 'Seaside-Environment').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'core library' stamp: ''!
SeasideHTML5
	self name: 'Seaside-HTML5'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-HTML5-lr.5.mcz'.
	self info description: 'Support for HTML 5 tags.'.
	self info category: 'Core Library'.
	self dependsOn: #('Seaside-Canvas').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'core library' stamp: ''!
SeasideInternetExplorer
	self name: 'Seaside-InternetExplorer'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-InternetExplorer-lr.4.mcz'.
	self info description: 'Support for proprietary Internet Explorer functionality.'.
	self info category: 'Core Library'.
	self dependsOn: #('Seaside-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'core library' stamp: ''!
SeasidePlatform
	self name: 'Seaside-Platform'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Platform-lr.25.mcz'.
	self info description: 'Utilities and platform dependendent classes for Seaside.'.
	self info category: 'Core Library'.
	self action: self defaultAction.
	self addAction: (self class named: 'Seaside-Squeak-Continuation') defaultAction.
	self addAction: (self class named: 'Seaside-Squeak-Platform') defaultAction! !

!Seaside29Builder methodsFor: 'core library' stamp: ''!
SeasideRenderLoop
	self name: 'Seaside-RenderLoop'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-RenderLoop-lr.27.mcz'.
	self info description: 'Defines the low-level rendering and callback processing functionality.'.
	self info category: 'Core Library'.
	self dependsOn: #('Seaside-Session' 'Seaside-Component').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'core library' stamp: ''!
SeasideSession
	self name: 'Seaside-Session'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Session-lr.61.mcz'.
	self info description: 'Support for stateful and secure session handling.'.
	self info category: 'Core Library'.
	self dependsOn: #('Seaside-Core' 'Seaside-Squeak-Continuation').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'development' stamp: ''!
SeasideSlime
	self name: 'Seaside-Slime'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Slime-lr.25.mcz'.
	self info description: 'Code critis for Seaside. Detects common types of bugs.'.
	self info category: 'Development'.
	self dependsOn: #('Seaside-Component' 'Seaside-Session' 'Refactoring-Core' 'Seaside-Canvas').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
SeasideSqueakContinuation
	self name: 'Seaside-Squeak-Continuation'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Squeak-Continuation-lr.8.mcz'.
	self dependsOn: #('Seaside-Squeak-Platform' 'Seaside-Platform').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
SeasideSqueakCore
	self name: 'Seaside-Squeak-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Squeak-Core-lr.73.mcz'.
	self dependsOn: #('Seaside-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
SeasideSqueakDevelopment
	self name: 'Seaside-Squeak-Development'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Squeak-Development-lr.57.mcz'.
	self dependsOn: #('Seaside-Development' 'Seaside-Squeak-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
SeasideSqueakEmail
	self name: 'Seaside-Squeak-Email'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Squeak-Email-pmm.6.mcz'.
	self info description: 'Squeak implementation classes for the package "Seaside-Email".'.
	self dependsOn: #('Seaside-Email' 'Seaside-Squeak-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
SeasideSqueakEnvironment
	self name: 'Seaside-Squeak-Environment'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Squeak-Environment-jf.22.mcz'.
	self dependsOn: #('Seaside-Environment' 'Seaside-Squeak-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
SeasideSqueakPlatform
	self name: 'Seaside-Squeak-Platform'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Squeak-Platform-lr.29.mcz'.
	self dependsOn: #('Seaside-Platform').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
SeasideSwazoo
	self name: 'Seaside-Swazoo'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29LGPL/Seaside-Swazoo-lr.8.mcz'.
	self info description: 'A small set of Swazoo 2 extensions to make it run Seaside'.
	self dependsOn: #('Swazoo' 'Seaside-Platform').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsAdaptorsComanche
	self name: 'Seaside-Tests-Adaptors-Comanche'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Adaptors-Comanche-pmm.4.mcz'.
	self info description: 'Unit tests for the package Seaside-Adaptors-Comanche.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-Adaptors-Comanche' 'Seaside-Tests-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsCanvas
	self name: 'Seaside-Tests-Canvas'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Canvas-lr.10.mcz'.
	self info description: 'Unit tests for the package Seaside-Canvas.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-Canvas' 'Seaside-Tests-Core' 'Seaside-Session').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsColor
	self name: 'Seaside-Tests-Color'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Color-pmm.7.mcz'.
	self info description: 'Contains unit tests for Smalltalk dialects that have a Color class. Tests how well this class integrates into Seaside.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-Tests-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsComponent
	self name: 'Seaside-Tests-Component'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Component-lr.15.mcz'.
	self info description: 'Unit tests for the package Seaside-Component.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-Component' 'Seaside-Tests-Core' 'Seaside-Session').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsCore
	self name: 'Seaside-Tests-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Core-lr.30.mcz'.
	self info description: 'Unit tests for the package Seaside-Core.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-Core' 'Seaside-Tests-Platform' 'Seaside-Canvas').
	self action: self defaultAction.
	self addAction: (self class named: 'Seaside-Tests-Squeak-Core') defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsDevelopment
	self name: 'Seaside-Tests-Development'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Development-lr.20.mcz'.
	self info description: 'Unit tests for the package Seaside-Development.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-Development' 'Seaside-Tests-Environment').
	self action: self defaultAction.
	self addAction: (self class named: 'Seaside-Tests-Squeak-Development') defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsEmail
	self name: 'Seaside-Tests-Email'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Email-pmm.5.mcz'.
	self info description: 'Unit tests for the package Seaside-Email.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-Email' 'Seaside-Tests-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsEnvironment
	self name: 'Seaside-Tests-Environment'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Environment-lr.8.mcz'.
	self info description: 'Unit tests for the package Seaside-Environment.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-Environment' 'Seaside-Tests-Component' 'Seaside-Tests-RenderLoop' 'Seaside-Tests-Session' 'Seaside-Tests-Canvas').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsFunctional
	self name: 'Seaside-Tests-Functional'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Functional-lr.40.mcz'.
	self info description: 'Functional Seaside test suite.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-Environment' 'Seaside-Tests-Core').
	self action: self defaultAction.
	self addAction: (self class named: 'Seaside-Tests-Squeak-Functional') defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsHTML5
	self name: 'Seaside-Tests-HTML5'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-HTML5-lr.10.mcz'.
	self info description: 'Unit tests for the package Seaside-HTML5.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-HTML5' 'Seaside-Tests-Functional').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsInternetExplorer
	self name: 'Seaside-Tests-InternetExplorer'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-InternetExplorer-lr.5.mcz'.
	self info description: 'Unit tests for the package Seaside-InternetExplorer.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-InternetExplorer' 'Seaside-Tests-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsPlatform
	self name: 'Seaside-Tests-Platform'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Platform-jgf.23.mcz'.
	self info description: 'Unit tests for the package Seaside-Platform.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-Platform').
	self action: self defaultAction.
	self addAction: (self class named: 'Seaside-Tests-Squeak-Platform') defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsRenderLoop
	self name: 'Seaside-Tests-RenderLoop'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-RenderLoop-lr.6.mcz'.
	self info description: 'Unit tests for the package Seaside-RenderLoop.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-RenderLoop' 'Seaside-Tests-Session').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsSession
	self name: 'Seaside-Tests-Session'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Session-pmm.7.mcz'.
	self info description: 'Unit tests for the package Seaside-Session.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-Session' 'Seaside-Tests-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'tests' stamp: ''!
SeasideTestsSlime
	self name: 'Seaside-Tests-Slime'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Slime-lr.9.mcz'.
	self info description: 'Unit tests for the package Seaside-Slime.'.
	self info category: 'Tests'.
	self dependsOn: #('Seaside-Slime' 'Seaside-Squeak-Development').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
SeasideTestsSqueakCore
	self name: 'Seaside-Tests-Squeak-Core'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Squeak-Core-lr.8.mcz'.
	self dependsOn: #('Seaside-Squeak-Core' 'Seaside-Tests-Core').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
SeasideTestsSqueakDevelopment
	self name: 'Seaside-Tests-Squeak-Development'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Squeak-Development-lr.7.mcz'.
	self dependsOn: #('Seaside-Squeak-Development' 'Seaside-Tests-Development').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
SeasideTestsSqueakFunctional
	self name: 'Seaside-Tests-Squeak-Functional'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Squeak-Functional-pmm.6.mcz'.
	self info description: 'Squeak specific functional Seaside test suite.'.
	self dependsOn: #('Seaside-Tests-Functional').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
SeasideTestsSqueakPlatform
	self name: 'Seaside-Tests-Squeak-Platform'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Seaside29/Seaside-Tests-Squeak-Platform-pmm.11.mcz'.
	self info description: 'Unit tests for the package Seaside-Tests-Platform.'.
	self dependsOn: #('Seaside-Squeak-Platform' 'Seaside-Tests-Platform').
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
Sport
	self name: 'Sport'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/SPort/Sport-2.031.mcz'.
	self action: self defaultAction! !

!Seaside29Builder methodsFor: 'private' stamp: ''!
Swazoo
	self name: 'Swazoo'.
	self version: '2.9.0-alpha2'.
	self info url: 'http://www.squeaksource.com/Swazoo/Swazoo-2.2beta2.mcz'.
	self dependsOn: #('Sport').
	self action: self defaultAction! !
Seaside29 initialize!
